<?php include_once('../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Valores Padrões</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
  <style>
    .radioStyle {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 7.25px;
      height: 136px;
    }

    .campoSel {
      display: inline-block;
      position: absolute;
      width: 22px;
      height: 22px;
      border: 1px solid #D3CFC8;
      border-radius: 0;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Valores Padrões</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i>
              </button>
            </div>
            <div class="col-sm-6">

            </div>
          </div>
        </div>
        <div class="container-fluid card">
          <div class="row card-body d-flex" id="abaGeral">

            <nav class="col-lg-12">
              <div class="nav nav-tabs d-flex flex-nowrap" id="nav-tab" role="tablist" style="text-decoration: none; max-width: none!important; white-space: nowrap!important; overflow-x: auto!important; overflow-y: hidden">
                <a class="nav-link abaLink active" id="tabProduto" data-toggle="tab" href="#divProduto" role="tab" aria-controls="divProduto" aria-selected="true">Produto</a>
                <a class="nav-link abaLink" id="tabMaterial" data-toggle="tab" href="#divMaterial" role="tab" aria-controls="divMaterial" aria-selected="false">Material</a>
                <a class="nav-link abaLink" id="tabEntidade" data-toggle="tab" href="#divEntidade" role="tab" aria-controls="divEntidade" aria-selected="false">Entidade</a>
                <a class="nav-link abaLink" id="tabPedido" data-toggle="tab" href="#divPedido" role="tab" aria-controls="divPedido" aria-selected="false">Pedido</a>
                <a class="nav-link abaLink" id="tabEntradaNf" data-toggle="tab" href="#divEntradaNf" role="tab" aria-controls="divEntradaNf" aria-selected="false">Entrada NF</a>
                <a class="nav-link abaLink" id="tabFaturamento" data-toggle="tab" href="#divFaturamento" role="tab" aria-controls="divFaturamento" aria-selected="false">Faturamento</a>
                <a class="nav-link abaLink" id="tabEstoque" data-toggle="tab" href="#divEstoque" role="tab" aria-controls="divEstoque" aria-selected="false">Estoque</a>
                <a class="nav-link abaLink" id="tabTransfDep" data-toggle="tab" href="#divTransfDep" role="tab" aria-controls="divTransfDep" aria-selected="false">Transf. Depósito</a>
                <a class="nav-link abaLink" id="tabReceber" data-toggle="tab" href="#divReceber" role="tab" aria-controls="divReceber" aria-selected="false">Receber</a>
                <a class="nav-link abaLink" id="tabContasPagar" data-toggle="tab" href="#divContasPagar" role="tab" aria-controls="divContasPagar" aria-selected="false">Pagar</a>
                <a class="nav-link abaLink" id="tabLoja" data-toggle="tab" href="#divLoja" role="tab" aria-controls="divLoja" aria-selected="false">Loja/Venda</a>
                <a class="nav-link abaLink" id="tabCashback" data-toggle="tab" href="#divCashback" role="tab" aria-controls="divCashback" aria-selected="false">Cashback</a>
                <a class="nav-link abaLink" id="tabDesdobraLote" data-toggle="tab" href="#divDesdobraLote" role="tab" aria-controls="divDesdobraLote" aria-selected="false">Desdobra Lote</a>
                <a class="nav-link abaLink" id="tabEscritural" data-toggle="tab" href="#divEscritural" role="tab" aria-controls="divEscritural" aria-selected="false">Escritural</a>
                <a class="nav-link abaLink" id="tabLiberacaoExpedicao" data-toggle="tab" href="#divLiberacaoExpedicao" role="tab" aria-controls="divLiberacaoExpedicao" aria-selected="false">Liberação Expedição</a>
                <a class="nav-link abaLink" id="tabPedidob2b" data-toggle="tab" href="#divPedidob2b" role="tab" aria-controls="divPedidob2b" aria-selected="false">Pedido B2B</a>
                <a class="nav-link abaLink" id="tabCadOf" data-toggle="tab" href="#divCadOf" role="tab" aria-controls="divCadOf" aria-selected="false">Ordem de Produção</a>
              </div>
            </nav>
            <div class="tab-content col-lg-12" id="nav-tabContent">

              <div class="tab-pane fade show active" id="divProduto" role="tabpanel" aria-labelledby="tabProduto">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaProduto" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divMaterial" role="tabpanel" aria-labelledby="tabMaterial">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaMaterial" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divEntidade" role="tabpanel" aria-labelledby="tabEntidade">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaEntidade" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divPedido" role="tabpanel" aria-labelledby="tabPedido">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaPedido" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divEntradaNf" role="tabpanel" aria-labelledby="tabEntradaNf">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaEntradaNf" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divFaturamento" role="tabpanel" aria-labelledby="tabFaturamento">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaFaturamento" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divEstoque" role="tabpanel" aria-labelledby="tabEstoque">
                <nav class="col-lg-12">
                  <div class="nav nav-tabs" id="nav-tab" role="tablist" style="text-decoration: none">
                    <a class="nav-link abaLink" id="tabMovimentacao" data-toggle="tab" href="#divMovimentacao" role="tab" aria-controls="divMovimentacao" aria-selected="false">Movimentação</a>
                    <a class="nav-link abaLink" id="tabPrecoMedio" data-toggle="tab" href="#divPrecoMedio" role="tab" aria-controls="divPrecoMedio" aria-selected="false">Preço médio</a>
                  </div>
                </nav>
                <div class="tab-content col-lg-12" id="nav-tabContent">
                  <div class="tab-pane fade" id="divMovimentacao" role="subtabpanel" aria-labelledby="tabMovimentacao">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaEstoque" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="divPrecoMedio" role="subtabpanel" aria-labelledby="tabPrecoMedio">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaPrecoMedio" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divTransfDep" role="tabpanel" aria-labelledby="tabTransfDep">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaTransfDep" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divReceber" role="tabpanel" aria-labelledby="tabReceber">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaReceber" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divContasPagar" role="tabpanel" aria-labelledby="tabContasPagar">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaContasPagar" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divLoja" role="tabpanel" aria-labelledby="tabLoja">
                <nav class="col-lg-12">
                  <div class="nav nav-tabs" id="nav-tab" role="tablist" style="text-decoration: none">
                    <a class="nav-link abaLink" id="tabVenda" data-toggle="tab" href="#divVenda" role="tab" aria-controls="divVenda" aria-selected="false">Venda</a>
                    <a class="nav-link abaLink" id="tabDevolucao" data-toggle="tab" href="#divDevolucao" role="tab" aria-controls="divDevolucao" aria-selected="false">Devolução</a>
                    <a class="nav-link abaLink" id="tabCriarPedido" data-toggle="tab" href="#divCriarPedido" role="tab" aria-controls="divCriarPedido" aria-selected="false">Criar Pedido na Venda</a>
                  </div>
                </nav>
                <div class="tab-content col-lg-12" id="nav-tabContent">
                  <div class="tab-pane fade" id="divVenda" role="subtabpanel" aria-labelledby="tabVenda">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaLoja" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="divDevolucao" role="subtabpanel" aria-labelledby="tabDevolucao">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaDevolucao" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="divCriarPedido" role="subtabpanel" aria-labelledby="tabCriarPedido">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaCriarPedido" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divCashback" role="tabpanel" aria-labelledby="tabCashback">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaCashback" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divDesdobraLote" role="tabpanel" aria-labelledby="tabDesdobraLote">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaDesdobraLote" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divEscritural" role="tabpanel" aria-labelledby="tabEscritural">
                <nav class="col-lg-12">
                  <div class="nav nav-tabs" id="nav-tab" role="tablist" style="text-decoration: none">
                    <a class="nav-link abaLink active" id="tabRetorno" data-toggle="tab" href="#divRetorno" role="tab" aria-controls="divRetorno" aria-selected="false">Retorno</a>
                    <a class="nav-link abaLink" id="tabExtratoCartao" data-toggle="tab" href="#divExtratoCartao" role="tab" aria-controls="divExtratoCartao" aria-selected="false">Extrato Cartão</a>
                    <a class="nav-link abaLink d-none" id="tabEnvio" data-toggle="tab" href="#divEnvio" role="tab" aria-controls="divEnvio" aria-selected="false">Envio</a>
                  </div>
                </nav>
                <div class="tab-content col-lg-12" id="nav-tabContent">
                  <div class="tab-pane fade" id="divRetorno" role="subtabpanel" aria-labelledby="tabRetorno">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaRetorno" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="divExtratoCartao" role="subtabpanel" aria-labelledby="tabExtratoCartao">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaExtratoCartao" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                  <div class="tab-pane fade d-none" id="divEnvio" role="subtabpanel" aria-labelledby="tabEnvio">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaEnvio" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divLiberacaoExpedicao" role="tabpanel" aria-labelledby="tabLiberacaoExpedicao">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaLiberacaoExpedicao" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divPedidob2b" role="tabpanel" aria-labelledby="tabPedidob2b">
                <nav class="col-lg-12">
                  <div class="nav nav-tabs" id="nav-tab" role="tablist" style="text-decoration: none">
                    <a class="nav-link abaLink" id="tabMaisMix" data-toggle="tab" href="#divMaisMix" role="tab" aria-controls="divMaisMix" aria-selected="false">Mais mix</a>
                  </div>
                </nav>
                <div class="tab-content col-lg-12" id="nav-tabContent">
                  <div class="tab-pane fade" id="divMaisMix" role="subtabpanel" aria-labelledby="tabMaisMix">
                    <div class="row" style="margin-top: 15px;">
                      <div class="col-sm-12">
                        <table id="tabelaPedidoB2BMaisMix" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                            <th>Campo</th>
                            <th>Descrição</th>
                            <th>Valor</th>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divCadOf" role="tabpanel" aria-labelledby="tabCadOf">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaCadOf" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

            </div>

            <button style="margin-top: 15px;" class="btn btn-danger btn-sisp" id="btnGravar">Gravar</button>

          </div>
        </div>
      </div>

    </div>
  </div>
  <?php
  include_once('../../modais.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="utils/cookies.js?versao=3.247.25.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="config.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CADPADRAO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/cadpadrao/cadpadrao.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>