<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Carteira - Cobrança</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 50%;
      float: left;
      position: relative
    }

    .radiosStyle {
      font-size: 120%;
      margin-top: 1%;
      margin-bottom: 1%;
    }

    .checkTipo {
      font-size: 120%;
      margin-top: 14px;
    }

    .checkTop {
      margin-left: 2%;
      margin-top: 2%;
    }

    .checkStyle {
      margin-top: 2%;
      padding: 1%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      margin-left: 0%;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }

    .info-container {
      display: none;
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      padding: 20px;
      background-color: var(--card-info);
      border: 1px solid var(--white-dark-border);
      color: var(--input-color-text);
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
      z-index: 999;
    }

    .info-container ul {
      list-style: none;
      padding: 0;
    }

    .info-container ul li {
      margin-bottom: 5px;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div id="infoContainer" class="info-container">
      <div class="w-full mb-4">
        <button id="btnFechaInfoContainer" type="button" class="close" data-dismiss="modal" aria-label="Close" style="color:var(--white-dark-icon)">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <h2 class="mb-3">Tipo Carteira</h2>
      <p><strong>BANCO SANTANDER - 033</strong></p>
      <ul>
        <li>101 - COBRANÇA SIMPLES RÁPIDA COM REGISTRO - RCR</li>
        <li>102 - COBRANÇA SIMPLES SEM REGISTRO</li>
        <li>104 - COBRANCA SIMPLES COM REGISTRO - ECR</li>
        <li>201 - PENHOR RÁPIDA COM REGISTRO</li>
      </ul>

      <p><strong>BANCO SICREDI - 748</strong></p>
      <ul>
        <li>1 - COM REGISTRO</li>
        <li>2 - SEM REGISTRO</li>
      </ul>

      <p><strong>BANCO SICOOB - 756</strong></p>
      <ul>
        <li>01 - SIMPLES COM REGISTRO</li>
        <li>03 - GARANTIDA CAUCIONADA</li>
      </ul>

      <p><strong>C6 BANK - 336</strong></p>
      <ul>
        <li>3 - COBRANÇA REGISTRADA COM EMISSÃO</li>
        <li>4 - COBRANÇA DIRETA COM EMISSÃO PELO CEDENTE</li>
      </ul>
    </div>
    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <!-- <ol class="breadcrumb float-sm-right">
                  
                  <li class="breadcrumb-item"><a href="../carteira_cobranca">Acesso Carteira - Cobrança</a></li>
                  <li class="breadcrumb-item active">Cadastro Carteira - Cobrança</li>
                </ol> -->
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2> Cadastro de Carteira - Cobrança
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>
                <div class="row">
                  <div class="col-md-12 mx-0 mb-3">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                        <li id="payment"><strong>Opções</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração da carteira de pagamento.</p>
                      <fieldset class="row justify-content-end mt-5">
                        <div class="form-card" id="formcard1">
                          <div class="row">

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCarteira">Carteira</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtCarteira" name="txtCarteira" placeholder="Carteira">
                              </div>
                            </div>

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtDescricao" name="txtDescricao" placeholder="Descrição">
                              </div>
                            </div>

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtConta">Conta</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtConta" name="txtConta" placeholder="Conta">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnConta" name="btnConta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaConta" name="btnLimpaConta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtSitBanco">Situação banco</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtSitBanco" name="txtSitBanco" placeholder="Situação banco">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnSitBanco" name="btnSitBanco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaSitBanco" name="btnLimpaSitBanco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtSituacao">Situação</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtSituacao" name="txtSituacao" placeholder="Situação">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnSituacao" name="btnSituacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaSituacao" name="btnLimpaSituacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtConvenio">Convênio</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtConvenio" name="txtConvenio" placeholder="Convênio">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtByteNossoNumero">Byte Nosso Número</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtByteNossoNumero" name="txtByteNossoNumero" placeholder="Byte Nosso Número">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtSeqNossoNroIni">Seq. Nosso Nro Ini</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtSeqNossoNroIni" name="txtSeqNossoNroIni" placeholder="Seq. Nosso Nro Ini">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtSeqNossoNroFim">Seq. Nosso Nro Fim</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtSeqNossoNroFim" name="txtSeqNossoNroFim" placeholder="Seq. Nosso Nro Fim">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDado1">Dado 1</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtDado1" name="txtDado1" placeholder="Dado 1">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDado2">Dado 2</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtDado2" name="txtDado2" placeholder="Dado 2">
                              </div>
                            </div>

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtInstrucaoCob1">Instrução cob. 1</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtInstrucaoCob1" name="txtInstrucaoCob1" placeholder="Instrução cob. 1">
                              </div>
                            </div>

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtInstrucaoCob2">Instrução cob. 2</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtInstrucaoCob2" name="txtInstrucaoCob2" placeholder="Instrução cob. 2">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtAceite">Aceite</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtAceite" name="txtAceite" placeholder="Aceite">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCEB">CEB</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtCEB" name="txtCEB" placeholder="CEB">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtTaxa1">Taxa 1</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtTaxa1" name="txtTaxa1" placeholder="Taxa 1">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtTaxa2">Taxa 2</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtTaxa2" name="txtTaxa2" placeholder="Taxa 2">
                              </div>
                            </div>

                            <div class="col-2 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDiasProtesto">Dias p/ protesto</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtDiasProtesto" name="txtDiasProtesto" placeholder="Dias p/ protesto">
                              </div>
                            </div>

                            <div class="justify-content-sm-start justify-content-center col-4" style="margin-top: 15px;">
                              <div class="col-auto">
                                <fieldset class="form border-Field mb-0 pb-0">
                                  <legend class="textoBorda mb-0 pb-0">Tipo dias</legend>
                                  <div class="d-inline"> <label class="" for="cbProtesto"><input type="radio" value="P" name="dias" class="" id="cbProtesto">  Protesto</label> </div>
                                  <div class="d-inline ml-3"> <label class="" for="cbNegativacao"><input type="radio" value="N" name="dias" class="" id="cbNegativacao">  Negativação</label></div>
                                </fieldset>
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="dtVendor">Data vendor</label>
                              <div class="input-group">
                                <input type="date" class="input-default focus form-control validate" id="dtVendor" name="dtVendor">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtTipo">Tipo</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtTipo" name="txtTipo" placeholder="Tipo">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtArquivoLayout">Arquivo layout</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtArquivoLayout" name="txtArquivoLayout" placeholder="Arquivo layout">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtExtensaoArquivo">Extensão arquivo</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtExtensaoArquivo" name="txtExtensaoArquivo" placeholder="Extensão arquivo">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtContaConveniada">Conta conveniada</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtContaConveniada" name="txtContaConveniada" placeholder="Conta conveniada">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label class="d-flex" data-error="wrong" class="labelGeral" data-success="right" for="txtTipoCarteira">Tipo carteira
                                <span id="mostrarInfoBtn" class="ml-1"><i class="fas fa-exclamation-circle"></i></span>
                              </label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtTipoCarteira" name="txtTipoCarteira" placeholder="Tipo carteira">
                              </div>
                            </div>

                            <div class="col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtLocalPagamento">Local pagamento</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtLocalPagamento" name="txtLocalPagamento" placeholder="Local pagamento">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtNomeArquivo">Nome arquivo</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtNomeArquivo" name="txtNomeArquivo" placeholder="Nome arquivo">
                              </div>
                            </div>

                            <div class="col-3 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtZeroEscEnv">Zero E. EscEnvPagto</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtZeroEscEnv" name="txtZeroEscEnv" placeholder="Zero E. EscEnvPagto">
                              </div>
                            </div>

                          </div>
                        </div>

                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                        <input type="button" name="avancar1" class="btn-sisp next action-button" value="Avançar" id="avancar1" />

                      </fieldset>

                      <fieldset>
                        <div class="form-card">
                          <div class="row">
                            <div class="col-6">

                              <div class="row">
                                <!-- <div class="col-6 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodBanco">Código banco</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtCodBanco" name="txtCodBanco" placeholder="Código banco">
                                  </div>
                                </div>

                                <div class="justify-content-sm-start justify-content-center col-6" style="margin-top: 26px;">
                                  <div class="col-auto">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                      <div class="d-inline"> <label style="padding-top: 9px;" for="cbImprimeBoleto"><input type="checkbox" class="" id="cbImprimeBoleto">  Banco imprime boleto</label> </div>
                                    </fieldset>
                                  </div>
                                </div>

                                <div class="col-4 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtInstrPadrao1">Instr. padrão 1</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtInstrPadrao1" name="txtInstrPadrao1" placeholder="Instr. padrão 1">
                                  </div>
                                </div>

                                <div class="justify-content-sm-start justify-content-center col-8" style="margin-top: 26px;">
                                  <div class="col-auto">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                      <div class="d-inline"> <label style="padding-top: 9px;" for="cbInstrPadrao1"><input type="checkbox" class="" id="cbInstrPadrao1">  Envia instrução no escritural</label> </div>
                                    </fieldset>
                                  </div>
                                </div>

                                <div class="col-4 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtInstrPadrao2">Instr. padrão 2</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtInstrPadrao2" name="txtInstrPadrao2" placeholder="Instr. padrão 2">
                                  </div>
                                </div>

                                <div class="justify-content-sm-start justify-content-center col-8" style="margin-top: 26px;">
                                  <div class="col-auto">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                      <div class="d-inline"> <label style="padding-top: 9px;" for="cbInstrPadrao2"><input type="checkbox" class="" id="cbInstrPadrao2">  Envia instrução no escritural</label> </div>
                                    </fieldset>
                                  </div>
                                </div>

                                <div class="col-6 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodBaixaDev">Cód. baixa dev.</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtCodBaixaDev" name="txtCodBaixaDev" placeholder="Cód. baixa dev.">
                                  </div>
                                </div>

                                <div class="col-6 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtDiasBaixaDev">Dias baixa dev.</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtDiasBaixaDev" name="txtDiasBaixaDev" placeholder="Dias baixa dev.">
                                  </div>
                                </div> -->

                                <div class="col-lg-12 form-group">
                                  <label data-error="wrong" data-success="right" for="rgPreencherNomeArq">Preencher nome arquivo</label>
                                  <div class="input-group">
                                    <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="rgPreencherNomeArq" class="custom-select focus">
                                      <option value="" selected>Selecione uma opção</option>
                                      <option value="N">N - Nada</option>
                                      <option value="S">S - Mês + Nome Arq</option>
                                      <option value="2">2 - Conta sem dig + Mês + Dia</option>
                                      <option value="3">3 - Convênio + Mês + Dia</option>
                                      <option value="4">4 - Nome Arq + Dia(2 dig) + Mês (2 dig) + Bordero</option>
                                      <option value="5">5 - Nome Arq + Dia(2 dig) + Mês (2 dig) + Número Sequencial da Remessa</option>
                                      <option value="6">6 - Nome Arq + Dia(2 dig) + Mês (2 dig) + Sequencial do dia</option>
                                      <option value="7">7 - Conta sem dig + Dia(2 dig) + Mês (2 dig) + Sequencial do dia</option>
                                      <option value="8">8 - Nome Arq + Dia(2 dig) + Mês (2 dig) + Ano (2 dig) + Bordero</option>
                                      <option value="9">9 - Convênio + Mês(2 dig) + dia (2 dig)</option>
                                    </select>
                                  </div>
                                </div>

                                <div class="col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtExtArqSeq">Extensão arquivo sequencial</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtExtArqSeq" name="txtExtArqSeq" placeholder="Extensão arquivo sequencial">
                                  </div>
                                </div>

                                <div class="col-lg-6 form-group">
                                  <label data-error="wrong" data-success="right" for="rgLayout">Layout</label>
                                  <div class="input-group">
                                    <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="rgLayout" class="custom-select focus">
                                      <option value="Pré-Impresso">Pré-impresso</option>
                                      <option value="Padrão" selected>Padrão</option>
                                      <option value="Personalizado">Personalizado</option>
                                      <option value="Dois Boletos">Dois boletos</option>
                                    </select>
                                  </div>
                                </div>

                                <div class="col-6 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodPracaSacado">Cód. praça sacado</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtCodPracaSacado" name="txtCodPracaSacado" placeholder="Cód. praça sacado">
                                  </div>
                                </div>

                              </div>
                            </div>

                            <div class="col-6">
                              <div class="row">

                                <div class="justify-content-sm-start justify-content-center col-12" style="margin-top: 26px;">
                                  <div class="col-auto">
                                    <fieldset class="form border-Field mb-0 pb-0">

                                      <div class="d-inline">
                                        <label style="padding-top: 9px;" for="cbGeraNossoNumero">
                                          <input type="checkbox" class="" id="cbGeraNossoNumero">  Gera Nosso Número
                                        </label>
                                      </div>
                                      <br>
                                      <div class="d-inline">
                                        <label style="padding-top: 9px;" for="cbPadraoImpBoleto">
                                          <input type="checkbox" class="" id="cbPadraoImpBoleto">  Padrão imprimir boleto
                                        </label>
                                      </div>
                                      <!-- <br> -->
                                      <!-- <div class="d-inline">
                                        <label style="padding-top: 9px;" for="cbGerarArqCobreBem">
                                          <input type="checkbox" class="" id="cbGerarArqCobreBem">  Gerar arq. com CobreBem
                                        </label>
                                      </div> -->
                                      <br>
                                      <div class="d-inline">
                                        <label style="padding-top: 9px;" for="cbAgencia4Dig">
                                          <input type="checkbox" class="" id="cbAgencia4Dig">  Agência 4 dígitos
                                        </label>
                                      </div>
                                      <br>
                                      <div class="d-inline">
                                        <label style="padding-top: 9px;" for="cbCarteira240Posicoes">
                                          <input type="checkbox" class="" id="cbCarteira240Posicoes">  Carteira possui 240 posições
                                        </label>
                                      </div>
                                      <br>
                                      <!-- <div class="d-inline">
                                        <label style="padding-top: 9px;" for="cbBairroComZeros">
                                          <input type="checkbox" class="" id="cbBairroComZeros">  Preencher campo bairro com zeros
                                        </label>
                                      </div> -->

                                    </fieldset>
                                  </div>
                                </div>

                                <div class="justify-content-sm-start justify-content-center col-12" style="margin-top: 26px;">
                                  <div class="col-auto">
                                    <fieldset class="form border-Field mb-0 pb-0">
                                      <legend class="textoBorda mb-0 pb-0">Forma dias p/ protesto</legend>
                                      <div class="d-inline">
                                        <label for="cbDiasCorridos">
                                          <input type="radio" name="diasprotesto" class="" id="cbDiasCorridos">  C - Dias corridos
                                        </label>
                                      </div>
                                      <br>
                                      <div class="d-inline">
                                        <label style="padding-top: 9px;" for="cbDiasUteis">
                                          <input type="radio" name="diasprotesto" class="" id="cbDiasUteis">  U - Dias úteis
                                        </label>
                                      </div>

                                    </fieldset>
                                  </div>
                                </div>

                              </div>
                            </div>

                          </div>

                        </div>

                        <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                        <input type="button" name="voltar" class="previous action-button-previous" value="Voltar" id="voltar" />

                      </fieldset>

                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CARTEIRA_COBRANCA');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos('CARTEIRA_COBRANCA');

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/carteira_cobranca`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/carteira_cobranca/cadastro_carteira_cobranca/carteira_cobranca.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>