<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Cor</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Theme style -->
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />

    <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">
    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .labelTabPreco {
            margin-top: 30%;
            margin-left: -2%;
        }

        #divImg {
            border: 1px solid white;
        }

        .imagem {
            position: relative;
            top: -3px;
        }


        .configTabPreco {
            -ms-transform: scale(1.5);
            -moz-transform: scale(1.5);
            -webkit-transform: scale(1.5);
            -o-transform: scale(1.5);
            transform: scale(1.5);
        }

        .border-Field .textoBorda {
            font-size: 1.0em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 1.0em 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            padding-bottom: 0px !important;
        }

        #bordaImagem {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .imagem {
            max-width: 50px;
            max-height: 50px;
        }

        #imgFotoModal {
            width: 380px;
            height: 320px;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>

        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="wrapper">
            <div id="myModal" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 id="myModalLabel" class="modal-title"></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <p id="myModalText"></p>
                        </div>
                        <div class="modal-footer">
                            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <section class="content">
                    <div class="content-header">
                        <div class="container-fluid">
                            <div class="row mb-2">
                                <div class="col-sm-6 flex">
                                    <h1 class="m-0 text-dark"></h1>
                                </div>
                                <div class="col-sm-6">
                                    <!-- <ol class="breadcrumb float-sm-right">
                                        
                                        <li class="breadcrumb-item"><a href="../cor">Acesso Cor</a></li>
                                        <li class="breadcrumb-item active">Cadastro de Cor</li>
                                    </ol> -->
                                </div><!-- /.col -->
                            </div><!-- /.row -->
                        </div>
                        <div class="row justify-content-center mt-0">
                            <div class="col-10 text-center p-0 mt-3 mb-2">
                                <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                    <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                        <h2>Cadastro de Cor
                                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                                <i class="fas fa-question-circle"></i>
                                            </button>
                                        </h2>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12 mx-0 mb-3">
                                            <form id="msform">
                                                <ul id="progressbar">
                                                    <li class="active" id="account"><strong>Geral</strong></li>
                                                </ul>
                                                <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração de cor.</p>
                                                <fieldset class="row justify-content-center col-12 mt-5">
                                                    <div class="row col-12 mb-2">
                                                        <span class="icheck-primary">
                                                            <input type="checkbox" id="cbInativo" name="cbInativo">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="cbInativo">Inativo</label>
                                                        </span>
                                                    </div>
                                                    <div class="row col-12 col-lg-12 col-xl-9" id="campostuto">
                                                        <div class="col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCor">Código: *</label>

                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" required aria-describedby="cepError" id="txtCor" name="txtCor" class="form-control" placeholder="Código">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição: *</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" required aria-describedby="ordemError" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-xl-4">
                                                            <div class="row">
                                                                <div class="form-group col-6 text-left">
                                                                    <label data-error="wrong" class="labelGeral" data-success="right" for="inputColorRGB">R.G.B:</label>
                                                                    <div class="input-group">
                                                                        <input type="color" class="input-default" id="inputColorRGB"></input>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-6 text-left">
                                                                    <label data-error="wrong" class="labelGeral" data-success="right" for="imgProd">Foto:</label>
                                                                    <div class="input-group">
                                                                        <div class="d-flex w-100" id="bordaImagem">
                                                                            <img class="pop img img-fluid imagem" alt height="50" width="50" id="imgFoto">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo2">Código 2:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" id="txtCodigo2" name="txtCodigo2" class="form-control" placeholder="Código 2">
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtGrupoCor">Grupo Cor: *</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" required aria-describedby="grupocorError" id="txtGrupoCor" name="txtGrupoCor" class="form-control" placeholder="Grupo Cor">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnGrupoCor" name="btnGrupoCor" data-button="absolute" type="button">
                                                                        <i class="m-0 p-0 fas fa-search"></i>
                                                                    </button>
                                                                    <button class="btn bg-danger" id="btnAGrupoCor" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtSubGrupoCor">SubGrupo Cor:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="SubgrupocorError" id="txtSubGrupoCor" name="txtSubGrupoCor" class="form-control" placeholder="SubGrupo Cor">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnSubGrupoCor" name="btnSubGrupoCor" data-button="absolute" type="button">
                                                                        <i class="m-0 p-0 fas fa-search"></i>
                                                                    </button>
                                                                    <button class="btn bg-danger" id="btnSubAGrupoCor" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtClasseComercial">Classe Comercial:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="grupocorError" id="txtClasseComercial" name="txtClasseComercial" class="form-control" placeholder="Classe Comercial">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnClasseComercial" name="btnClasseComercial" data-button="absolute" type="button">
                                                                        <i class="m-0 p-0 fas fa-search"></i>
                                                                    </button>
                                                                    <button class="btn bg-danger" id="btnLimpaClasseComercial" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescEcommerce">Desc. E-Commerce:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="grupocorError" id="txtDescEcommerce" name="txtDescEcommerce" class="form-control" placeholder="Desc. E-Commerce">
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescInfo">Desc. Info:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="grupocorError" id="txtDescInfo" name="txtDescInfo" class="form-control" placeholder="Desc. Info">
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtPantone">Pantone:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="grupocorError" id="txtPantone" name="txtPantone" class="form-control" placeholder="Pantone">
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCliente">Cliente:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="grupocorError" id="txtCliente" name="txtCliente" class="form-control" placeholder="Cliente">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnCliente" name="btnCliente" data-button="absolute" type="button">
                                                                        <i class="m-0 p-0 fas fa-search"></i>
                                                                    </button>
                                                                    <button class="btn bg-danger" id="btnLimpaCliente" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDesigner">Designer:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="grupocorError" id="txtDesigner" name="txtDesigner" class="form-control" placeholder="Designer">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnDesigner" name="btnDesigner" data-button="absolute" type="button">
                                                                        <i class="m-0 p-0 fas fa-search"></i>
                                                                    </button>
                                                                    <button class="btn bg-danger" id="btnLimpaDesigner" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCilindro">Cilindro:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" aria-describedby="grupocorError" id="txtCilindro" name="txtCilindro" class="form-control" placeholder="Cilindro">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnCilindro" name="btnCilindro" data-button="absolute" type="button">
                                                                        <i class="m-0 p-0 fas fa-search"></i>
                                                                    </button>
                                                                    <button class="btn bg-danger" id="btnLimpaCilindro" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDataCad">Data Cadastro:</label>
                                                            <div class="input-group">
                                                                <input type="date" value="1899-01-01" class="input-default focus form-control" aria-describedby="grupocorError" id="txtDataCad" name="txtDataCad" class="form-control">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnLimpaDataCad" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-lg-12 col-xl-4 form-group text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDataVal">Data Validade:</label>
                                                            <div class="input-group">
                                                                <input type="date" value="1899-01-01" class="input-default focus form-control" aria-describedby="grupocorError" id="txtDataVal" name="txtDataVal" class="form-control">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnLimpaDataVal" type="button">
                                                                        <i class="m-0 p-0 fas fa-trash"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row col-12 col-lg col-xl" id="campostuto2">
                                                        <div class="ml-0 ml-xl-4">
                                                            <div class="form-group">
                                                                <div class="form" id="tipoCor">
                                                                    <fieldset class="form border-Field">
                                                                        <legend class="textoBorda">Tipo da Cor</legend>
                                                                        <div class="form-row ml-auto pl-3" style="margin-right: 100%;">
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="N" checked="true" class="form-check-input" id="cbNormal">
                                                                                <label class="form-check-label mr-4" for="cbNormal">Normal</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="R" class="form-check-input " id="cbRotativa">
                                                                                <label class="form-check-label mr-2" for="cbRotativa">Rotativa</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="D" class="form-check-input" id="cbDigital">
                                                                                <label class="form-check-label mr-4" for="cbDigital">Digital</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="S" class="form-check-input" id="cbSublimacao">
                                                                                <label class="form-check-label" for="cbSublimacao">Sublimação</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="T" class="form-check-input" id="cbTerceiros">
                                                                                <label class="form-check-label mr-1" for="cbTerceiros">Terceiros</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="P" class="form-check-input" id="cbPreparar">
                                                                                <label class="form-check-label" for="cbPreparar">Preparar/Estampar</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="U" class="form-check-input" id="cbNeutro">
                                                                                <label class="form-check-label mr-3" for="cbNeutro">Neutro</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipoCor" value="E" class="form-check-input" id="cbTinto">
                                                                                <label class="form-check-label" for="cbTinto">Tinto/Estampar</label>
                                                                            </div>
                                                                        </div>
                                                                    </fieldset>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="ml-0 ml-xl-4">
                                                            <div class="form-group">
                                                                <div class="form" id="tipoItem">
                                                                    <fieldset class="form border-Field">
                                                                        <legend class="textoBorda">Tipo</legend>
                                                                        <div class="form-row ml-auto pl-3" style="margin-right: 100%;"> <!-- style="margin-right: 60px" -->
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipo" value="G" checked="true" class="form-check-input" id="cbGeral">
                                                                                <label class="form-check-label mr-3" for="cbGeral">Geral</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipo" value="P" class="form-check-input " id="cbProduto">
                                                                                <label class="form-check-label" for="cbProduto">Produto</label>
                                                                            </div>
                                                                            <div class="form-group form-check col-12 icheck-primary">
                                                                                <input type="radio" name="filtroTipo" value="M" class="form-check-input" id="cbMaterial">
                                                                                <label class="form-check-label" for="cbMaterial">Material</label>
                                                                            </div>
                                                                        </div>
                                                                    </fieldset>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </fieldset>
                                                <input type="button" name="gravar" id="gravar" class="btn-sisp action-button" value="Gravar" />
                                                <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
    <div class="modal fade" id="modalFoto" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" style="width: 550px;">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Foto:</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <label class="labelGeral" data-success="right" for="imgProdModal"></label>
                    <div id="divImgModal" style="margin-bottom: 35px">
                        <div class="d-flex justify-content-center" id="bordaImagemModal">
                            <label id="btnEscolherFoto" class="btnEnviarFoto my-1" for="fileimagem" data-button="absolute" type="button">
                                <img class="pop img img-fluid imagemModal" id="imgFotoModal">
                            </label>
                        </div>
                    </div>
                    <div class="input-group">
                        <input type="text" data-selecionado="false" size="1" readonly class="input-default focus form-control" id="txtArquivoFoto" name="txtArquivoFoto" placeholder="Arquivo">
                        <input type="file" id="mdModalUpload" class="d-none">
                        <div class="input-group-append">
                            <button class="btn bg-danger" id="btn-AddArquivo" name="btn-produto-importa" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-folder-plus"></i></button>
                            <button class="btn bg-danger" id="btn-LimpaArquivo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary btn-sisp" style="width:20px" id="btnAdicionaAFoto">Modificar</button>
                    <button class="btn btn-danger btn-sisp" style="width:20px" id="btnExcluiAFoto">Excluir</button>
                    <button class="btn btn-dark btn-sisp" style="width:20px" id="btnImprimeAFoto">Imprimir</button>
                    <button class="btn bg-gradient-danger btn-sisp" style="width:20px; margin-right: 10px;" data-dismiss="modal" id="btnFechaModalFoto">Fechar</button>
                </div>
            </div>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
    <script src="../utils/cookies.js?versao=3.247.25.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('COR');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("COR");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/cor`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const cor = atob(parametros[parametros.length - 1]);

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("COR", getCookie("usuario"), cor);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/cor/cadastro_cor/cor.js?versao=3.247.25.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>