<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Dashboard App</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative;
        }

        #progressbar {
            margin-left: 0% !important;
        }

        .btnSuccess {
            background-color: #25d366 !important;
            border-color: #25d366 !important;
            color: #fff;
        }

        .btnSuccess:hover {
            background-color: #20ae59 !important;
            border-color: #20ae59 !important;
            color: #fff;
        }

        #tabelaDashboards_filter {
            visibility: hidden;
            margin: 0px;
            padding: 0px;
            height: 0px;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark"></h1>
                        </div>
                        <div class="col-sm-6">

                        </div>
                    </div>
                </div>
                <div class="row justify-content-center mt-0">
                    <div class="col-10 text-left p-0 mt-3 mb-2">
                        <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                            <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                <h2>Cadastro de Dashboard App
                                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                        <i class="fas fa-question-circle"></i>
                                    </button>
                                </h2>
                            </div>
                            <div class="row">
                                <div class="col-md-12 mx-0">
                                    <form id="msform">
                                        <ul id="progressbar">
                                            <li class="active" id="account" style="font-size: 100%;"><strong>Geral</strong></li>
                                        </ul>
                                        <p>Preencha os dados e clique em avançar para realizar o cadastro do dashboard.</p>
                                        <fieldset>
                                            <div class="form-card pb-0 mb-0" id="formcard1">
                                                <h2 class="fs-title">Dados Gerais</h2>
                                                <div class="row">
                                                    <div class="col-12 col-md-3 form-group pr-0">
                                                        <label data-error="wrong" data-success="right" for="txtIdDash">Id Dash: *</label>
                                                        <div class="input-group">
                                                            <input type="text" oninput="this.value = this.value.replace(/[^0-9]/g, '').replace(/(\..*?)\..*/g, '$1');" autocomplete="off" class="input-default focus form-control" id="txtIdDash" name="txtIdDash" class="form-control" placeholder="Id Dash">
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-md-9 form-group pr-0">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTituloDash">Titulo Dash: *</label>
                                                        <div class="input-group">
                                                            <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTituloDash" name="txtTituloDash" class="form-control" placeholder="Titulo:">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-12 col-md-2 form-group pr-0">
                                                        <label data-error="wrong" data-success="right" for="txtId">Id: </label>
                                                        <div class="input-group">
                                                            <input type="text" autocomplete="off" disabled class="input-default focus form-control" id="txtId" name="txtId" class="form-control" title="Campo Preenchido Automaticamente" placeholder="Campo Preenchido Automaticamente">
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-md-2 form-group pr-0">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtOrdem">Ordem: </label>
                                                        <div class="input-group">
                                                            <input type="text" autocomplete="off" disabled class="input-default focus form-control" id="txtOrdem" name="txtOrdem" class="form-control" placeholder="Ordem">
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-md-6 form-group pr-0">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTitulo">Título: </label>
                                                        <div class="input-group">
                                                            <input type="text" autocomplete="off" disabled class="input-default focus form-control" id="txtTitulo" name="txtTitulo" class="form-control" placeholder="Título">
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-md-2 form-group pr-0">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtMeta">Meta: </label>
                                                        <div class="input-group">
                                                            <input type="text" autocomplete="off" disabled class="input-default focus form-control" id="txtMeta" name="txtMeta" class="form-control" placeholder="Meta">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-12 col-md-6 form-group pr-0">
                                                        <h2 class="fs-title" id="Dashboards">Dashboards
                                                            <button type="button" id="btnIncluirDash" class="btn btn-primary" title="Incluir"><i class="fas fa-plus"></i></button>
                                                            <button type="button" id="btnConfirmarDash" class="btn btn-primary btnSuccess d-none" title="Confirmar"><i class="fas fa-check"></i></button>
                                                            <button type="button" id="btnDesistirDash" class="btn btn-danger d-none" title="Desistir"><i class="fas fa-times"></i></button>
                                                        </h2>
                                                        <div class="col-sm-12 table-responsive" style="max-height: 500px;">
                                                            <table id="tabelaDashboards" class="table table-sm table-select table-hover" width="100%">
                                                                <thead>
                                                                    <tr>
                                                                        <th class="th-sm">Id</th>
                                                                        <th class="th-sm">Ordem</th>
                                                                        <th class="th-sm">Titulo</th>
                                                                        <th class="th-sm">Meta</th>
                                                                        <th class="th-sm">Dados</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-md-6 form-group pr-0">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtSelect">Select:</label>
                                                        <div class="input-group">
                                                            <textarea class="input-default focus form-control create" disabled id="txtSelect" name="txtSelect" placeholder="Digite o Select" rows="15" cols="50" style="resize: none;"></textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <input type="button" name="btnGravar" class="action-button mr-5" value="Gravar" id="btnGravar" />
                                            <button type="button" id="btnVoltar" class="action-button-previous" data-dismiss="modal">Voltar</button>
                                        </fieldset>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/dataTables.keyTable.js?versao=3.247.25.1"></script>
    <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
    <script src="../utils/cookies.js?versao=3.247.25.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/jquery.mask.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('DASHBOARDAPP');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("DASHBOARDAPP");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/dashboardapp`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const idDash = parametros[parametros.length - 1];

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("DASHBOARDAPP", getCookie("usuario"), idDash);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/dashboardapp/cadastro_dashboardapp/dashboardapp.js?versao=3.247.25.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>