<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Disponibilidade de Tecidos Crús</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/PesquisaVariosSelect2.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
  <style>
    .card {
      box-shadow: none !important;
      border-radius: 0 !important;
      margin-bottom: 0 !important;
    }

    .card-header {
      box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
    }


    .fa-angle-right,
    .fa-angle-down {
      color: #343a40;
    }

    .card-body {
      margin-left: 0px !important;
      padding-left: 1.25rem !important;
      padding-top: 0px;
      padding-bottom: 0px;
      padding-right: 1.25rem !important;
    }

    .header-content-page .title-page,
    .title-content-page .title,
    .title-page {
      font-size: 20px;
      line-height: normal;
      font-weight: 500;
      color: #343a40;
      margin: 0;
      font-family: Roboto, Arial, sans-serif;
    }

    #DadosGerais>.card,
    #obs>.card {
      background: #f7f7f7;
    }

    #lotesDesdobrados {
      margin-bottom: 100px;
    }

    .radiosStyle {
      padding-top: 0.5rem;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      margin-left: 0%;
    }

    .radiosStyle2 {
      padding-top: 0.5rem;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
    }

    .borda {
      padding: 10px;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
    }

    .select2-container--default .select2-selection--multiple .select2-selection__rendered {
      float: left;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--white-dark) !important;
      /* padding: 0 1.0em 1.0em 1.0em !important; */
      margin: 0 0 1.0em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }

    .modalFooterFixo {
      position: absolute;
      bottom: 0;
      left: 10px;
      right: 10px;
      background-color: #171f21;
      z-index: 1;
      padding: 4px;
    }


    .sidebar-collapse .sidebar-margin {
      margin-left: 5%
    }

    /* .sidebar-margin {
            margin-left: 250px
        } */

    /* #rodape {
            margin-bottom: 80px;
        } */


    body {
      font-size: 12px;
    }

    .input-group button,
    .input-group input {
      /* height: 32px !important; */
    }

    button {
      /* height: 32px !important; */
      /* padding: 0 !important; */
    }

    .table tbody td {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    .table td,
    .table th {
      border: 1px solid var(--table-border) !important;
    }

    .btn-success {
      color: #fff;
      background-color: #28a745;
      border-color: #28a745;
      box-shadow: none;
    }

    .clicavel {
      color: #3582d5;
      cursor: pointer;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-top-nav">
  <div class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card" style="height:auto;">
                <div class="card-header bg-dark">
                  <div class="row flex">
                    <h4 class="text-white m-0" id="title">Geração de Etiquetas</h4>
                    <h4 class="primary-color-dark semi-bold pl-2" id="modal-etiqueta-referencia"></h4>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12 icheck-primary d-inline pb-2 pl-4 pr-4" style="margin-right: 15px;">
                    <input class="form-check-input" type="checkbox" id="check_todos" value="option1">
                    <label class="form-check-label" for="check_todos">Selecionar Todos</label>
                  </div>
                  <div class="col-12 pl-4 pr-4 table-responsive">
                    <table class="table table-sm table-hover" id="tabela-etiqueta-tecelagem" width="100%" style="width: 100%">
                      <thead>
                        <tr>
                          <th>Selecionar</th>
                          <th>Máquina</th>
                          <th>Múltiplo</th>
                          <th>KG Rolo</th>
                          <th>Rolos</th>
                          <th>Semana</th>
                          <th>Data/Hora</th>
                          <th>Situação</th>
                          <th>Trocas</th>
                          <th>Observação</th>
                        </tr>
                      </thead>
                      <tfoot>
                        <tr>
                          <th colspan="2"></th>
                          <th><input type="number" class="input-default input-default-multiplo"></input></th>
                          <th></th>
                          <th><input type="number" class="input-default input-default-rolos"></input></th>
                          <th><input id="input-default-semana" type="text" class="input-default input-default-semana"></input></th>
                          <th><input id="input-default-dt-hora" type="datetime-local" class="input-default input-default-dt-hora"></input></th>
                          <th><button class="btn btn-primary btn-sm btn-aplicar-etiqueta"><i class="fas fa-check pr-1"></i>Aplicar</button></th>
                          <th colspan="2"></th>
                        </tr>
                      </tfoot>
                    </table>
                  </div>
                  <div class="col-6 pl-4 pr-4 mt-2">
                    <h5>Total Rolos Múltiplos: <span id="txtEtqTotalRoloMultiplo">0</span></h5>
                    <h5>Total Rolos: <span id="txtEtqTotalRolo">0</span></h5>
                    <h5>Necessidade: <span id="txtEtqNecessidade">0</span></h5>
                  </div>

                  <div class="col-6 pl-4 pr-4 mt-2">
                    <h5>Rolos sem alternativo: <span id="txtEtqTotalRoloSemAlternativo">0</span></h5>
                    <h5>Rolos com alternativo: <span id="txtEtqTotalRoloComAlternativo">0</span></h5>
                  </div>
                  <div class="col-12 pl-4 pr-4 mt-2 mb-2">
                    <button class="btn btn-sm btn-danger btn-sisp" id="btn-gravar-etiqueta">
                      Gravar
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


  <?php
  include_once('../../modais.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/sum().js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <script src="../plugins/moment/moment.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.mask.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      sArquivo = `${BASE_URI}/pages/disponibilidade_tecidos/tela_etiquetas.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>