<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Grupo Material</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
    <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">


    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .labelCheck {
            font-size: 110%;
            padding: 0.2%;
            margin-left: 1%;
        }

        .configCheck {
            -ms-transform: scale(1.5);
            -moz-transform: scale(1.5);
            -webkit-transform: scale(1.5);
            -o-transform: scale(1.5);
            transform: scale(1.5);
            padding: 10px;
        }

        .radiosStyle {
            font-size: 120%;
            margin-top: 1%;
            margin-bottom: 1%;
        }

        .checkboxMoeda {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding: .8%;
        }

        .bordaTab {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            margin-top: 9.6%;
        }

        .configTabPreco {
            -ms-transform: scale(1.5);
            -moz-transform: scale(1.5);
            -webkit-transform: scale(1.5);
            -o-transform: scale(1.5);
            transform: scale(1.5);
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 0 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            border-radius: 3px !important;
        }

        .form-row {
            display: -webkit-flex;
            display: -ms-flexbox;
            -webkit-flex-wrap: wrap;
            -ms-flex-wrap: wrap;
            margin-left: -5px;
        }

        .icheck-primary {
            margin-top: 0px !important;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>
        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-wrapper">
            <section class="content">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6 flex">
                            </div>
                            <div class="col-sm-6">
                                <!-- <ol class="breadcrumb float-sm-right">
                                    
                                    <li class="breadcrumb-item"><a href="../grupomaterial">Acesso Grupo Material</a></li>
                                    <li class="breadcrumb-item active">Cadastro de Grupo Material</li>
                                </ol> -->
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>
                    <div class="row justify-content-center mt-0">
                        <div class="col-10 text-center p-0 mt-3 mb-2">
                            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                    <h2>Cadastro de Grupo Material
                                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                            <i class="fas fa-question-circle"></i>
                                        </button>
                                    </h2>
                                </div>
                                <div class="row" id="campostour">
                                    <div class="col-md-12 mx-0 mb-3">
                                        <form id="msform">
                                            <ul id="progressbar">
                                                <li class="active" id="account"><strong>Geral</strong></li>
                                            </ul>
                                            <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do Grupo Material.</p>
                                            <fieldset class="row justify-content-center mt-5">
                                                <div class="row col-10">
                                                    <div class="col-lg-3 col-12 form-group text-left">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código</label>
                                                        <div class="input-group">
                                                            <input type="text" readonly class="input-default focus form-control validate" aria-describedby="tabPrecoError" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Campo preenchido automaticamente">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-9  col-12 form-group text-left" id="produtotuto">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição *</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control text-uppercase" required aria-describedby="produtoError" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição">
                                                        </div>
                                                    </div>
                                                    <div class="col-12 m-6 form-group text-left mb-4">
                                                        <label data-error="wrong" data-success="right" for="selectTipo">Tipo *</label>
                                                        <select style="width:100%;" required class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="selectTipo" class="custom-select focus">
                                                            <option value="">Selecione um tipo</option>
                                                            <option value="M">M - Material</option>
                                                            <option value="S">S - Serviço</option>
                                                            <option value="Q">Q - Máquina</option>
                                                        </select>
                                                    </div>
                                                    <div class="col-12 col-xl-6 form" id="utilizaTinturaria">
                                                        <fieldset class="form border-Field mb-0 pb-0">
                                                            <legend class="textoBorda mb-0 pb-0">Utiliza Tinturaria</legend>
                                                            <div class="form-row">
                                                                <div class="icheck-primary">
                                                                    <input type="radio" checked="checked" value="0" id="radioMatSaida" name="tipo">
                                                                    <label class="ml-2" for="radioMatSaida">Material Saída </label>
                                                                </div>
                                                                <div class="icheck-primary">
                                                                    <input type="radio" id="radioMatEntrada" value="1" name="tipo">
                                                                    <label class="ml-3" for="radioMatEntrada">Material Entrada </label>
                                                                </div>

                                                                <div class="icheck-primary">
                                                                    <input type="radio" id="radioAmbos" value="2" name="tipo">
                                                                    <label class="ml-3" for="radioAmbos">Ambos</label>
                                                                </div>

                                                            </div>
                                                        </fieldset>
                                                    </div>
                                                    <div class="col-12 col-xl-6 mt-xl-0 mt-4 form" id="utilizaTingimento">
                                                        <fieldset class="form border-Field mb-0 pb-0">
                                                            <legend class="textoBorda mb-0 pb-0">Utiliza Tingimento</legend>
                                                            <div class="form-row">
                                                                <div class="icheck-primary">
                                                                    <input type="radio" checked="checked" id="radioTinturaria" value="TIN" name="tinturaria">
                                                                    <label class="ml-2" for="radioTinturaria">Tinturaria</label>
                                                                </div>

                                                                <div class="icheck-primary">
                                                                    <input type="radio" id="radioIntermediario" value="INT" name="tinturaria">
                                                                    <label class="ml-3" for="radioIntermediario">Intermediário</label>
                                                                </div>

                                                                <div class="icheck-primary">
                                                                    <input type="radio" id="radioTecelagem" value="TEC" name="tinturaria">
                                                                    <label class="ml-3" for="radioTecelagem">Tecelagem</label>
                                                                </div>

                                                                <div class="icheck-primary">
                                                                    <input type="radio" id="radioCompras" value="COM" name="tinturaria">
                                                                    <label class="ml-3" for="radioCompras">Compras</label>
                                                                </div>


                                                            </div>
                                                        </fieldset>
                                                    </div>
                                                    <div class="col-12 mt-4" id="opcoes">
                                                        <fieldset class="form-row border-Field mb-0 pb-0">
                                                            <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkControlaDesperdicio"><label class="" for="checkControlaDesperdicio"> Controla Desperdício</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkGeraInventario"><label class="" for="checkGeraInventario"> Gera Inventário</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkPermiteVenda"><label class="" for="checkPermiteVenda">Permite Venda</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkPermiteDesdobrarVenda"><label class="" for="checkPermiteDesdobrarVenda">Permite Desdobrar Lote na Venda</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkCriaLote"><label class="" for="checkCriaLote">Cria Lote</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkExplosao"><label class="" for="checkExplosao">Explosão Ficha Consumos</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkConsMalha"><label class="" for="checkConsMalha">Cons Malha Aviamentos</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkAtualizar"><label class="" for="checkAtualizar">Atualizar Custo</label></div>
                                                            <div class="icheck-primary mr-3"><input type="checkbox" class="" id="checkConsOf"><label class="" for="checkConsOf">Cons Criação da OF</label></div>
                                                        </fieldset>
                                                    </div>
                                                </div>
                                            </fieldset>
                                            <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                                            <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>


    <?php
    include_once('../../../modais.php');
    ?>

    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>

    <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
    <script src="../utils/cookies.js?versao=3.247.25.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('GRUPOMATERIAL');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("GRUPOMATERIAL");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/grupomaterial`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const grupomaterial = parametros[parametros.length - 1];

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("GRUPOMATERIAL", getCookie("usuario"), grupomaterial);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/grupomaterial/cadastro_grupomaterial/grupomaterial.js?versao=3.247.25.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>