<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Material</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">

    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>


    <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.247.25.1">
    <style>
        #tabelaCadMaterial td div button {
            padding: .0rem .5rem;
            margin-top: .1rem;
            margin-bottom: .2rem;
        }

        #tabelaCadMaterial td {
            padding: 0 !important;
            padding-left: 10px !important;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            border-radius: 3px !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 0 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Material</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                        <div class="col-sm-6">
                            <!-- <ol class="breadcrumb float-sm-right">
                                
                                <li class="breadcrumb-item active">Material</li>
                            </ol> -->
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
                <div class="container-fluid">
                    <div class="row card" id="tabelaCadMaterialForne">
                        <div class="col-sm-12 mt-3">
                            <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
                            <button class="btn btn-danger btn-sisp" id="btnNovoMaterial"><span class="fas fa-plus"></span> Incluir</button>
                        </div>

                        <div class="col-sm-12 table-responsive card-body">
                            <h5>Lista de Materiais</h5>
                            <table id="tabelaCadMaterial" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                    <tr>
                                        <th class="th-sm">Código Material
                                        </th>
                                        <th class="th-sm">Descrição
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
                        <div class="modal-dialog modal-xl" role="document">
                            <div class="modal-content" id="modalBody">
                                <div class="modal-header">
                                    <h4 class="modal-title">Filtros</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">

                                    <div class="row justify-content-sm-start justify-content-center mb-3">
                                        <div class="col-auto">
                                            <fieldset class="form border-Field mb-0 pb-0 d-sm-flex d-block">
                                                <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                <div class="m-1 icheck-primary">
                                                    <input type="radio" id="cbTodos" name="cbStatus" checked>
                                                    <label for="cbTodos">Todos</label>
                                                </div>
                                                <div class="m-1 icheck-primary">
                                                    <input type="radio" id="cbAtivo" name="cbStatus" value="S">
                                                    <label for="cbAtivo">Ativo</label>
                                                </div>
                                                <div class="m-1 icheck-primary">
                                                    <input type="radio" id="cbInativo" name="cbStatus" value="N">
                                                    <label for="cbInativo">Inativo</label>
                                                </div>
                                            </fieldset>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12 col-lg-4 col-12">
                                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtConsultaProduto">Material: </label>
                                            <div class="relative" style="margin-top: 5px;">
                                                <div class="input-group">
                                                    <input type="text" class="input-default focus form-control" id="txtConsultaProduto" name="txtConsultaProduto" class="form-control" placeholder="Material">
                                                    <div class="input-group-append">
                                                        <button class="btn bg-danger" id="btn-ConsultaProduto" name="btn-ConsultaProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                        <button class="btn bg-danger" id="btn-limpa-ConsultaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-12 d-none">
                                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtConsultaColecao">Coleção: </label>
                                            <div class="relative" style="margin-top: 5px;">
                                                <div class="input-group">
                                                    <input type="text" class="input-default focus form-control" id="txtConsultaColecao" name="txtConsultaColecao" class="form-control" placeholder="Coleção">
                                                    <div class="input-group-append">
                                                        <button class="btn bg-danger" id="btn-ConsultaColecao" name="btn-ConsultaColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                        <button class="btn bg-danger" id="btn-limpa-ConsultaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-12 d-none">
                                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtConsultaMarca">Marca: </label>
                                            <div class="relative" style="margin-top: 5px;">
                                                <div class="input-group">
                                                    <input type="text" class="input-default focus form-control" id="txtConsultaMarca" name="txtConsultaMarca" class="form-control" placeholder="Marca">
                                                    <div class="input-group-append">
                                                        <button class="btn bg-danger" id="btn-ConsultaMarca" name="btn-ConsultaMarca" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                        <button class="btn bg-danger" id="btn-limpa-ConsultaMarca" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6 col-lg-4 col-12">
                                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtConsultaGrupo">Grupo: </label>
                                            <div class="relative" style="margin-top: 5px;">
                                                <div class="input-group">
                                                    <input type="text" class="input-default focus form-control" id="txtConsultaGrupo" name="txtConsultaGrupo" class="form-control" placeholder="Grupo">
                                                    <div class="input-group-append">
                                                        <button class="btn bg-danger" id="btn-ConsultaGrupo" name="btn-ConsultaGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                        <button class="btn bg-danger" id="btn-limpa-ConsultaGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6 col-lg-4 col-12">
                                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtConsultaNCM">NCM: </label>
                                            <div class="relative" style="margin-top: 5px;">
                                                <div class="input-group">
                                                    <input type="text" class="input-default focus form-control" id="txtConsultaNCM" name="txtConsultaNCM" class="form-control" placeholder="NCM">
                                                    <div class="input-group-append">
                                                        <button class="btn bg-danger" id="btn-ConsultaNCM" name="btn-ConsultaNCM" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                        <button class="btn bg-danger" id="btn-limpa-ConsultaNCM" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <div class="row">
                                        <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                                        <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
    include_once('../../../modais.php');
    include_once('../../../modals/modal_anexos.html');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="utils/funcoes.js?versao=3.247.25.1"></script>
    <script src="utils/cookies.js?versao=3.247.25.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="config.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="modals/modal_anexos.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('MATERIAL');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/material/acesso_material/acesso_material.js?versao=3.247.25.1`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>