<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Movimentação de Terceiros</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.247.25.1">

  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.247.25.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.247.25.1">
  <style>
    #tabelaOrdemProducao td div button {
      padding: .0rem .5rem;
      margin-top: .1rem;
      margin-bottom: .2rem;
    }

    #tabelaOrdemProducao td {
      padding: 0 !important;
      padding-left: 10px !important;
    }

    #modalEstornar .modal-dialog {
      max-width: none !important;
      max-height: none !important;
      margin: 0 !important;
      height: 100vh !important;
      padding: 4% !important;
      padding-top: 1% !important;
    }

    #modalEstornar .modal-dialog {
      max-width: none !important;
      margin: 0 !important;
      height: 100vh !important;

    }

    #modalEstornar .modal-content {
      max-height: none !important;
      max-width: none !important;
      height: 95vh !important;
      padding: 0 !important;
    }

    #modalEstornar {
      padding-right: 0 !important;
    }

    .scrollOrdemFaccao {
      max-height: 48vh;
      overflow-y: auto;
    }

    .content-wrapper {
      margin-left: 0px !important;
    }

    .main-header,
    .main-sidebar {
      display: none;
    }

    .table.dataTable tbody td {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Movimentação de Terceiros</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">

            </div>
          </div>
        </div>
        <div class="container-fluid" id="tabelaOrdemProducaoForne">
          <div class="row card">
            <div class="col-sm-12 mt-3">
              <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
              <button class="btn btn-secondary btn-sisp" id="btnImprimir"><span class="fas fa-print pr-1" style="color: white!important"></span>Imprimir</button>
            </div>
            <div class="col-sm-12 table-responsive card-body">
              <h5>Lista de Ordem de Produções</h5>
              <table id="tabelaOrdemProducao" class="table table-responsive-sm table-select table-hover" width="100%">
                <thead>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
          <div class="modal-content" id="modalBody">
            <div class="modal-header">
              <h4 class="modal-title">Filtros</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="row">
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Saída:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataSaidaIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Retorno:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataRetornoIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="">Data Cadastro:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataCadastroIni" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataSaidaFim" name="DataAte">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataRetornoFim" name="DataAte">
                    </div>
                  </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-12">
                  <div class="group-default form-group">
                    <label for="dtEmifim">Até:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataCadastroFim" name="DataAte">
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">

                <div class="col-6" id="OrdemProducaoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtOrdemProducao">Ordem de Produção: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtOrdemProducao" name="txtOrdemProducao" multiple="multiple">
                    </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtOrdemProducao" name="txtOrdemProducao" class="form-control" placeholder="Número Ordem de Producao"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnOrdemProducao" name="btnOrdemProducao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaOrdemProducao" name="btnLimpaOrdemProducao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <!-- <div class="col-lg-4 col-12 mt-2">
                  <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtSubColecao">Sub-Coleção: </label>
                  <div class="relative">
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtSubColecao" name="txtSubColecao" class="form-control" placeholder="Sub-Coleção">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnConsultaSubColecao" name="btnConsultaSubColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaSubColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div> -->



                <div class="col-6" id="ProdutoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtProduto">Produto: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple">
                    </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProduto" name="txtProduto" class="form-control" placeholder="Produto"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-6 col-sm-12 col-lg-6" id="ClienteInfoTour">
                  <label data-error="wrong" data-success="right" for="txtCliente">Cliente: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtCliente" name="txtCliente" multiple="multiple">
                    </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCliente" name="txtCliente" class="form-control" placeholder="Cliente"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnCliente" name="btnCliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaCliente" name="btnLimpaCliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-6 col-sm-12 col-lg-6" id="PedidoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtPedido">Pedido: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtPedido" name="txtPedido" multiple="multiple">
                    </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtPedido" name="txtPedido" class="form-control" placeholder="Pedido"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnPedido" name="btnPedido" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaPedido" name="btnLimpaPedido" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-6 col-sm-12 col-lg-6" id="SetorInfoTour">
                  <label data-error="wrong" data-success="right" for="txtSetor">Setor: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtSetor" name="txtSetor" multiple="multiple">
                    </select>
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSetor" name="txtSetor" class="form-control" placeholder="Setor"> -->
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnSetor" name="btnSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaSetor" name="btnLimpaSetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6 col-sm-12 col-6">
                  <div class="group-default form-group">
                    <label for="txtStatus">Status:</label>
                    <div class="relative">
                      <select id="txtStatus" class="input-default focus form-control validate">
                        <option value="0">Todos</option>
                        <option value="1" selected>Pendentes</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="row col-12">
                <div class="col-lg-4 col-sm-12 col-12">
                  <label for="txtOrdem">Opção de Relatório:</label>
                  <div class="relative">
                    <select id="txtOrdem" class="input-default focus custom-select">
                    </select>
                  </div>
                </div>
                <div class="col-lg-8 d-flex justify-content-end align-items-end pr-0">
                  <div class="d-flex">
                    <button class="btn btn-primary btn-sisp mr-2" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222">
                      <span class="fas fa-trash"></span> Limpar Filtros
                    </button>
                    <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                      <span class="fas fa-search"></span> Consultar
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="modalEstornar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Estornar Movimento da Ordem de Produção - [<span id="txtNumeroTitle"></span>]</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-12" id="collapseEstornar">
              <div class="card card-body p-0">
                <div class="row">
                  <div class="col-3">
                    <label data-error="wrong" data-success="right" for="txtOFEstorno">Ordem de Facção</label>
                    <div class="input-group">
                      <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtOFEstorno" class="form-control" placeholder="Ordem de Facção">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnOFEstorno" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaOFEstorno" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-3 pl-0">
                    <label data-error="wrong" data-success="right" for="txtEstornarParte">Parte</label>
                    <select class="form-control select2 select2-danger focus" id="selectParte" name="selectParte" data-dropdown-css-class="select2-danger" style="width: 100%;">
                      <option value="" selected="selected">Selecione uma parte</option>
                    </select>
                  </div>
                </div>
                <div class="row pt-1">
                  <div class="col-3">
                    <label data-error="wrong" data-success="right" for="txtEstornarProduto">Produto</label>
                    <input type="text" readonly class="input-default focus form-control" id="txtEstornarProduto" name="txtEstornarProduto">
                  </div>
                  <div class="col-3 pl-0">
                    <label data-error="wrong" data-success="right" for="txtEstornarCor">Cor</label>
                    <div class="input-group">
                      <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtEstornarCor" name="txtEstornarCor" class="form-control" placeholder="Cor">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnEstornarCor" name="btnEstornarCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaEstornarCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-3 pl-0">
                    <label data-error="wrong" data-success="right" for="txtEstornarTam">Tamanho</label>
                    <div class="input-group">
                      <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtEstornarTam" name="txtEstornarTam" class="form-control" placeholder="Tamanho">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnEstornarTam" name="btnEstornarTam" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaEstornarTam" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="row pt-1">
                  <div class="col-3">
                    <label data-error="wrong" data-success="right" for="txtEstornarFaccao">Facção</label>
                    <div class="input-group">
                      <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtEstornarFaccao" name="txtEstornarFaccao" class="form-control" placeholder="Facção">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnEstornarFaccao" name="btnEstornarFaccao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaEstornarFaccao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-3 pl-0">
                    <label data-error="wrong" data-success="right" for="txtEstornarSetor">Setor</label>
                    <div class="input-group">
                      <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtEstornarSetor" name="txtEstornarSetor" class="form-control" placeholder="Setor">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnEstornarSetor" name="btnEstornarSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaEstornarSetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-3 pl-0">
                    <label data-error="wrong" data-success="right" for="txtEstornarMov">Movimento</label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtEstornarMov" name="txtEstornarMov" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnEstornarMov" name="btnEstornarMov" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaEstornarMov" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div>
                    <div class="col-3 pl-0" style="margin-top: 27px;">
                      <button type="button" class="btn btn-primary btn-sisp" id="btnConsultarEstorno"> Consultar </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm-3 icheck-primary d-inline" style="margin-left: 4px;">
              <div class="form-check icheck-primary">
                <input class="form-check-input" type="checkbox" id="checkSelecionarTodos">
                <label class="form-check-label" id="labelSelecionarTodos" for="checkSelecionarTodos">Selecionar todos</label>
              </div>
              <div class="form-check icheck-primary">
                <input class="form-check-input" type="checkbox" id="checkSelecionarTodosSetor">
                <label class="form-check-label" id="labelSelecionarTodos" for="checkSelecionarTodosSetor">Selecionar todos do mesmo setor</label>
              </div>
              <div class="form-check icheck-primary">
                <input class="form-check-input" type="checkbox" id="checkSelecionarTodosCor">
                <label class="form-check-label" id="labelSelecionarTodos" for="checkSelecionarTodosCor">Selecionar todos da mesma cor</label>
              </div>
            </div>
            <div class="col-sm-12 mt-1 table-responsive card-body scrollOrdemFaccao">
              <table id="tabelaEstornar" class="table table-responsive-sm table-select table-hover" width="100%">
                <thead>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="row d-none" id="panelDeposito" style="margin-left: 7px; margin-bottom: 10px;">
          <!-- <div class="col-3">
            <label data-error="wrong" data-success="right" for="txtEstornarDeposito">Depósito</label>
            <div class="input-group">
              <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtEstornarDeposito" name="txtEstornarDeposito" class="form-control" placeholder="Depósito">
              <div class="input-group-append">
                <button class="btn bg-danger" id="btnEstornarDeposito" name="btnEstornarDeposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                <button class="btn bg-danger" id="btnLimpaEstornarDeposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
              </div>
            </div>
          </div> -->
          <div class="col-3">
            <label data-error="wrong" data-success="right" for="txtEstornarTipoMov">Tipo Mov</label>
            <div class="input-group">
              <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtEstornarTipoMov" name="txtEstornarTipoMov" class="form-control" placeholder="Tipo Mov">
              <div class="input-group-append">
                <button class="btn bg-danger" id="btnEstornarTipoMov" name="btnEstornarTipoMov" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                <button class="btn bg-danger" id="btnLimpaEstornarTipoMov" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
              </div>
            </div>
          </div>
          <div class="col-3 pl-0">
            <label data-error="wrong" data-success="right" for="txtEstornarMotivo">Motivo</label>
            <select class="form-control select2 select2-danger focus" id="selectMotivo" name="selectMotivo" data-dropdown-css-class="select2-danger" style="width: 100%;">
              <option value="" selected="selected">Selecione um Motivo</option>
              <option value="0">Erro ao baixar</option>
              <option value="1">Faccao Trocada</option>
              <option value="2">Recusou Produção</option>
            </select>
          </div>
        </div>
        <div class="modal-footer d-flex justify-content-start">
          <button type="button" class="btn bg-gradient-success btn-sisp" id="btnEstornarMovto"> Estornar </button>
          <button type="button" data-dismiss="modal" class="btn btn-danger btn-sisp"> Fechar </button>
        </div>
      </div>
    </div>
  </div>
  <?php
  include_once('../../../modais.php');
  include_once('../../../modals/modal_anexos.html');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="utils/cookies.js?versao=3.247.25.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script src="plugins/moment/moment.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="config.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="modals/modal_anexos.js?versao=3.247.25.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.247.25.1"></script>

  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('MOVIMENTACAOFACCAO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/movimentacaofaccao/acesso_movimentacaofaccao/acesso_movimentacaofaccao.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>

</body>

</html>