<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Movimentação de Terceiros</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.247.25.1">

  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.247.25.1">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 50%;
      float: left;
      position: relative;
    }

    #progressbar {
      margin-left: 0% !important;
    }

    .card {
      padding: 1.5rem;
      border-top: 2px outset #ddd;
      box-shadow: none !important;
      margin-top: 20px;
      padding-top: 20px;
    }

    #tabelaConsumosOF_wrapper .table.dataTable tbody td {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
      /* max-width: 200px; */
      /* white-space: normal; */
      /* word-break: break-all; */
    }

    #avancar1:disabled {
      opacity: 0.5;
      cursor: not-allowed;
    }

    #msform fieldset .form-card {
      padding: 0px;
    }

    .content-wrapper {
      margin-left: 0px !important;
    }

    .main-header,
    .main-sidebar {
      display: none;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark"></h1>
            </div>
            <div class="col-sm-6">
              <!-- <ol class="breadcrumb float-sm-right">

                <li class="breadcrumb-item active"><a href="../movimentacaofaccao">Acesso Movimentação de Facção</a></li>
                <li class="breadcrumb-item active">Movimentação de Facção</li>
              </ol> -->
            </div>
          </div>
        </div>
        <!-- <div class="row justify-content-center mt-0"> -->
        <div class="col-12 text-left p-0 mt-3 mb-2">
          <div class=" card px-0 pt-4 pb-0 mt-3 mb-3" style="border:none">
            <h2>
              <strong class="ml-4">Movimentação de Terceiros</strong>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i>
              </button>
            </h2>
            <div class="row">
              <div class="col-md-12 mx-0">
                <form id="msform">
                  <ul id="progressbar">
                    <li class="active" id="account"><strong>Dados da OF</strong></li>
                    <li id="payment"><strong>Finalizar Movimentação</strong></li>
                    <!-- <li id="payment"><strong>Dados da Movimentação</strong></li>
                    <li id="confirm" style="cursor: pointer;"><strong>Finalizar Movimentação</strong></li> -->
                  </ul>
                  <fieldset>
                    <div class="form-card" id="formcard1">
                      <div class="row">
                        <div class="col-sm-12">
                          <div class="card dadosGerais">
                            <h2 class="fs-title">Dados Gerais</h2>
                            <div class="row">
                              <div class="col-sm-8 row">
                                <div class="col-3" id="ColunaOrdem">
                                  <label data-error="wrong" data-success="right" for="txtNumeroOrdem">Número </label>
                                  <div class="input-group">
                                    <input type="text" autocomplete="off" class="input-default focus form-control validate" aria-describedby="ordemError" id="txtNumeroOrdem" name="txtNumeroOrdem" class="form-control" placeholder="Numero Ordem de Produção" disabled>
                                    <div class="input-group-append">
                                      <!-- <button class="btn bg-danger" id="btn-Ordem" name="btn-Ordem" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button> -->
                                      <!-- <button class="btn bg-danger" id="btn-limpa-Ordem" name="btn-limpa-Ordem" type="button"><i class="m-0 p-0 fas fa-trash"></i></button> -->
                                    </div>
                                  </div>
                                </div>
                                <div class="col-3" id="lblPedido">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtPedido">Pedido</label>
                                  <div class="input-group">
                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtPedido" name="txtPedido" class="form-control" placeholder="Pedido" disabled>
                                  </div>
                                </div>
                                <div class="col-3" id="lblProgramacao">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtProgramacao">Programação</label>
                                  <div class="input-group">
                                    <input type="number" autocomplete="off" class="input-default focus form-control" id="txtProgramacao" name="txtProgramacao" class="form-control" placeholder="Número Programacao" disabled>
                                  </div>
                                </div>
                                <div class="col-3">
                                  <div class="group-default form-group">
                                    <label for="txtDtCadastro">Data Cadastro </label>
                                    <div class="relative">
                                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDtCadastro" name="txtDtCadastro" disabled>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-6">
                                  <label data-error="wrong" data-success="right" for="txtProduto">Produto</label>
                                  <div class="input-group">
                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProduto" name="txtProduto" class="form-control" placeholder="Código do Produto" disabled>
                                    <div class="input-group-append">
                                      <!-- <button class="btn bg-danger" id="btn-Produto" name="btn-Produto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpa-Produto" name="btn-limpa-Produto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button> -->
                                    </div>
                                  </div>
                                </div>
                                <div class="col-3">
                                  <div class="group-default form-group">
                                    <label for="txtDtInicio">Data Inicio </label>
                                    <div class="relative">
                                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDtInicio" name="txtDtInicio" disabled>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-3">
                                  <div class="group-default form-group">
                                    <label for="txtDtFim">Data Fim </label>
                                    <div class="relative">
                                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDtFim" name="txtDtFim" disabled>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <div class="col-sm-4">
                                <label for="txtObs" class="form-label">Observação </label>
                                <textarea style="resize: none" class="input-default form-control" id="txtObs" cols="50" rows="7" disabled></textarea>
                              </div>
                            </div>
                          </div>
                        </div>
                        <!-- <div class="col-sm-4" style="display: flex">
                          <div class="table-responsive card dadosCores">
                            <h2 class="fs-title">Cores</h2>
                            <table id="tabelaCores" class="table table-responsive-sm table-select table-hover" width="100%">
                              <thead>
                              </thead>
                              <tbody>
                              </tbody>
                            </table>
                          </div>
                        </div> -->
                      </div>
                      <div class="col-sm-12 table-responsive card divResumo" style="max-height: 633px">
                        <div class="row d-flex">
                          <div class="col-9">
                            <h2 class="fs-title">Setores</h2>
                          </div>
                          <div class="col-3 float-right d-flex align-items-center" style="padding: 0px; margin-bottom: 7px; grid-gap: 4px;">
                            <label for="cbPartes">Parte</label>
                            <select id="cbPartes" class="form-control input-default"></select>
                          </div>
                        </div>
                        <table id="tabelaResumo" class="table table-responsive-sm table-select table-hover" width="100%">
                          <thead>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                      <input type="button" name="avancar1" class="btn-sisp next action-button" id="avancar1" value="Avançar" />
                      <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                    </div>
                  </fieldset>
                  <fieldset>
                    <div class="form-card" id="formcard2">
                      <div class="card divDadosMov">
                        <h2 class="fs-title" id="dadosMovimentacao">Dados da Movimentação</h2>
                        <div class="row">
                          <!-- <div class="col-3" id="ColunaOrdem">
                            <label data-error="wrong" data-success="right" for="txtNumeroOrdemMov">Número </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control validate" aria-describedby="ordemError" id="txtNumeroOrdemMov" name="txtNumeroOrdemMov" class="form-control" placeholder="Numero Ordem de Produção" disabled>
                              <div class="input-group-append">
                              </div>
                            </div> -->
                          <!-- </div> -->
                          <div class="form-group col-lg-3 col-12">
                            <label data-error="wrong" data-success="right" for="txtParte">Parte * </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtParte" name="txtParte" class="form-control" placeholder="Código da Parte" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-Parte" name="btn-Parte" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-Parte" name="btn-limpa-Parte" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <label data-error="wrong" data-success="right" for="txtSetor">Setor * </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSetor" name="txtSetor" class="form-control" placeholder="Código do Setor" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-Setor" name="btn-Setor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-Setor" name="btn-limpa-Setor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <label data-error="wrong" data-success="right" for="txtProximoSetor">Próximo Setor </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProximoSetor" name="txtProximoSetor" class="form-control" placeholder="Código do ProximoSetor">
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-ProximoSetor" name="btn-ProximoSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-ProximoSetor" name="btn-limpa-ProximoSetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <label for="cbMovimento">Movimento</label>
                            <div style="padding: 0px">
                              <select id="cbMovimento" class="form-control input-default"></select>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <div class="group-default">
                              <label for="txtDtProducao">Produção </label>
                              <div class="relative">
                                <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDtProducao" name="txtDtProducao">
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <div class="group-default">
                              <label for="txtDtRetorno">Retorno </label>
                              <div class="relative">
                                <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDtRetorno" name="txtDtRetorno">
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <label data-error="wrong" data-success="right" for="txtEmpresa">Empresa </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtEmpresa" name="txtEmpresa" class="form-control" placeholder="Empresa" disabled>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-Empresa" name="btn-Empresa" data-button="absolute" type="button" disabled><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-Empresa" name="btn-limpa-Empresa" type="button" disabled><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <label data-error="wrong" data-success="right" for="txtEmpresaDestino">Empresa Destino * </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtEmpresaDestino" name="txtEmpresaDestino" class="form-control" placeholder="EmpresaDestino" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-EmpresaDestino" name="btn-EmpresaDestino" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-EmpresaDestino" name="btn-limpa-EmpresaDestino" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12">
                            <label data-error="wrong" data-success="right" for="txtCelulaDestino">Célula Destino </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCelulaDestino" name="txtCelulaDestino" class="form-control" placeholder="Célula Destino">
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-CelulaDestino" name="btn-CelulaDestino" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-CelulaDestino" name="btn-limpa-CelulaDestino" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 habilitaFunc d-none">
                            <label data-error="wrong" data-success="right" for="txtFuncionario">Funcionário </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtFuncionario" name="txtFuncionario" class="form-control" placeholder="Funcionario" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-Funcionario" name="btn-Funcionario" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-Funcionario" name="btn-limpa-Funcionario" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 habilitaFunc d-none">
                            <label data-error="wrong" data-success="right" for="txtCaixa">Caixa </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCaixa" name="txtCaixa" class="form-control" placeholder="Caixa" required>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 habilitaFunc d-none">
                            <label data-error="wrong" data-success="right" for="txtMaquina">Máquina </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtMaquina" name="txtMaquina" class="form-control" placeholder="Maquina" required>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 ultimoSetor d-none">
                            <label data-error="wrong" data-success="right" for="txtTipoBaixa">Tipo Baixa * </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTipoBaixa" name="txtTipoBaixa" class="form-control" placeholder="TipoBaixa" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-TipoBaixa" name="btn-TipoBaixa" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-TipoBaixa" name="btn-limpa-TipoBaixa" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 ultimoSetor d-none">
                            <label data-error="wrong" data-success="right" for="txtDeposito">Depósito * </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtDeposito" name="txtDeposito" class="form-control" placeholder="Deposito" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-Deposito" name="btn-Deposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-Deposito" name="btn-limpa-Deposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 ultimoSetor d-none">
                            <label data-error="wrong" data-success="right" for="txtQualidade">Qualidade * </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-Qualidade" name="btn-Qualidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-Qualidade" name="btn-limpa-Qualidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 divMotivo d-none" sytle="padding: 0px; padding-bottom: 10px">
                            <label data-error="wrong" data-success="right" for="txtMotivo">Motivo </label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtMotivo" name="txtMotivo" class="form-control" placeholder="Motivo" required>
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtLancamento" name="txtLancamento" value="0" class="form-control" placeholder="Lancamento" hidden>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btn-Motivo" name="btn-Motivo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btn-limpa-Motivo" name="btn-limpa-Motivo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-3 col-12 divQualidade d-none">
                            <label data-error="wrong" data-success="right" for="txtQualidade2">Qualidade 2</label>
                            <div class="input-group">
                              <input type="text" autocomplete="off" class="input-default focus form-control" id="txtQualidade2" name="txtQualidade2" class="form-control" placeholder="Qualidade 2" required>
                              <div class="input-group-append">
                                <button class="btn bg-danger" id="btnQualidade2" name="btnQualidade2" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                <button class="btn bg-danger" id="btnLimpaQualidade2" name="btnLimpaQualidade2" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="col-3 col-lg-3 pl-0 d-none" id="barraBipar">
                          <label for="txtBarra">Barra</label>
                          <div class="input-group">
                            <div class="input-group-append">
                              <button class="btn bg-danger classBarra" id="btnMais" type="button">
                                <i class="m-0 p-0 fas fa-plus"></i>
                              </button>
                            </div>
                            <input type="text" class="input-default focus form-control classBarra" id="txtBarra" name="txtBarra" placeholder="Barra">
                          </div>
                        </div>

                        <div class="col-3 col-lg-3 d-none pl-0" id="barraEstorno">
                          <label for="txtBarraEstorno">Barra Estorno</label>
                          <div class="input-group">
                            <div class="input-group-append">
                              <button class="btn bg-danger classBarra" id="btnMenos" data-button="absolute" type="button">
                                <i class="m-0 p-0 fas fa-minus"></i>
                              </button>
                            </div>

                            <input type="text" class="input-default focus form-control classBarra" aria-describedby="ufError" id="txtBarraEstorno" name="txtBarraEstorno" class="form-control" placeholder="Barra Estorno">
                          </div>
                        </div>
                      </div>
                      <div class="card divGrade">
                        <div class="d-flex">
                          <h2 class="fs-title" id="Itens">Grade</h2>
                          <div class="icheck-primary form-group form-check" style="padding-left: 20px; display: flex;align-items: center;">
                            <input type="checkbox" class="form-check-input" id="cbBaixaPorBarra">
                            <label class="form-check-label pr-2" for="cbBaixaPorBarra" style="padding-left: 20px;">Baixa por código de barras</label>
                          </div>
                        </div>
                        <table id="tabelaItens" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                      <input type="button" name="btnGravar" class="btn-sisp action-button" value="Gravar" id="btnGravar" />
                      <input type="button" name="voltar2" class="previous btn-sisp action-button-previous" value="Voltar" id="voltar2" />
                    </div>
                  </fieldset>
                  <!-- <fieldset>
                    <div class="form-card" id="formcard3">
                      <div class="card divGrade">
                        <div class="col-3 divMotivo d-none" sytle="padding: 0px; padding-bottom: 10px">
                          <label data-error="wrong" data-success="right" for="txtMotivo">Motivo </label>
                          <div class="input-group">
                            <input type="text" autocomplete="off" class="input-default focus form-control" id="txtMotivo" name="txtMotivo" class="form-control" placeholder="Motivo" required>
                            <input type="text" autocomplete="off" class="input-default focus form-control" id="txtLancamento" name="txtLancamento" value="0" class="form-control" placeholder="Lancamento" hidden>
                            <div class="input-group-append">
                              <button class="btn bg-danger" id="btn-Motivo" name="btn-Motivo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                              <button class="btn bg-danger" id="btn-limpa-Motivo" name="btn-limpa-Motivo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                            </div>
                          </div>
                        </div>
                        <h2 class="fs-title" id="Itens">Grade</h2>
                        <table id="tabelaItens" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                    <input type="button" name="btnGravar" class="action-button" value="Gravar" id="btnGravar" />
                    <input type="button" name="voltar3" class="previous action-button-previous" value="Voltar" id="voltar3" />
                  </fieldset> -->
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- </div> -->
      </div>
      <div id="modal-baixa-consumo-subproduto" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
          <div class="modal-content" id="modalBody">
            <div class="modal-header">
              <h4 class="modal-title">Baixa Consumos Subprodutos</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="row">
                <div class="col-lg-3 col-sm-12 col-12">
                  <label data-error="wrong" data-success="right" for="txtDepositoConsumoSubProduto">Depósito </label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtDepositoConsumoSubProduto" name="txtDepositoConsumoSubProduto" class="form-control" placeholder="Deposito">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-DepositoConsumoSubProduto" name="btn-DepositoConsumoSubProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-DepositoConsumoSubProduto" name="btn-limpa-DepositoConsumoSubProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-lg-3 col-sm-12 col-12">
                  <label data-error="wrong" data-success="right" for="txtTipoBaixaConsumoSubProduto">Tipo Baixa </label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTipoBaixaConsumoSubProduto" name="txtTipoBaixaConsumoSubProduto" class="form-control" placeholder="TipoBaixa">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-TipoBaixaConsumoSubProduto" name="btn-TipoBaixaConsumoSubProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-TipoBaixaConsumoSubProduto" name="btn-limpa-TipoBaixaConsumoSubProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-lg-12 col-sm-12 col-12">
                  <h2 class="fs-title" id="Consumos">Consumos</h2>
                  <table id="tabelaConsumosProduto" class="table table-sm table-select table-hover" width="100%">
                    <thead>
                    </thead>
                    <tbody>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <button class="btn btn-primary btn-sisp" id="btnConfirmarConsumosProduto"> Confirmar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div id="modal-baixa-consumo-of" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
          <div class="modal-content" id="modalBody">
            <div class="modal-header">
              <h4 class="modal-title">Baixa Consumos</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="row">
                <div class="col-lg-3 col-sm-12 col-12">
                  <label data-error="wrong" data-success="right" for="txtDepositoConsumoOF">Depósito </label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtDepositoConsumoOF" name="txtDepositoConsumoOF" class="form-control" placeholder="Deposito">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-DepositoConsumoOF" name="btn-DepositoConsumoOF" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-DepositoConsumoOF" name="btn-limpa-DepositoConsumoOF" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-lg-12 col-sm-12 col-12">
                  <h2 class="fs-title" id="ConsumosOF">Consumos</h2>
                  <table id="tabelaConsumosOF" class="table table-sm table-select table-hover" width="100%">
                    <thead>
                    </thead>
                    <tbody>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <button class="btn btn-primary btn-sisp" id="btnConfirmarConsumosOF"> Confirmar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/dataTables.keyTable.js?versao=3.247.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.mask.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('MOVIMENTACAOFACCAO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("MOVIMENTACAOFACCAO");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/movimentacaofaccao`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/movimentacaofaccao/cadastro_movimentacaofaccao/movimentacaofaccao.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);
    });
  </script>
</body>

</html>