<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Ordem de Compra</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link href='dist/css/bootstrap.min.css?versao=3.247.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    .form-control:disabled,
    .form-control[readonly] {
      background-color: #f7f7f7;
      opacity: 1;
    }

    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 33%;
      float: left;
      position: relative
    }

    fieldset {
      text-align: start;
      position: relative;
    }

    .card {
      box-shadow: none !important;
      border-radius: 0 !important;
      margin-bottom: 0 !important;
    }

    .card-header {
      box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
    }

    .card.card-header {
      border-bottom: 1px dashed #ddd;
      box-shadow: none !important;
    }

    .card-body {
      padding-left: 1.25rem !important;
      padding-top: 0px;
      padding-bottom: 0px;
      padding-right: 1.25rem !important;
    }

    .fa-angle-right,
    .fa-angle-down {
      color: #343a40;
    }

    .header-content-page .title-page,
    .title-content-page .title,
    .title-page {
      font-size: 20px;
      line-height: normal;
      font-weight: 500;
      color: var(--font-color);
      margin: 0;
      font-family: Roboto, Arial, sans-serif;
    }

    #btnRepresentante {
      background-color: #3ca2d3 !important;
    }

    #btnTransportadora {
      background-color: #5F9EA0 !important;
    }

    #Totalizadores {
      margin-bottom: 7px;
    }

    .radioStyle {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 6px;
    }
  </style>


</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">


    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title">Modal title</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText">Modal body text goes here.</p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary btn-sisp">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary btn-sisp" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 col-12">
            </div><!-- /.col -->
            <div class="col-sm-6 col-12">
              <!-- <ol class="breadcrumb float-sm-right">
                
                <li class="breadcrumb-item"><a href="../ordem_compra">Ordem de Compra</a></li>
                <li class="breadcrumb-item active">Cadastro</li>
              </ol> -->
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div><!-- /.container-fluid -->
      </div>

      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <div class="card" style="height:auto;min-height:715px">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2 class="m-0">Cadastro de Ordem de Compra
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>
                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                        <li id="payment"><strong>Itens</strong></li>
                        <li id="confirm"><strong>Pagamento</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em avançar até a conclusão da ordem de compra</p>
                      <fieldset>
                        <div class="form-card" id="tourGeral">
                          <div class="card-body">
                            <div class="card card-header" role="tab" id="geral">
                              <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample1" href="#multiCollapseExample1" aria-expanded="true" aria-controls="collapseOne1">
                                <div class="row">
                                  <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                    <i class="fas fa-angle-down"></i>
                                  </div>
                                  <div class="col-11">
                                    <h4 class="title-page">
                                      Geral
                                    </h4>
                                  </div>
                                </div>
                              </a>
                            </div>
                            <div class="collapse  show" id="multiCollapseExample1">
                              <div class="card card-body">
                                <div class=" tab-pane fade show active" role="tabpanel" aria-labelledby="geral-tab">

                                  <div class="form-row">
                                    <div class="form-group col-md-3 col-12 d-none">
                                      <label>Atual</label>
                                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataAlteracao">
                                    </div>
                                    <div class="col-md-3  col-12 form-group" id="tourcodigo">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtNumero">Número</label>
                                      <input type="text" class="input-default focus form-control" id="txtNumero" aria-describedby="codError" name="txtNumero" class="form-control" placeholder="Gerado automaticamente" readonly>
                                    </div>
                                    <div class="col-md-3  col-12 form-group">
                                      <label>Empresa</label>
                                      <div class="input-group">
                                        <select class="form-control select2 select2-danger focus" id="selectEmpresa" name="selectEmpresa" data-dropdown-css-class="select2-danger">
                                        </select>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Emissão</label>
                                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDtEmissao" readonly enabled>
                                    </div>
                                    <div class="col-md-3  col-12 form-group">
                                      <label>Usuário</label>
                                      <input type="text" class="input-default focus form-control" id="txtUsuario" name="txtUsuario" placeholder="Usuário" enabled readonly>
                                    </div>
                                    <div class="form-group col-12">
                                      <label data-error="wrong" data-success="right" for="txtFornecedor">Fornecedor *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtFornecedor" name="txtFornecedor" required placeholder="Fornecedor *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-fornecedor" name="btn-fornecedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-fornecedor" name="btn-limpar-fornecedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Entrega *</label>
                                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataEntrega">
                                    </div>
                                    <div class="form-group col-6">
                                      <label data-error="wrong" data-success="right" for="txtMotivo">Motivo
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtMotivo" name="txtMotivo" required placeholder="Motivo">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Motivo" name="btn-Motivo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Motivo" name="btn-limpar-Motivo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="col-lg-3 col-12 m-6 form-group">
                                      <label data-error="wrong" data-success="right" for="rgLiberado">Status</label>
                                      <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="rgLiberado" class="custom-select focus">
                                        <option value="L" selected>Liberado</option>
                                        <option value="A">Em Analise</option>
                                        <option value="B">Bloqueado</option>
                                        <option value="R">Rejeitado</option>
                                      </select>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtSolicitacao">Solicitação - (F8)
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtSolicitacao" name="txtSolicitacao" required placeholder="Solicitação">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-solicitacao" name="btn-solicitacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-solicitacao" name="btn-limpar-solicitacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtObra">Obra
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtObra" name="txtObra" required placeholder="Obra">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Obra" name="btn-Obra" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Obra" name="btn-limpar-Obra" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtColecao">Coleção
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtColecao" name="txtColecao" required placeholder="Coleção">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Colecao" name="btn-Colecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Colecao" name="btn-limpar-Colecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtDeposito">Depósito
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtDeposito" name="txtDeposito" required placeholder="Depósito">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Deposito" name="btn-Deposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Deposito" name="btn-limpar-Deposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtHistorico">Histórico
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistorico" name="txtHistorico" placeholder="Histórico">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Historico" name="btn-Historico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Historico" name="btn-limpar-Historico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-4">
                                      <label data-error="wrong" data-success="right" for="txtOperacao">Operação
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtOperacao" name="txtOperacao" required placeholder="Tab. Preço">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Operacao" name="btn-Operacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Operacao" name="btn-limpar-Operacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>

                            <div class="card card-header" role="tab">
                              <a style="width:100%;" id="DadosEntregaAba" data-toggle="collapse" data-parent="#multiCollapseExample2" href="#multiCollapseExample2" aria-expanded="true" aria-controls="collapseOne1">
                                <div class="row">
                                  <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                    <i class="fas fa-angle-right"></i>
                                  </div>
                                  <div class="col-11">
                                    <h4 class="title-page">
                                      Dados de Entrega
                                    </h4>
                                  </div>
                                </div>
                              </a>
                            </div>
                            <div class="collapse" id="multiCollapseExample2">
                              <div class="card card-body">
                                <div class="form-row">
                                  <div class="form-group col-6">
                                    <label data-error="wrong" data-success="right" for="txtTransporte">Transporte
                                    </label>
                                    <div class="input-group">
                                      <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtTransporte" name="txtTransporte" required placeholder="Transporte">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-Transporte" name="btn-Transporte" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpar-Transporte" name="btn-limpar-Transporte" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="form-group col-6">
                                    <label data-error="wrong" data-success="right" for="txtRedespacho">Redespacho
                                    </label>
                                    <div class="input-group">
                                      <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtRedespacho" name="txtRedespacho" required placeholder="Redespacho">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-Redespacho" name="btn-Redespacho" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpar-Redespacho" name="btn-limpar-Redespacho" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-lg-6 col-12 m-6 form-group">
                                    <label data-error="wrong" data-success="right" for="rgTransportador">Frete por Conta</label>
                                    <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="rgTransportador" class="custom-select focus">
                                      <option value="">Selecione um transportador</option>
                                      <option value="0">0 - Contratação do Frete por conta do
                                        Remetente
                                        (CIF)</option>
                                      <option value="1">1 - Contratação do Frete por conta do
                                        Destinatário
                                        (FOB)</option>
                                      <option value="2">2 - Contratação do Frete por conta de
                                        Terceiros
                                      </option>
                                      <option value="3">3 - Transporte Próprio por conta do Remetente
                                      </option>
                                      <option value="4">4 - Transporte Próprio por conta do
                                        Destinatário
                                      </option>
                                      <option selected value="9">9 - Sem Ocorrência de Transporte</option>
                                    </select>
                                  </div>
                                  <div class="form-group col-6">
                                    <label data-error="wrong" data-success="right" for="txtLocalEntrega">Local Entrega
                                    </label>
                                    <div class="input-group">
                                      <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtLocalEntrega" name="txtLocalEntrega" required placeholder="Local Entrega">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-LocalEntrega" name="btn-LocalEntrega" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpar-LocalEntrega" name="btn-limpar-LocalEntrega" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="form-group col-4">
                                    <label data-error="wrong" data-success="right" for="txtContato">Contato
                                    </label>
                                    <div class="input-group">
                                      <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtContato" name="txtContato" required placeholder="Contato">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-Contato" name="btn-Contato" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpar-Contato" name="btn-limpar-Contato" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="form-group col-4">
                                    <label>Referência</label>
                                    <input type="text" class="input-default focus form-control" id="txtReferencia" name="txtReferencia" placeholder="Referência">
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtFrete">Frete </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtFrete" name="txtFrete" class="form-control" placeholder="Preço">
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>

                            <div class="card card-header" role="tab">
                              <a style="width:100%;" id="ObservacoesAba" data-toggle="collapse" data-parent="#multiCollapseExample3" href="#multiCollapseExample3" aria-expanded="true" aria-controls="collapseOne1">
                                <div class="row">
                                  <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                    <i class="fas fa-angle-right"></i>
                                  </div>
                                  <div class="col-11">
                                    <h4 class="title-page">
                                      Observações
                                    </h4>
                                  </div>
                                </div>
                              </a>
                            </div>

                            <div class="collapse" id="multiCollapseExample3">
                              <div class="card card-body">
                                <div class="form-group">
                                  <label>Observação</label>
                                  <textarea style="resize: none" id="txtObs" placeholder="Observação" class="input-default focus form-control" rows="3"></textarea>
                                </div>
                              </div>
                              <div class="card card-body">
                                <div class="form-group">
                                  <label>Obs. Cotação</label>
                                  <textarea style="resize: none" id="txtObsCotacao" placeholder="Obs. Cotação" class="input-default focus form-control" rows="3"></textarea>
                                </div>
                              </div>
                            </div>

                            <div class="card card-header" role="tab">
                              <a style="width:100%;" id="Totais" data-toggle="collapse" data-parent="#multiCollapseExample4" href="#multiCollapseExample4" aria-expanded="true" aria-controls="collapseOne1">
                                <div class="row">
                                  <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                    <i class="fas fa-angle-right"></i>
                                  </div>
                                  <div class="col-11">
                                    <h4 class="title-page">
                                      Totalizadores
                                    </h4>
                                  </div>
                                </div>
                              </a>
                            </div>

                            <div class="collapse" id="multiCollapseExample4">
                              <div class="card card-body">
                                <div class="form-row" id="Totalizadores">
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotMaterial">Valor Materiais </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotMaterial" name="txtVlTotMaterial" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotProduto">Valor Produtos </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotProduto" name="txtVlTotProduto" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotServico">Valor Serviços </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotServico" name="txtVlTotServico" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotal">Valor Total </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotal" name="txtVlTotal" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotLiqMaterial">Valor Liq. </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotLiqMaterial" name="txtVlTotLiqMaterial" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotLiqProduto">Valor Liq. </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotLiqProduto" name="txtVlTotLiqProduto" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotLiqServico">Valor Liq. </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotLiqServico" name="txtVlTotLiqServico" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtVlTotLiq">Liq + Frete + IPI + ST </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtVlTotLiq" name="txtVlTotLiq" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtQtdeTotMaterial">Qtde Materiais </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeTotMaterial" name="txtQtdeTotMaterial" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtQtdeTotProduto">Qtde Produtos </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeTotProduto" name="txtQtdeTotProduto" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtQtdeTotServico">Qtde Serviços </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeTotServico" name="txtQtdeTotServico" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtQtdeTot">Qtde Total </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeTot" name="txtQtdeTot" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtSaldoMaterial">Saldo Materiais </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtSaldoMaterial" name="txtSaldoMaterial" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtSaldoProduto">Saldo Produtos </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtSaldoProduto" name="txtSaldoProduto" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtSaldoServico">Saldo Serviços </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtSaldoServico" name="txtSaldoServico" class="form-control" disabled>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-3 col-12">
                                    <label data-error="wrong" data-success="right" for="txtSaldo">Saldo Total </label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control maskDecimais" id="txtSaldo" name="txtSaldo" class="form-control" disabled>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <input type="button" id="avancar1" name="next" class="next action-button" value="Avançar" />
                        <input type="button" id="voltarAcesso" class="action-button-previous" value="Voltar" />

                      </fieldset>
                      <fieldset>
                        <div class="row">
                          <div class="col-lg-12 col-12 card card-header" role="tab">
                            <a style="width:100%;" id="Itens" data-toggle="collapse" data-parent="#multiCollapseExample5" href="#multiCollapseExample5" aria-expanded="true" aria-controls="collapseOne1">
                              <div class="row">
                                <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                  <i class="fas fa-angle-right"></i>
                                </div>
                                <div class="col-11">
                                  <h4 class="title-page">
                                    Itens
                                  </h4>
                                </div>
                              </div>
                            </a>
                          </div>
                          <div class="col-lg-12 col-12 collapse show" id="multiCollapseExample5">
                            <div class="card card-body">
                              <div class="card card-header" role="tab">
                                <a style="width:100%;" id="MaterialAba" data-toggle="collapse" data-parent="#ItensMaterial" href="#ItensMaterial" aria-expanded="true" aria-controls="collapseOne1">
                                  <div class="row">
                                    <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                      <i class="fas fa-angle-down"></i>
                                    </div>
                                    <div class="col-11">
                                      <h4 class="title-page" id="labelMaterial">
                                        Material
                                      </h4>
                                    </div>
                                  </div>
                                </a>
                              </div>
                              <div class="collapse" id="ItensMaterial">
                                <div class="card-body">
                                  <div class="pt-2 form-row">
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtMaterial">Material *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtMaterial" name="txtMaterial" required placeholder="Material *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Material" name="btn-Material" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Material" name="btn-limpar-Material" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDepositoMaterial">Depósito *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtDepositoMaterial" name="txtDepositoMaterial" required placeholder="Depósito *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-DepositoMaterial" name="btn-DepositoMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-DepositoMaterial" name="btn-limpar-DepositoMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtCorMaterial">Cor *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCorMaterial" name="txtCorMaterial" required placeholder="Cor Material *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CorMaterial" name="btn-CorMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CorMaterial" name="btn-limpar-CorMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtContaContMaterial">C. Contabil
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtContaContMaterial" name="txtContaContMaterial" required placeholder="C. Contabil">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-ContaContMaterial" name="btn-ContaContMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-ContaContMaterial" name="btn-limpar-ContaContMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtCentroCustoMaterial">Centro Custo
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCentroCustoMaterial" name="txtCentroCustoMaterial" required placeholder="Centro Custo">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CentroCustoMaterial" name="btn-CentroCustoMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CentroCustoMaterial" name="btn-limpar-CentroCustoMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label>Cod. Fornec.</label>
                                      <input type="text" class="input-default focus form-control" id="txtCodFornecMaterial" name="txtCodFornecMaterial" placeholder="Cod. Fornec.">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Especificação</label>
                                      <input type="text" class="input-default focus form-control" id="txtEspecificacaoMaterial" name="txtEspecificacaoMaterial" placeholder="Especificação">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Unidade</label>
                                      <input type="text" class="input-default focus form-control" id="txtUnidadeMaterial" name="txtUnidadeMaterial" placeholder="Unidade">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Uni. Compra</label>
                                      <input type="text" class="input-default focus form-control" id="txtUniCompraMaterial" name="txtUniCompraMaterial" placeholder="Unidade de Compra">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtICMSMaterial">ICMS %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtICMSMaterial" name="txtICMSMaterial" class="form-control" placeholder="ICMS %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDivisorMaterial">Divisor</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtDivisorMaterial" name="txtDivisorMaterial" class="form-control" placeholder="Divisor">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtSTMaterial">ST %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtSTMaterial" name="txtSTMaterial" class="form-control" placeholder="ST %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtIPIMaterial">IPI %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtIPIMaterial" name="txtIPIMaterial" class="form-control" placeholder="IPI %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtQtdeMaterial">Qtde *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeMaterial" name="txtQtdeMaterial" class="form-control" placeholder="Qtde *">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtPrecoMaterial">Preço *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtPrecoMaterial" name="txtPrecoMaterial" class="form-control" placeholder="Preço *">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDescontoMaterial">Desconto %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtDescontoMaterial" name="txtDescontoMaterial" class="form-control" placeholder="Desconto %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtTotalIPIMaterial">Total IPI</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtTotalIPIMaterial" name="txtTotalIPIMaterial" class="form-control" placeholder="Total IPI" disabled>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtTotalItemMaterial">Total Item</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtTotalItemMaterial" name="txtTotalItemMaterial" class="form-control" placeholder="Total Item" disabled>
                                      </div>
                                    </div>
                                    <div class="col-12">
                                      <input type="hidden" id="txtIndexMat">
                                      <input type="button" id="btnAdicionarMaterial" name="make_payment" class="action-button" value="Adicionar" />
                                    </div>
                                    <div class="col-12" style="margin-top: 10px">
                                      <table id="tabelaItensMaterial" class="table table-responsive-sm table-select table-hover" width="100%">
                                        <thead>
                                          <tr>
                                            <th class="th-sm">Código</th>
                                            <th class="th-sm">Descrição</th>
                                            <th class="th-sm">Cor</th>
                                            <th class="th-sm">Depósito</th>
                                            <th class="th-sm">Foto</th>
                                            <th class="th-sm">C. Contabil</th>
                                            <th class="th-sm">Centro Custo</th>
                                            <th class="th-sm">Cod. Fornec.</th>
                                            <th class="th-sm">Especificacao</th>
                                            <th class="th-sm">Unidade</th>
                                            <th class="th-sm">Uni. Compra</th>
                                            <th class="th-sm">ICMS</th>
                                            <th class="th-sm">Divisor</th>
                                            <th class="th-sm">ST</th>
                                            <th class="th-sm">IPI</th>
                                            <th class="th-sm">Qtde</th>
                                            <th class="th-sm">Qtde_B</th>
                                            <th class="th-sm">Qtde_Canc</th>
                                            <th class="th-sm">Preço</th>
                                            <th class="th-sm">Desconto</th>
                                            <th class="th-sm">Total IPI</th>
                                            <th class="th-sm">Total Item</th>
                                            <th class="th-sm">ID_ITEN</th>
                                            <th class="th-sm">Situação</th>
                                            <th class="th-sm">Ordem</th>
                                            <th class="th-sm">Solicitação</th>
                                            <th class="th-sm">Dt. Entrega</th>
                                            <th class="th-sm">×</th>
                                          </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>

                              <div class="card card-header" role="tab">
                                <a style="width:100%;" id="produto" data-toggle="collapse" data-parent="#itensProduto" href="#itensProduto" aria-expanded="true" aria-controls="collapseOne1">
                                  <div class="row">
                                    <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                      <i class="fas fa-angle-right"></i>
                                    </div>
                                    <div class="col-11">
                                      <h4 class="title-page" id="labelProduto">
                                        Produto
                                      </h4>
                                    </div>
                                  </div>
                                </a>
                              </div>
                              <div class="collapse" id="itensProduto">
                                <div class="card-body">
                                  <div class="pt-2 form-row">
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtProduto">Produto *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtProduto" name="txtProduto" required placeholder="Produto *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Produto" name="btn-Produto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Produto" name="btn-limpar-Produto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDepositoProduto">Depósito *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtDepositoProduto" name="txtDepositoProduto" required placeholder="Depósito *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-DepositoProduto" name="btn-DepositoProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-DepositoProduto" name="btn-limpar-DepositoProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtCorProduto">Cor *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCorProduto" name="txtCorProduto" required placeholder="Cor *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CorProduto" name="btn-CorProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CorProduto" name="btn-limpar-CorProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtTamProduto">Tamanho *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtTamProduto" name="txtTamProduto" required placeholder="Tamanho *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-TamProduto" name="btn-TamProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-TamProduto" name="btn-limpar-TamProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtCentroCustoProduto">Centro Custo
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCentroCustoProduto" name="txtCentroCustoProduto" required placeholder="Centro Custo">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CentroCustoProduto" name="btn-CentroCustoProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CentroCustoProduto" name="btn-limpar-CentroCustoProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtContaContProduto">C. Contabil
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtContaContProduto" name="txtContaContProduto" required placeholder="C. Contabil">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-ContaContProduto" name="btn-ContaContProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-ContaContProduto" name="btn-limpar-ContaContProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Especificação</label>
                                      <input type="text" class="input-default focus form-control" id="txtEspecificacaoProduto" name="txtEspecificacaoProduto" placeholder="Especificação">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Cod. Fornec.</label>
                                      <input type="text" class="input-default focus form-control" id="txtCodFornecProduto" name="txtCodFornecProduto" placeholder="Cod. Fornec.">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Uni. Compra</label>
                                      <input type="text" class="input-default focus form-control" id="txtUniCompraProduto" name="txtUniCompraProduto" placeholder="Unidade de Compra">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Uni. Venda</label>
                                      <input type="text" class="input-default focus form-control" id="txtUniVendaProduto" name="txtUniVendaProduto" placeholder="Uni. Venda">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtICMSProduto">ICMS %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtICMSProduto" name="txtICMSProduto" class="form-control" placeholder="ICMS %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtIPIProduto">IPI %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtIPIProduto" name="txtIPIProduto" class="form-control" placeholder="IPI %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtSTProduto">Perc. ST %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtSTProduto" name="txtSTProduto" class="form-control" placeholder="Perc. ST %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtQtdeProduto">Qtde *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeProduto" name="txtQtdeProduto" class="form-control" placeholder="Qtde *">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtPrecoProduto">Preço *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtPrecoProduto" name="txtPrecoProduto" class="form-control" placeholder="Preço *">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDescontoProduto">Desconto %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtDescontoProduto" name="txtDescontoProduto" class="form-control" placeholder="Desconto %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtTotalProduto">Total Item</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtTotalProduto" name="txtTotalProduto" class="form-control" placeholder="Total Item" disabled>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtTotalIPIProduto">Total IPI</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtTotalIPIProduto" name="txtTotalIPIProduto" class="form-control" placeholder="Total IPI" disabled>
                                      </div>
                                    </div>
                                    <div class="col-12">
                                      <input type="hidden" id="txtIndexProd">
                                      <input type="button" id="btnAdicionarProduto" name="make_payment" class="action-button" value="Adicionar" />
                                      <input type="button" id="btnGradeProduto" name="make_payment" class="action-button" value="Grade" />
                                    </div>
                                    <div class="col-12" style="margin-top: 10px;">
                                      <table id="tabelaItensProduto" class="table table-responsive-sm table-select table-hover" width="100%">
                                        <thead>
                                          <tr>
                                            <th class="th-sm">Código</th>
                                            <th class="th-sm">Descrição</th>
                                            <th class="th-sm">Cor</th>
                                            <th class="th-sm">Tam</th>
                                            <th class="th-sm">Depósito</th>
                                            <th class="th-sm">Foto</th>
                                            <th class="th-sm">Centro Custo</th>
                                            <th class="th-sm">C. Contabil</th>
                                            <th class="th-sm">Especificacao</th>
                                            <th class="th-sm">Cod. Fornec.</th>
                                            <th class="th-sm">Uni. Compra</th>
                                            <th class="th-sm">Uni. Venda</th>
                                            <th class="th-sm">ICMS</th>
                                            <th class="th-sm">IPI</th>
                                            <th class="th-sm">Perc. ST</th>
                                            <th class="th-sm">Qtde</th>
                                            <th class="th-sm">Qtde_B</th>
                                            <th class="th-sm">Qtde_Canc</th>
                                            <th class="th-sm">Preço</th>
                                            <th class="th-sm">Desconto</th>
                                            <th class="th-sm">Total Item</th>
                                            <th class="th-sm">Total IPI</th>
                                            <th class="th-sm">ID_ITEN</th>
                                            <th class="th-sm">Situação</th>
                                            <th class="th-sm">Ordem</th>
                                            <th class="th-sm">Solicitação</th>
                                            <th class="th-sm">Dt. Entrega</th>
                                            <th class="th-sm">×</th>
                                          </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <div class="card card-header" role="tab">
                                <a style="width:100%;" id="servico" data-toggle="collapse" data-parent="#itensServico" href="#itensServico" aria-expanded="true" aria-controls="collapseOne1">
                                  <div class="row">
                                    <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                      <i class="fas fa-angle-right"></i>
                                    </div>
                                    <div class="col-11">
                                      <h4 class="title-page" id="labelServico">
                                        Serviço
                                      </h4>
                                    </div>
                                  </div>
                                </a>
                              </div>
                              <div class="collapse" id="itensServico">
                                <div class="card-body">
                                  <div class="pt-2 form-row">
                                    <div class="form-group col-md-12 col-12">
                                      <label data-error="wrong" data-success="right" for="txtServico">Serviço *
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtServico" name="txtServico" required placeholder="Serviço *">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-Servico" name="btn-Servico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-Servico" name="btn-limpar-Servico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtContaContServico">C. Contabil
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtContaContServico" name="txtContaContServico" required placeholder="C. Contabil">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-ContaContServico" name="btn-ContaContServico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-ContaContServico" name="btn-limpar-ContaContServico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-12">
                                      <label data-error="wrong" data-success="right" for="txtCentroCustoServico">Centro Custo
                                      </label>
                                      <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtCentroCustoServico" name="txtCentroCustoServico" required placeholder="Centro Custo">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btn-CentroCustoServico" name="btn-CentroCustoServico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btn-limpar-CentroCustoServico" name="btn-limpar-CentroCustoServico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Cod. Fornec.</label>
                                      <input type="text" class="input-default focus form-control" id="txtCodFornecServico" name="txtCodFornecServico" placeholder="Cod. Fornec.">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label>Especificação</label>
                                      <input type="text" class="input-default focus form-control" id="txtEspecificacaoServico" name="txtEspecificacaoServico" placeholder="Especificação">
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtQtdeServico">Qtde *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtQtdeServico" name="txtQtdeServico" class="form-control" placeholder="Qtde *">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtPrecoServico">Preço *</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtPrecoServico" name="txtPrecoServico" class="form-control" placeholder="Preço *">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtDescontoServico">Desconto %</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtDescontoServico" name="txtDescontoServico" class="form-control" placeholder="Desconto %">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtValIssServico">Valor ISS</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtValIssServico" name="txtValIssServico" class="form-control" placeholder="Valor ISS">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtValorIrrfServico">Valor IRRF</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtValorIrrfServico" name="txtValorIrrfServico" class="form-control" placeholder="Valor IRRF">
                                      </div>
                                    </div>
                                    <div class="form-group col-md-3 col-12">
                                      <label data-error="wrong" data-success="right" for="txtTotalServico">Total Item</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control maskDecimais" id="txtTotalServico" name="txtTotalServico" class="form-control" placeholder="Total Item" disabled>
                                      </div>
                                    </div>
                                    <div class="col-12">
                                      <input type="hidden" id="txtIndexServ">
                                      <input type="button" id="btnAdicionarServico" name="make_payment" class="action-button" value="Adicionar" />
                                    </div>
                                    <div class="col-12" style="margin-top: 10px;">
                                      <table id="tabelaItensServico" class="table table-responsive-sm table-select table-hover" width="100%">
                                        <thead>
                                          <tr>
                                            <th class="th-sm">Código</th>
                                            <th class="th-sm">Descrição</th>
                                            <th class="th-sm">C. Contabil</th>
                                            <th class="th-sm">Centro Custo</th>
                                            <th class="th-sm">Cod. Fornec.</th>
                                            <th class="th-sm">Especificacao</th>
                                            <th class="th-sm">Qtde</th>
                                            <th class="th-sm">Qtde_B</th>
                                            <th class="th-sm">Qtde_Canc</th>
                                            <th class="th-sm">Preço</th>
                                            <th class="th-sm">Desconto</th>
                                            <th class="th-sm">Valor ISS</th>
                                            <th class="th-sm">Valor IRRF</th>
                                            <th class="th-sm">Total Item</th>
                                            <th class="th-sm">ID_ITEN</th>
                                            <th class="th-sm">Situação</th>
                                            <th class="th-sm">Ordem</th>
                                            <th class="th-sm">Solicitação</th>
                                            <th class="th-sm">Dt. Entrega</th>
                                            <th class="th-sm">×</th>
                                          </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <input type="button" id="avancarItens" name="next" class="next action-button" value="Avançar" />
                        <input type="button" name="previous" id="VoltarGeral" class="previous action-button-previous" value="Voltar" />
                      </fieldset>
                      <fieldset>
                        <div class="form-card" id="tourFinanceiro">
                          <h2 class="fs-title">Pagamento</h2>

                          <div class="row card-totais">
                            <div class="col-lg-10  col-10 form-group">
                              <label data-error="wrong" data-success="right" for="txtMoeda">Moeda </label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtMoeda" name="txtMoeda" placeholder="Moeda">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Moeda" name="btn-Moeda" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btn-limpa-Moeda" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-2 form-group">
                              <label data-error="wrong" data-success="right" for="txtFretePagamento">Frete</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control maskDecimais" id="txtFretePagamento" name="txtFretePagamento" placeholder="Frete" disabled>
                              </div>
                            </div>
                            <div class="col-sm-4">
                              <label data-error="wrong" data-success="right" for="txtDesconto">Desconto</label>
                              <div class="radioStyle">
                                <div class="form-group">
                                  <label data-error="wrong" data-success="right" for="txtDesconto">Valor (R$)</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control maskDecimais" id="txtDesconto" name="txtDesconto" placeholder="Desconto R$">
                                  </div>
                                </div>
                                <div class="form-group">
                                  <label data-error="wrong" data-success="right" for="txtPercDescontos">Percentual (%)</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control maskDecimais" id="txtPercDescontos" name="txtPercDescontos" placeholder="Desconto %">
                                  </div>
                                </div>
                              </div>
                            </div>
                            <div class="col-sm-4">
                              <label data-error="wrong" data-success="right" for="txtAcrescimo">Acréscimo</label>
                              <div class="radioStyle">
                                <div class="form-group">
                                  <label data-error="wrong" data-success="right" for="txtAcrescimo">Valor (R$)</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control maskDecimais" id="txtAcrescimo" name="txtAcrescimo" placeholder="Acréscimo R$">
                                  </div>
                                </div>
                                <div class="form-group">
                                  <label data-error="wrong" data-success="right" for="txtPercAcrescimo">Percentual (%)</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control maskDecimais" id="txtPercAcrescimo" name="txtPercAcrescimo" placeholder="Acréscimo %">
                                  </div>
                                </div>
                              </div>
                            </div>
                            <div class="col-sm-4">
                              <label data-error="wrong" data-success="right" for="txtAntecipacao">Antecipação</label>
                              <div class="radioStyle">
                                <div class="form-group">
                                  <label data-error="wrong" data-success="right" for="txtAntecipacao">Valor R$</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control maskDecimais" id="txtAntecipacao" name="txtAntecipacao" placeholder="Antecipação R$">
                                  </div>
                                </div>
                                <div class="form-group">
                                  <label data-error="wrong" data-success="right" for="txtPercAntecipacao">Percentual %</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control maskDecimais" id="txtPercAntecipacao" name="txtPercAntecipacao" placeholder="Antecipação %">
                                  </div>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-12  col-12 form-group" style="margin-bottom: 0px;">
                              <label data-error="wrong" data-success="right">Cond. Pagt. </label>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" value="0" class="input-default focus form-control" id="txtCondPagto1" name="txtCondPagto1" placeholder="1">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto2" name="txtCondPagto2" placeholder="2">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto3" name="txtCondPagto3" placeholder="3">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto4" name="txtCondPagto4" placeholder="4">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto5" name="txtCondPagto5" placeholder="5">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto6" name="txtCondPagto6" placeholder="6">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto7" name="txtCondPagto7" placeholder="7">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto8" name="txtCondPagto8" placeholder="8">
                              </div>
                            </div>
                            <div class="col-lg-1  col-1 form-group">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCondPagto9" name="txtCondPagto9" placeholder="9">
                              </div>
                            </div>
                          </div>
                        </div>

                        <input type="button" id="btnGravar" name="make_payment" class="action-button" value="Gravar" />
                        <input type="button" id="voltarItens" name="previous" class="previous action-button-previous" value="Voltar" />

                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>
  <div class="modal fade" id="modalItem" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modalItem-titulo" class="modal-title">Adicionar Item</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body" id="dadosItem">
          <div class="row d-flex justify-content-center">
            <div class="col-lg-12  col-12 form-group">
              <label data-error="wrong" data-success="right" for="txtProdutoGrade">Produto</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtProdutoGrade" name="txtProdutoGrade" class="form-control" placeholder="Produto">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btn-ProdutoGrade" name="btn-ProdutoGrade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                  <button class="btn bg-danger" id="btn-limpa-ProdutoGrade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                </div>
              </div>
            </div>
            <div class="col-sm-12 table-responsive card-body">
              <table id="tabelaGradeProduto" class="table table-responsive-sm table-select table-hover" width="100%">
                <thead>
                  <tr id="colunas">
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <div class="col-sm-12">
              <button id="btnConfirmarItem" class="btn btn-danger">Confirmar</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
          <img src="" class="imagepreview" style="width: 100%;">
        </div>
      </div>
    </div>
  </div>
  <div id="modal-Solicitacao" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-xl" role="document">
      <div class="modal-content" id="modalBody">
        <div class="modal-header">
          <h4 class="modal-title">Consulta Solicitações Pendentes</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="group-default form-group col-3">
              <label for="txtDataEmiDe">Emissão De: </label>
              <div class="relative">
                <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataEmiDe" name="DataDe">
              </div>
            </div>
            <div class="group-default form-group col-3">
              <label for="txtDataEmiAte">Até: </label>
              <div class="relative">
                <input type="date" max="2500-12-31" value="2500-12-01" class="input-default focus form-control validate" id="txtDataEmiAte" name="DataDe">
              </div>
            </div>
            <div class="group-default form-group col-3">
              <label for="txtDataEntregaDe">Entrega De: </label>
              <div class="relative">
                <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataEntregaDe" name="DataDe">
              </div>
            </div>
            <div class="group-default form-group col-3">
              <label for="txtDataEntregaAte">Até: </label>
              <div class="relative">
                <input type="date" max="2500-12-31" value="2500-12-01" class="input-default focus form-control validate" id="txtDataEntregaAte" name="DataDe">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-3">
              <label data-error="wrong" data-success="right" for="txtSolicitacaoConsulta">Solicitação </label>
              <div class="input-group">
                <input type="text" class="input-default col-12 focus form-control" id="txtSolicitacaoConsulta" name="txtSolicitacaoConsulta" class="form-control" placeholder="Ordem de Compra">
                <button class="btn bg-danger" id="btn-SolicitacaoConsulta" name="btn-SolicitacaoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                <button class="btn bg-danger" id="btn-limpa-SolicitacaoConsulta" name="btn-limpa-SolicitacaoConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
              </div>
            </div>
            <div class="col-3">
              <label data-error="wrong" data-success="right" for="txtMaterialConsulta">Material </label>
              <div class="input-group">
                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtMaterialConsulta" name="txtMaterialConsulta" class="form-control" placeholder="Material">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btn-MaterialConsulta" name="btn-MaterialConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                  <button class="btn bg-danger" id="btn-limpa-MaterialConsulta" name="btn-limpa-MaterialConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                </div>
              </div>
            </div>
            <div class="col-3">
              <label data-error="wrong" data-success="right" for="txtProdutoConsulta">Produto </label>
              <div class="input-group">
                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProdutoConsulta" name="txtProdutoConsulta" class="form-control" placeholder="Produto">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btn-ProdutoConsulta" name="btn-ProdutoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                  <button class="btn bg-danger" id="btn-limpa-ProdutoConsulta" name="btn-limpa-ProdutoConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                </div>
              </div>
            </div>
            <div class="col-3">
              <label data-error="wrong" data-success="right" for="txtGrupoConsulta">Grupo </label>
              <div class="input-group">
                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtGrupoConsulta" name="txtGrupoConsulta" class="form-control" placeholder="Grupo">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btn-GrupoConsulta" name="btn-GrupoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                  <button class="btn bg-danger" id="btn-limpa-GrupoConsulta" name="btn-limpa-GrupoConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-3">
              <label data-error="wrong" data-success="right" for="txtSubGrupoConsulta">SubGrupo </label>
              <div class="input-group">
                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSubGrupoConsulta" name="txtSubGrupoConsulta" class="form-control" placeholder="SubGrupo">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btn-SubGrupoConsulta" name="btn-SubGrupoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                  <button class="btn bg-danger" id="btn-limpa-SubGrupoConsulta" name="btn-limpa-SubGrupoConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                </div>
              </div>
            </div>
            <div class="col-3 form-group">
              <label>Empresa</label>
              <div class="input-group">
                <select class="form-control select2 select2-danger focus" id="selectEmpresaSolicitacao" name="selectEmpresaSolicitacao" data-dropdown-css-class="select2-danger">
                </select>
              </div>
            </div>
            <div class="col-6">
              <div class="col-6 form-group" style="margin-top: 5%">
                <div class="input-group">
                  <input type="checkbox" id="chkAprovado"><label for="chkAprovado" style="margin-top: 1%; margin-left: 1.4%">Busca somente itens aprovados</label>
                </div>
              </div>
            </div>
          </div>
          <div class="form_group">
            <div class="div">
              <button class="btn float-right  btn-primary btn-sisp" id="btnConsultarSolicitacao" style="margin-bottom: 1%">Consultar</button>
            </div>
          </div>
          <div class="row">
            <label class="form-check-label" for="check_todos" id="check_todosTour" style="margin-left: 20px">
              <input class="form-check-input" type="checkbox" id="check_todos" value="">Marcar/Desmarcar Todos
            </label>
          </div>
          <div class="col-sm-12 table-responsive card-body">
            <table id="tabelaSolicitacao" class="table table-responsive-sm table-select table-hover" width="100%">
              <thead>
              </thead>
              <tbody>
              </tbody>
            </table>
          </div>
          <div class="modal-footer">
            <div class="div">
              <button id="btnConfirmarSolicitacao" class="btn float-right btn-danger btn-sisp" title="Selecione alguma solicitação para confirmar" style="margin-right: -14%">Confirmar</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php
  include_once('../../../modais.php');
  include_once('../../../modals/modal_estatisticas_entidade.html');
  include_once('../../loja/modais/modal_cep.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->
  <script>
    function formatar(mascara, documento) {
      var i = documento.value.length;
      var saida = mascara.substring(0, 1);
      var texto = mascara.substring(i);

      if (texto.substring(0, 1) != saida) {
        documento.value += texto.substring(0, 1);
      }

    }
  </script>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <!-- SweetAlert2 -->
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>

  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>

  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script src="../dist/js/dataTables.keyTable.js?versao=3.247.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.mask.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {

      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('ORDEM_COMPRA');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("ORDEM_COMPRA");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/ordem_compra`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/ordem_compra/ordem_compra/ordem_compra.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);
    });
  </script>
</body>

</html>