<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Ordem de Serviço</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />

  <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 33.33%;
      float: left;
      position: relative
    }

    .card-totais {
      margin-top: 2%;
    }

    #txtDados {
      padding-top: .7%;
      padding-left: .85%;
    }

    .input-group-append>a>i {
      margin-left: 0 !important;
      padding-left: 5px;
      padding-right: 5px;
    }

    .focus:read-only:focus {
      border-color: #aa1212 !important;
    }
  </style>

</head>

<body class="sidebar-mini layout-fixed">
  <div class="wrapper">


    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>

    <div class="content-wrapper">
      <section class="content">
        <div class="container-fluid" id="grad1">
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Ordem de Serviço
                    <button title="Tutorial" type="button" class="btn btn-info btn-sm ml-2" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                        <li id="payment"><strong>Itens</strong></li>
                        <li id="confirm"><strong>Conclusão</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em avançar até a conclusão da ordem de serviço</p>
                      <fieldset>
                        <div class="form-card" id="tourGeral">
                          <h2 class="fs-title"> Dados Gerais </h2>
                          <div class="row">

                            <div class="col-lg-3 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtNumero">Número *</label>
                              <div class="input-group">
                                <input disabled type="text" class="input-default focus form-control" id="txtNumero" name="txtNumero" class="form-control" placeholder="Número">
                              </div>
                            </div>

                            <div class="col-lg-3 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtUsuario">Usuário *</label>
                              <div class="input-group">
                                <input readonly type="text" class="input-default focus form-control" id="txtUsuario" name="txtUsuario" class="form-control" placeholder="Usuário">
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtVendedor">Vendedor</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtVendedor" name="txtVendedor" class="form-control" placeholder="Vendedor">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Vendedor" name="btn-Vendedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Vendedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtCliente">Cliente *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCliente" name="txtCliente" class="form-control" placeholder="Cliente">
                                <input type="text" id="txtCNPJ" class="d-none">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-cliente" name="btn-cliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-cliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDataEmissao">Data emissão</label>
                              <div class="input-group">
                                <input type="date" max="2500-12-31" value="" class="input-default focus form-control" id="txtDataEmissao" name="txtDataEmissao" class="form-control" placeholder="Comissão 1">
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDataSaida">Data saída</label>
                              <div class="input-group">
                                <input type="date" max="2500-12-31" value="" class="input-default focus form-control" id="txtDataSaida" name="txtDataSaida" class="form-control" placeholder="Comissão 1">
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtExecutor">Executor</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtExecutor" name="txtExecutor" class="form-control" placeholder="Executor">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Executor" name="btn-Executor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Executor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-3 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtDuplicata">Duplicata</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtDuplicata" name="txtDuplicata" class="form-control" placeholder="Duplicata">
                              </div>
                            </div>

                            <div class="col-lg-3 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtPercDesc">% Desconto</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtPercDesc" name="txtPercDesc" class="form-control" placeholder="% Desconto">
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtStatus">Status</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtStatus" name="txtStatus" class="form-control" placeholder="Status">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Status" name="btn-Status" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Status" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtRequisitante">Requisitante</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtRequisitante" name="txtRequisitante" class="form-control" placeholder="Requisitante">
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtSetor">Setor</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtSetor" name="txtSetor" class="form-control" placeholder="Setor">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Setor" name="btn-Setor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Setor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtObservacao">Observação</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtObservacao" name="txtObservacao" class="form-control" placeholder="Observação">
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtTabPreco">Tabela de preço</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtTabPreco" name="txtTabPreco" class="form-control" placeholder="Tabela de preço">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-TabPreco" name="btn-TabPreco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-TabPreco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-3 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDesconto">Desconto</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtDesconto" name="txtDesconto" class="form-control" placeholder="Desconto">
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDtBaixa">Data baixa</label>
                              <div class="input-group">
                                <input type="date" max="2500-12-31" value="" class="input-default focus form-control" id="txtDtBaixa" name="txtDtBaixa" class="form-control" placeholder="Comissão 1">
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtMoeda">Moeda</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtMoeda" name="txtMoeda" class="form-control" placeholder="Moeda">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Moeda" name="btn-Moeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Moeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtClasseGer">Classe Gerencial</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtClasseGer" name="txtClasseGer" class="form-control" placeholder="Classe Gerencial">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-ClasseGer" name="btn-ClasseGer" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-ClasseGer" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtPedido">Pedido</label>
                              <div class="input-group">
                                <input readonly type="text" class="input-default focus form-control" id="txtPedido" name="txtPedido" class="form-control" placeholder="Pedido">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Pedido" name="btn-Pedido" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Pedido" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="selectEmpresa">Faturar na empresa</label>
                              <div class="input-group">
                                <select class="form-control select2 select2-danger focus" id="selectEmpresa" name="selectEmpresa" data-dropdown-css-class="select2-danger">
                                </select>
                              </div>
                            </div>

                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtVeiculo">Veículo</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtVeiculo" name="txtVeiculo" class="form-control" placeholder="Veículo">
                              </div>
                            </div>

                            <div class="col-lg-3 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtAnoModelo">Ano/Modelo</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtAnoModelo" name="txtAnoModelo" class="form-control" placeholder="Ano/Modelo">
                              </div>
                            </div>

                            <div class="col-lg-3 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtQuilometragem">Quilometragem</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtQuilometragem" name="txtQuilometragem" class="form-control" placeholder="Quilometragem">
                              </div>
                            </div>

                            <div class="col-lg-6 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtChassi">Chassi</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtChassi" name="txtChassi" class="form-control" placeholder="Chassi">
                              </div>
                            </div>

                            <div class="col-lg-6 col-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtPlaca">Placa</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtPlaca" name="txtPlaca" class="form-control" placeholder="Placa">
                              </div>
                            </div>

                          </div>
                        </div>
                        <input type="button" id="avancar1" name="next" class="next action-button" value="Avançar" />
                        <input type="button" name="voltar" id="btnVoltarAcesso" class="action-button-previous" value="Voltar" />
                      </fieldset>
                      <fieldset>
                        <div class="form-card">

                          <div class="row">
                            <div class="col">
                              <h2 class="fs-title">Itens</h2>
                            </div>
                          </div>

                          <hr>
                          <div id="items-wrap" class="table-wrap">
                          </div>

                          <h2 class="fs-title" style="margin-top: 2%">Totais</h2>
                          <hr>
                          <div class="row card-totais">
                            <div class="col-sm-12 col-12">
                              <div class="row d-flex justify-content-center">
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtTotalItens" class="description-header">R$ 0,00</h5>
                                    <span>Valor Itens</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtTotalHoras" class="description-header">0</h5>
                                    <span>Valor Horas</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtValorTotal" class="description-header">R$ 0,00</h5>
                                    <span>Valor Total</span>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <hr>
                        </div>

                        <input type="button" id="avancarItens" name="make_payment" class="next action-button" value="Avançar" />
                        <input type="button" name="previous" class="previous action-button-previous" value="Voltar" />

                      </fieldset>
                      <fieldset>
                        <div class="form-card">
                          <h2 class="fs-title text-center">Conclusão</h2> <br><br>
                          <div class="row justify-content-center">
                            <input type="button" id="gravar" class="btn btn-danger" value="Gravar">
                          </div>
                        </div>
                        <input type="button" name="previous" id="ultimoVoltar" class="previous action-button-previous" value="Voltar" />
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

  <div class="modal fade" id="modalProduto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modalProduto-titulo" class="modal-title">Pesquisa Item</h4>
          <div class="form-row">
            <div class="d-flex">
              <div class="radio-group form-radio icheck-primary ml-3">
                <input type="radio" checked id="radioServico" name="radioPesquisaServico">
                <label for="radioServico" class="container escondeRadio">Serviço</label>
              </div>
              <div class="radio-group form-radio icheck-primary">
                <input type="radio" id="radioProduto" name="radioPesquisaServico">
                <label for="radioProduto" class="container escondeRadio">Produto</label>
              </div>
            </div>
          </div>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-9">
              <div class="row">
                <div class="col-sm-4">
                  <input class="d-none" id="idLinha" />
                  <input type="text" placeholder="Codigo" class="input-default focus" id="txtProdutoCodigo" name="txtProdutoCodigo">
                </div>
                <div class="col-sm-8">
                  <input type="text" placeholder="Descrição" class="input-default focus" id="txtProdutoDescricao" name="txtProdutoDescricao">
                </div>
              </div>
            </div>
            <div class="col-sm-3" style="text-align:left">
              <button type="button" class="btn btn-info focus" id="btnConsultarProduto" name="btnConsultarProduto">
                <i class='fas fa-search'></i> Consultar
              </button>
            </div>
            <div class="col-sm-12 table-responsive" style="margin-top: 2%;">
              <table style="width:100%" width="100%" id="tabelaProdutos" class="display table table-sm">
              </table>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <div class="col-sm-12">
              <button id="btn_confirmar_produto" class="btn btn-danger"> Confirmar </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="modalTribProd" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div id="modalProdutoTrib" class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Tributações</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <input type="text" class="input-default form-control d-none" id="txtIndiceAlteracao" name="txtIndiceAlteracao">
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtEnquadra">Enquadramento IPI</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtEnquadra" name="txtEnquadra" class="form-control" placeholder="Enquadramento IPI">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnEnquadra" name="btnEnquadra" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnAEnquadra" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCsosn">CSOSN</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCsosn" name="txtCsosn" class="form-control" placeholder="CSOSN">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCsosn" name="btnCsosn" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACsosn" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstIcms">CST ICMS</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstIcms" name="txtCstIcms" class="form-control" placeholder="CST ICMS">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstIcms" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstIcms" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstIpi">CST IPI</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstIpi" name="txtCstIpi" class="form-control" placeholder="CST IPI">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstIpi" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstIpi" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstPis">CST PIS</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstPis" name="txtCstPis" class="form-control" placeholder="CST PIS">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstPis" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstPis" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstCofins">CST COFINS</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstCofins" name="txtCstCofins" class="form-control" placeholder="CST COFINS">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstCofins" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstCofins" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <div class="col-sm-12">
              <button id="btnConfirmarTrib" class="btn btn-danger"> Confirmar </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <!-- SweetAlert2 -->
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>

  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>

  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>

  <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>

  <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="../dist/js/popper.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/tippy-bundle.umd.js?versao=3.247.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <!-- Production -->
  <script type="text/javascript">
    $(document).ready(async function() {

      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('ORDEM_SERVICO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/ordemservico/cadastro_os/os.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>