<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Ramo de Atividade</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">


    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <!-- <ol class="breadcrumb float-sm-right">
                  
                  <li class="breadcrumb-item"><a href="../ramoatividade">Acesso</a></li>
                  <li class="breadcrumb-item active">Ramo de Atividade</li>
                </ol> -->
              </div>
            </div>
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Ramo de Atividade
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>
                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account" style="font-size: 100%;"><strong>Geral</strong></li>
                        <li id="payment" style="font-size: 100%;"><strong>Perfil</strong></li>
                        <li id="personal" style="font-size: 100%;"><strong>Ramo Atuação</strong></li>
                        <li id="confirm" style="font-size: 100%;"><strong>Grupo de Produto</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em avançar para realizar o cadastro de Ramo de Atividade</p>
                      <fieldset>
                        <div class="form-card" id="formcard1">
                          <h2 class="fs-title">Dados Gerais</h2>
                          <div class="row">
                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código: *</label>
                              <input type="number" class="input-default focus form-control validate text-uppercase" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Código">
                            </div>
                            <div class="col-lg-9  col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição: *</label>
                              <input type="text" class="input-default focus form-control validate text-uppercase" id="txtDescricao" required aria-describedby="descError" name="txtDescricao" class="form-control" placeholder="Descrição">
                            </div>
                          </div>
                        </div>
                        <input type="button" name="avancar1" class="btn-sisp next action-button" value="Avançar" id="avancar1" />
                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                      </fieldset>
                      <fieldset>
                        <div class="form-card">
                          <h2 class="fs-title">Perfil</h2>
                          <div class="row" id="perfil">
                            <div class="col-md-12 col-12 table-responsive mt-4">
                              <table id="tabelaPerfil" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>Código</th>
                                    <th>Perfil</th>
                                    <th>Descrição</th>
                                    <th>Ações</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                              <button id="btnAbrirPerfil" style="font-size: 15px;" type="button" class="btn btn-lg btn-secondary float-right focus mt-2">
                                Adicionar
                              </button>
                            </div>
                          </div>
                        </div>
                        <input type="button" name="avancar2" class="next action-button" value="Avançar" id="avancar2" />
                        <input type="button" name="voltar" class="previous action-button-previous" value="Voltar" id="voltar" />
                      </fieldset>
                      <fieldset>
                        <div class="form-card">
                          <h2 class="fs-title">Ramo Atuação</h2>
                          <div class="row" id="ramoatuacao">
                            <div class="col-md-12 col-12 table-responsive  mt-4">
                              <table id="tabelaRamoAtuacao" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>Código</th>
                                    <th>Ramo de Atuação</th>
                                    <th>Descrição</th>
                                    <th>Ações</th>
                                  </tr>
                                <tbody>
                                </tbody>
                                </thead>
                              </table>
                              <button id="btnAbrirRamoAtuacao" style="font-size: 15px;" type="button" class="btn btn-lg btn-secondary float-right focus mt-2">
                                Adicionar
                              </button>
                            </div>
                          </div>
                        </div>
                        <input type="button" name="avancar3" class="next action-button" value="Avançar" id="avancar3" />
                        <input type="button" name="voltar3" class="previous action-button-previous" value="Voltar" id="voltar3" />
                      </fieldset>
                      <fieldset>
                        <div class="form-card">
                          <h2 class="fs-title">Grupo de Produto</h2>
                          <div class="row" id="grupoproduto">
                            <div class="col-md-12 col-12 table-responsive  mt-4">
                              <table id="tabelaGrupoProduto" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>Código</th>
                                    <th>Grupo</th>
                                    <th>Descrição</th>
                                    <th>Ações</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                              <button id="btnAbrirGrupoProduto" style="font-size: 15px;" type="button" class="btn btn-lg btn-secondary float-right focus mt-2">
                                Adicionar
                              </button>
                            </div>
                          </div>
                        </div>
                        <input type="button" name="gravar" class="action-button" value="Gravar" id="gravar">
                        <input type="button" name="voltar4" class="previous action-button-previous" value="Voltar" id="voltar4">
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>
  <div class="modal fade" id="modalPerfil" tabindex="-1" role="dialog" aria-labelledby="modalPerfil" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modalPerfil-titulo" class="modal-title">Adicionar Perfil</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body p-4">
          <div class="row">
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-12">
                  <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtPerfil">Perfil</label>
                  <div class="input-group">

                    <input type="text" class="input-default focus form-control" id="txtPerfil" name="txtPerfil" class="form-control" placeholder="Perfil">

                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnPerfil" name="btnPerfil" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaPerfil" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <div class="col-sm-12" style="margin-top:5px">
                  <button id="btnConfirmaPerfil" type="button" class="btn btn-primary btn-block mt-2">
                    Confirmar
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="modalRamoAtuacao" tabindex="-1" role="dialog" aria-labelledby="modalRamoAtuacao" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modalRamoAtuacao-titulo" class="modal-title">Adicionar Ramo de Atuação</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body p-4">
          <div class="row">
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-12">
                  <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="RamoAtuacao">Ramo Atuação</label>
                  <div class="input-group">

                    <input type="text" class="input-default focus form-control" id="txtRamoAtuacao" name="txtRamoAtuacao" class="form-control" placeholder="Ramo Atuação">

                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnRamoAtuacao" name="btnRamoAtuacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaRamoAtuacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <div class="col-sm-12" style="margin-top:5px">
                  <button id="btnConfirmaRamoAtuacao" type="button" class="btn btn-primary btn-block mt-2">
                    Confirmar
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="modalGrupoProduto" tabindex="-1" role="dialog" aria-labelledby="modalGrupoProduto" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modalGrupoProduto-titulo" class="modal-title">Adicionar Grupo de Produto</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body p-4">
          <div class="row">
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-12">
                  <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="GrupoProduto">Grupo de Produto</label>
                  <div class="input-group">

                    <input type="text" class="input-default focus form-control" id="txtGrupoProduto" name="txtGrupoProduto" class="form-control" placeholder="Grupo de Produto">

                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnGrupoProduto" name="btnGrupoProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaGrupoProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <div class="col-sm-12" style="margin-top:5px">
                  <button id="btnConfirmarGrupo" type="button" class="btn btn-primary btn-block mt-2">
                    Confirmar
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RAMOATIVIDADE');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("RAMOATIVIDADE");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/ramoatividade`
        });
        return;
      }

      //código para liberar registro ao sair da tela clicando no menu, breadcrumb
      const queryString = window.location.href;
      const parametros = queryString.split('/');
      const moeda = parametros[parametros.length - 1];

      $(window).on("beforeunload", function(e) {
        // e.preventDefault();
        e.stopPropagation();
        deletaRegistro('RAMOATIVIDADE', getCookie('usuario'), parametros[5]);
        return undefined;
      });

      sArquivo = `${BASE_URI}/pages/ramoatividade/cadastro_ramoatividade/ramoatividade.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>