<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Relatório de Metas</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.247.25.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.247.25.1">

  <style>
    #checkPrecoManual {
      margin-left: 10px;
    }

    #tourGeral {
      padding-bottom: 0 !important;
      margin-bottom: 0;
    }


    #tabelaResumida_filter {
      display: none;
    }


    .table.dataTable tbody td {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    #btnOpcoesFiltros {
      margin-left: 15px;
    }

    .form-check {
      margin-left: 25px;
      margin-bottom: 10px;
    }


    #tabelaCompleta_filter {
      display: none;
    }


    #divTabelaCompleta .dataTables_scrollHeadInner table {
      width: 100% !important;
    }

    #divTabelaCompleta .dataTables_scrollHeadInner {
      width: 100% !important;
    }
  </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Relatório de Meta de Vendas</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
 
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="row">
                <div class="col-12">
                  <div class="buttons">
                    <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                    <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row ml-2 mt-3 mr-2" id="tourbotoes">
            <div class="col-sm-12 mt-12">
              <div class="row">
                <div class="col-lg-4 col-12">
                </div>
              </div>
            </div>
          </div>
          <div class="card-body pt-1">
            <div class="card" id="tourRelatorioMeta">

              <div class="col-sm-12 table-responsive card-body  pt-2 pb-2">
                <nav>
                  <div class="nav nav-tabs justify-content-center" id="nav-tab" role="tablist" style="text-decoration: none">
                    <a class="nav-link abaLink active" id="tabResumida" data-toggle="tab" href="#divResumida" role="tab" aria-controls="divResumida" aria-selected="true">Resumida</a>
                    <a class="nav-link abaLink" id="tabCompleta" data-toggle="tab" href="#divCompleta" role="tab" aria-controls="divCompleta" aria-selected="false">Completa</a>
                  </div>
                </nav>
              </div>
              <div class="tab-content" id="nav-tabContent">
                <div class="tab-pane fade active" id="divResumida" role="tabpanel" aria-labelledby="tabResumida">
                  <div class="card-body">
                    <div class="card">
                      <div class="col-sm-12 table-responsive card-body">
                        <table id="tabelaResumida" class="table table-sm table-select table-hover" width="100%"></table>
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="tab-content" id="nav-tabContent">
                <div class="tab-pane fade active" id="divCompleta" role="tabpanel" aria-labelledby="tabCompleta">
                  <div class="card-body">
                    <div class="card">
                      <div class="col-sm-12 table-responsive card-body">
                        <table id="tabelaCompleta" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content" id="modalBody">

        <div class="modal-header">
          <h4 class="modal-title">Filtros</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 col-12">
              <div class="row">
                <div class="col-3">
                  <div class="">
                    <label for="dtInicio">Data Inicio:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtInicio" name="DataDe">
                    </div>
                  </div>
                </div>
                <div class="col-3">
                  <div class="">
                    <label for="dtAte">Até:</label>
                    <div class="relative">
                      <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtAte" name="DataAte">
                    </div>
                  </div>
                </div>
                <div class="col-6">
                  <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtMeta">Meta: </label>
                  <div class="relative" style="margin-top: 5px;">
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtMeta" name="txtMeta" class="form-control" placeholder="Meta">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btn-meta" name="btn-meta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btn-limpa-meta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <!-- <div class="">
                    <label for="selectOrdem">Ordem Relatorio:</label>
                    <div class="relative">
                      <select id="selectOrdem" class="input-default focus custom-select">
                      </select>
                    </div>
                  </div> -->
            </div>
          </div>
        </div>
        <div class="modal-footer justify-content-start pl-0">
          <div class="row col-12">
            <div class="col-3">
              <label for="selectOrdem">Opção de Relatório:</label>
              <div class="relative">
                <select id="selectOrdem" class="input-default focus custom-select">
                </select>
              </div>
            </div>
            <div class="col-9 d-flex justify-content-end align-items-end pr-0">
              <div class="d-flex">
                <button class="btn btn-primary btn-sisp mr-2" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222">
                  <span class="fas fa-trash"></span> Limpar Filtros
                </button>
                <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                  <span class="fas fa-search"></span> Consultar
                </button>
              </div>
            </div>
          </div>
        </div>
        <!-- <div class="modal-footer">
          <div class="row">
            <button id="btnConsultar" class='btn btn-primary btn-sisp' type='button'><span class="fas fa-search"></span> Consultar </button>
          </div>
        </div> -->
      </div>
    </div>
  </div>



  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  <?php include_once('../../modais.php'); ?>
  </main>

  <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.247.25.1"></script>
  <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="utils/cookies.js?versao=3.247.25.1"></script>
  <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="config.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.247.25.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/apexcharts.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      sArquivo = `${BASE_URI}/pages/relmetavendas/relmetavendas.js?versao=3.247.25.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      nomeTela


      await insereJavaScriptPagina(sArquivo);

    });
  </script>

</body>

</html>