<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Relatório de Pedidos</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">

    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="dist/css/bootstrap-tagsinput.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.247.25.1">
</head>

<style>
    .border-Field .textoBorda {
        font-size: 1.1em !important;
        text-align: left !important;
        width: auto;
        padding: 0 10px;
        border-bottom: none;
    }

    .border-Field {
        border: 1px solid var(--white-dark) !important;
        /* padding: 0 1.0em 1.0em 1.0em !important; */
        margin: 0 0 1.0em 0 !important;
        -webkit-box-shadow: 0px 0px 0px 0px #000;
        box-shadow: 0px 0px 0px 0px #000;
        border-radius: 3px;
    }

    .table.dataTable tbody td {
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }
</style>

<body class="hold-transition sidebar-mini layout-fixed">
    <main class="wrapper">

        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Relatório de Pedidos</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                        <div class="col-sm-6">
                            <!-- <ol class="breadcrumb float-sm-right">
                                
                                <li class="breadcrumb-item active">Relatório de Pedidos</li>
                            </ol> -->
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <fieldset>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="buttons">
                                            <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                                            <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="card">
                                        <div class="col-12 table-responsive card-body">
                                            <table id="tabelaRelPedidos" class="table table-sm table-select table-hover" width="100%"></table>
                                            <thead>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-xl" role="document">
                <div class="modal-content" id="modalBody">
                    <div class="modal-header">
                        <h4 class="modal-title">Filtros
                        </h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row mb-3">

                            <div class="col-lg-12 col-md-12 col-12 form">
                                <fieldset class="form border-Field p-0">
                                    <legend class="textoBorda pb-0 mb-0">Tipo</legend>
                                    <div class="form-row ml-3 mb-1">
                                        <div class="icheck-primary mr-3"><input type="radio" checked="checked" id="radioTodos" name="tipo"><label for="radioTodos">Todos</label></div>
                                        <div class="icheck-primary mr-3"><input type="radio" id="radioPendentes" name="tipo"><label for="radioPendentes">Pendentes</label></div>
                                        <div class="icheck-primary mr-3"><input type="radio" id="radioFaturadosNF" name="tipo"><label for="radioFaturadosNF">Faturados/NF</label></div>
                                        <div class="icheck-primary mr-3"><input type="radio" id="radioCancelados" name="tipo"><label for="radioCancelados">Cancelados</label></div>
                                        <div class="icheck-primary mr-3"><input type="radio" id="radioFaturadosPed" name="tipo"><label for="radioFaturadosPed">Faturados/Pedido(Ped)</label></div>
                                        <div class="icheck-primary mr-3"><input type="radio" id="radioFaturadoNFPendentes" name="tipo"><label for="radioFaturadoNFPendentes">Faturado(NF)/Pendentes(Ped)</label></div>
                                        <div class="icheck-primary"><input type="radio" id="radioEncerrados" name="tipo"><label for="radioEncerrados">Pedidos Encerrados</label></div>
                                    </div>
                                </fieldset>
                            </div>

                            <div class="col-lg-3 col-md-6 col-12">
                                <label data-error="wrong" data-success="right" for="txtDtEmissaoDe">Emissao De/ Até:</label>
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" autocomplete="off" value="1200-01-01" class="input-default focus form-control" id="txtDtEmissaoDe" class="form-control">  
                                    <input type="date" max="2500-12-31" autocomplete="off" value="2500-12-31" class="input-default focus form-control" id="txtDtEmissaoAte" class="form-control">
                                </div>
                            </div>


                            <div class="col-lg-3 col-md-6 col-12">
                                <label data-error="wrong" data-success="right" for="txtDtFaturadoDe">Faturado De/ Até:</label>
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" autocomplete="off" value="1200-01-01" class="input-default focus form-control" id="txtDtFaturadoDe" class="form-control">  
                                    <input type="date" max="2500-12-31" autocomplete="off" value="2500-12-31" class="input-default focus form-control" id="txtDtFaturadoAte" class="form-control">
                                </div>
                            </div>

                            <div class="col-lg-4 col-md-6 col-12">
                                <label data-error="wrong" data-success="right" for="txtPedido">Pedido: </label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtPedido" class="form-control" placeholder="Pedido">
                                        <!-- <select class="js-example-programmatic js-states form-control" id="txtPedido" name="txtPedido" multiple="multiple"> -->
                                        <!-- </select> -->
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnPedido" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaPedido" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-2 col-sm-6 col-md-6 p-0 pl-2 pt-1 mt-4">
                                <button class="btn btn-danger btn-sisp" type='button' id="btnSelecionarEmpresas">Selecionar Empresas</button>
                            </div>

                            <div class="col-lg-3 col-md-6 col-12">
                                <label style="margin-bottom: .1rem; margin-top: 5px;" data-error="wrong" data-success="right" id="labelCliente" for="txtCliente">Cliente: </label>
                                <div class="relative" style="margin-top: 5px;">
                                    <div class="input-group">
                                        <!-- <input type="text" class="input-default focus form-control" id="txtCliente" class="form-control" placeholder="Cliente"> -->
                                        <select class="js-example-programmatic js-states form-control" id="txtCliente" name="txtCliente" multiple="multiple">
                                        </select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnCliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaCliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-3 col-md-6 col-12">
                                <label style="margin-bottom: .1rem; margin-top: 5px;" data-error="wrong" data-success="right" for="txtRepresentante">Representante: </label>
                                <div class="relative" style="margin-top: 5px;">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtRepresentante" name="txtRepresentante" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnRepresentante" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaRepresentante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-3 col-md-6 col-12">
                                <label style="margin-bottom: .1rem; margin-top: 5px;" data-error="wrong" data-success="right" for="txtMoeda">Moeda: </label>
                                <div class="relative" style="margin-top: 5px;">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtMoeda" name="txtMoeda" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaMoeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-3 col-md-6 col-12">
                                <label style="margin-bottom: .1rem; margin-top: 5px;" data-error="wrong" data-success="right" for="txtStatus">Status: </label>
                                <div class="relative" style="margin-top: 5px;">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtStatus" name="txtStatus" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnStatus" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaStatus" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <div class="row">
                            <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222; margin-right: 15px;"><span class="fas fa-trash"></span> Limpar Filtros</button>
                            <button id="btnConsultar" class='btn btn-primary btn-sisp' type='button'><span class="fas fa-search"></span> Consultar </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside><!-- /.control-sidebar -->
        <?php include_once('../../modais.php'); ?>
    </main><!-- /.wrapper -->


    <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
    <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/dataTables.keyTable.js?versao=3.247.25.1"></script>
    <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="utils/funcoes.js?versao=3.247.25.1"></script>
    <script src="utils/cookies.js?versao=3.247.25.1"></script>
    <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script src="config.js?versao=3.247.25.1"></script>
    <script src="dist/js/popper.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/tippy-bundle.umd.js?versao=3.247.25.1"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.247.25.1"></script>
    <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.247.25.1"></script>

    <script src="dist/js/bootstrap-tagsinput.min.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('RELPEDIDOS');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/relpedidos/relpedidos.js?versao=3.247.25.1`;
            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            // nomeTela


            await insereJavaScriptPagina(sArquivo);

            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>

</body>

</html>