<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Tabela de Serviços</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark"></h1>
            </div>
            <div class="col-sm-6">
              <!-- <ol class="breadcrumb float-sm-right">
                
                <li class="breadcrumb-item"><a href="../cadtabservico">Acesso Tabela de Serviços</a></li>
                <li class="breadcrumb-item active">Cadastro</li>
              </ol> -->
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div>
        <div class="row justify-content-center mt-0">
          <div class="col-10 text-center p-0 mt-3 mb-2">
            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
              <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                <h2>Cadastro de Tabela de Serviços
                  <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                    <i class="fas fa-question-circle"></i>
                  </button>
                </h2>
              </div>
              <!-- <p>Preencha os dados e clique em gravar para realizar o cadastro de UF</p> -->

              <div class="row">
                <div class="col-md-12 mx-0">
                  <form id="msform"> <!-- progressbar -->
                    <ul id="progressbar">
                      <li class="active" id="account" style="font-size: 100%; width:100%"><strong>Geral</strong></li>
                    </ul> <!-- fieldsets -->
                    <p>Preencha os dados e clique em gravar para realizar o cadastro do serviço</p>
                    <fieldset>
                      <div class="form-card">
                        <h2 class="fs-title">Dados Gerais</h2>
                        <div class="row" id="telatour">
                          <div class="col-sm-2 col-12 form-group">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código</label>
                            <div class="input-group">
                              <input type="text" class="input-default focus form-control validate" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Código">
                            </div>
                          </div>
                          <div class="col-sm-10 col-12 form-group">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição</label>
                            <div class="input-group">
                              <input type="text" class="input-default focus form-control validate" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição">
                            </div>
                          </div>
                        </div>
                      </div>
                      <input type="button" name="gravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                      <button type="button" id="btnVoltar" class=" btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                    </fieldset>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      </section>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script type="text/javascript" src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.mask.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CADTABSERVICO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("CADTABSERVICO");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/ramoatuacao`

        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/cadtabservico/cadastro_cadtabservico/cadtabservico.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>

</body>

</html>