<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Extrato de Cartão</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">
  <style>
    .radioStyle {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 7.25px;
      height: 136px;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0.5em 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }

    .square {
      height: 25px;
      width: 25px;
    }

    .square-container {
      display: flex;
      align-items: center;
      white-space: nowrap;
    }

    .square-label {
      padding-left: 2%;
      padding-top: 4%;
    }

    .table.dataTable tbody td {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    .table.dataTable thead th {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Extrato de Cartão</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i>
              </button>
            </div>
            <div class="col-sm-6">
 
            </div>
          </div>
        </div>
        <div class="container-fluid card">
          <div class="row col-12 divCaminho">
            <div class="col-12">
              <label data-error="wrong" class="labelGeral" data-success="right" for="txtArquivo">Caminho:
              </label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtArquivo" name="txtArquivo" placeholder="Caminho">
                <input type="file" id="mdModalUpload" class="d-none">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnArquivo" name="btnArquivo" type="file" for="btnArquivo"><i class="m-0 p-0 fas fa-folder-plus"></i> </button>
                </div>
              </div>
            </div>
          </div>
          <div class="row card-body d-flex justify-content-end" id="abaGeral">
            <nav class="col-lg-12">
              <div class="nav nav-tabs" id="nav-tab" role="tablist" style="text-decoration: none">
                <a class="nav-link abaLink" id="tabConsulta" data-toggle="tab" href="#divConsulta" role="tab" aria-controls="divConsulta" aria-selected="true">Consulta</a>
                <a class="nav-link abaLink" id="tabRede" data-toggle="tab" href="#divRede" role="tab" aria-controls="divRede" aria-selected="false">Rede</a>
                <a class="nav-link abaLink" id="tabCielo" data-toggle="tab" href="#divCielo" role="tab" aria-controls="divCielo" aria-selected="false">Cielo</a>
                <a class="nav-link abaLink d-none" id="tabGetNet" data-toggle="tab" href="#divGetNet" role="tab" aria-controls="divGetNet" aria-selected="false">GetNet</a>
                <a class="nav-link abaLink" id="tabSafra" data-toggle="tab" href="#divSafra" role="tab" aria-controls="divSafra" aria-selected="false">Safra</a>
                <a class="nav-link abaLink active" id="tabStone" data-toggle="tab" href="#divStone" role="tab" aria-controls="divStone" aria-selected="false">Stone</a>
                <a class="nav-link abaLink d-none" id="tabJunoPay" data-toggle="tab" href="#divJunoPay" role="tab" aria-controls="divJunoPay" aria-selected="false">JunoPay</a>
                <a class="nav-link abaLink d-none" id="tabPagSeguro" data-toggle="tab" href="#divPagSeguro" role="tab" aria-controls="divPagSeguro" aria-selected="false">PagSeguro</a>
                <a class="nav-link abaLink" id="tabGenerico" data-toggle="tab" href="#divGenerico" role="tab" aria-controls="divGenerico" aria-selected="false">tsGenerico</a>
                <a class="nav-link abaLink d-none" id="tabGenericoCSV" data-toggle="tab" href="#divGenericoCSV" role="tab" aria-controls="divGenericoCSV" aria-selected="false">tsGenericoCSV</a>
              </div>
            </nav>
            <div class="tab-content col-lg-12" id="nav-tabContent">
              <div class="input-group d-none">
                <pre id="conteudoFormatado"></pre>
              </div>
              <div class="tab-pane fade show active" id="divConsulta" role="tabpanel" aria-labelledby="tabConsulta">
                <div class="form-row" style="margin-top: 15px;">
                  <div class="col-md-6 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Tipo de Lançamento</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" checked name="radiosTipo" id="cbTodosTipos">
                          <label class="form-check-label pr-2" for="cbTodosTipos">Todos</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="radiosTipo" id="cbConciliacao">
                          <label class="form-check-label pr-2" for="cbConciliacao">0 - Conciliação</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="radiosTipo" id="cbPagamento">
                          <label class="form-check-label pr-2" for="cbPagamento">1 - Pagamento</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="radiosTipo" id="cbAntecipacao">
                          <label class="form-check-label pr-2" for="cbAntecipacao">2 - Antecipação</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-md-4 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Buscar Lançamentos</legend>
                      <div class="form-row">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" checked name="radiosLancamentos" id="cbTodosLancamentos">
                          <label class="form-check-label pr-2" for="cbTodosLancamentos">Todos</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="radiosLancamentos" id="cbConciliado">
                          <label class="form-check-label pr-2" for="cbConciliado">Conciliados</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="radiosLancamentos" id="cbPendente">
                          <label class="form-check-label pr-2" for="cbPendente">Pendentes</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="form-row mt-3 ml-4">
                    <div class="form-group form-check icheck-primary">
                      <input type="checkbox" class="form-check-input" checked id="cbAgrupaArquivo">
                      <label class="form-check-label pr-2" for="cbAgrupaArquivo">Agrupa por Arquivo</label>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12 form-group">
                    <label data-error="wrong" class="labelGeral" data-success="right" for="txtNSUConsulta">NSU:</label>
                    <input type="text" class="input-default focus form-control" id="txtNSUConsulta" aria-describedby="cod2Error" name="txtNSUConsulta" class="form-control" placeholder="NSU">
                  </div>
                  <div class="col-lg-4  col-12 form-group">
                    <label data-error="wrong" class="labelGeral" data-success="right" for="txtAutorizacaoConsulta">Autorização:</label>
                    <input type="text" class="input-default focus form-control" id="txtAutorizacaoConsulta" aria-describedby="cod2Error" name="txtAutorizacaoConsulta" class="form-control" placeholder="Autorização">
                  </div>
                </div>

                <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirConsulta">Imprimir</button>

                <div class="col-sm-12 table-responsive card-body">
                  <table id="tabelaConsulta" class="table table-sm table-select table-hover" width="100%"></table>
                  <thead>
                  </thead>
                  <tbody>
                  </tbody>
                </div>
              </div>
              <div class="tab-pane fade" id="divRede" role="tabpanel" aria-labelledby="tabRede">
                <!-- <div class="row card-body d-flex justify-content-end" id="abaGeral2"> -->
                <!-- <nav class="col-lg-12">
                    <div class="nav nav-tabs" id="nav-tab" role="tablist" style="text-decoration: none">
                      <a class="nav-link abaLink active" id="tabAcesso" data-toggle="tab" href="#divAcesso" role="tab" aria-controls="divAcesso" aria-selected="false">Acesso</a>
                      <a class="nav-link abaLink" id="tabImportacao" data-toggle="tab" href="#divImportacao" role="tab" aria-controls="divImportacao" aria-selected="false">Importacao</a>
                    </div>
                  </nav> -->
                <!-- <div class="tab-content col-lg-12" id="nav-tabContent"> -->
                <!-- <div class="tab-pane fade show active" id="divAcesso" role="tabpanel" aria-labelledby="tabAcesso">
                      <div class="row">
                        <div class="col-12">
                          <fieldset class="form border-Field mb-0 pb-0 col-8">
                            <legend class="textoBorda mb-0 pb-0">Opções</legend>
                            <div class="col-md-4 col-12" style="border-right: 1px solid white;" id="tipos">
                              <legend class="textoBorda mb-0 pb-0">Tipo de Lançamento</legend>
                              <div class="form-row d-flex">
                                <div class="form-group form-check icheck-primary">
                                  <input type="radio" class="form-check-input" disabled="true" name="radiosTipoRedeAcesso" lid="cbTodosRedeAcesso">
                                  <label class="form-check-label pr-2" for="cbTodosRedeAcesso">Todos</label>
                                </div>
                              </div>
                              <div class="form-row d-flex">
                                <div class="form-group form-check icheck-primary">
                                  <input type="radio" class="form-check-input" disabled="true" name="radiosTipoRedeAcesso" lid="cbConciliacaoRedeAcesso">
                                  <label class="form-check-label pr-2" for="cbConciliacaoRedeAcesso">0 - Conciliação</label>
                                </div>
                              </div>
                              <div class="form-row d-flex">
                                <div class="form-group form-check icheck-primary">
                                  <input type="radio" class="form-check-input" disabled="true" name="radiosTipoRedeAcesso" id="cbPagamentoRedeAcesso">
                                  <label class="form-check-label pr-2" for="cbPagamentoRedeAcesso">1 - Pagamento</label>
                                </div>
                              </div>
                              <div class="form-row d-flex">
                                <div class="form-group form-check icheck-primary">
                                  <input type="radio" class="form-check-input" disabled="true" name="radiosTipoRedeAcesso" id="cbAntecipacaoRedeAcesso">
                                  <label class="form-check-label pr-2" for="cbAntecipacaoRedeAcesso">2 - Antecipação</label>
                                </div>
                              </div>
                            </div>
                            <div class="col-md-4 col-12" id="tipos">
                              <legend class="textoBorda mb-0 pb-0">Buscar Lançamentos</legend>
                              <div class="form-row d-flex">
                                <div class="form-group form-check icheck-primary">
                                  <input type="radio" class="form-check-input" checked name="radiosTipoBuscaRede" id="cbTodosLancRede">
                                  <label class="form-check-label pr-2" for="cbTodosLancRede">Todos</label>
                                </div>
                              </div>
                              <div class="form-row d-flex">
                                <div class="form-group form-check icheck-primary">
                                  <input type="radio" class="form-check-input" name="radiosTipoBuscaRede" id="cbConciliadosLancRede">
                                  <label class="form-check-label pr-2" for="cbConciliadosLancRede">Conciliados</label>
                                </div>
                              </div>
                              <div class="form-row d-flex">
                                <div class="form-group form-check icheck-primary">
                                  <input type="radio" class="form-check-input" name="radiosTipoBuscaRede" id="cbPendentesLancRede">
                                  <label class="form-check-label pr-2" for="cbPendentesLancRede">Pendentes</label>
                                </div>
                              </div>
                            </div>
                          </fieldset>
                        </div>
                        <div class="col-4">
                          <label data-error="wrong" data-success="right" for="txtNSURedeAcesso">NSU: </label>
                          <div class="input-group">
                            <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNSURedeAcesso" name="txtNSURedeAcesso" class="form-control" placeholder="NSU">
                          </div>
                        </div>
                        <div class="col-4">
                          <label data-error="wrong" data-success="right" for="txtNumeroRV">Numero RV: </label>
                          <div class="input-group">
                            <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNumeroRVRedeAcesso" name="txtNumeroRVRedeAcesso" class="form-control" placeholder="Numero RV">
                          </div>
                        </div>
                      </div>
                      <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnConsultarRedeAcesso"><span class="fas fa-search"></span> Consultar</button>
                      <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirRedeAcesso"> Imprimir</button>

                      <div class="card mt-4">
                        <div class="col-sm-12 table-responsive card-body">
                          <table id="tabelaRedeAcesso" class="table table-sm table-select table-hover" width="100%">
                            <thead>
                            </thead>
                            <tbody>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div> -->
                <!-- <div class="tab-pane fade" id="divImportacao" role="tabpanel" aria-labelledby="tabImportacao"> -->
                <div class="row">
                  <div class="col-6">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Opções</legend>
                      <div class="col-md-4 col-12" style="border-right: 1px solid white;" id="tipos">
                        <legend class="textoBorda mb-0 pb-0">Buscar Lançamentos</legend>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="radio" class="form-check-input" checked name="radiosTipoBuscaRede" id="cbTodosLancRede">
                            <label class="form-check-label pr-2" for="cbTodosLancRede">Todos</label>
                          </div>
                        </div>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="radio" class="form-check-input" name="radiosTipoBuscaRede" id="cbConciliadosLancRede">
                            <label class="form-check-label pr-2" for="cbConciliadosLancRede">Conciliados</label>
                          </div>
                        </div>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="radio" class="form-check-input" name="radiosTipoBuscaRede" id="cbPendentesLancRede">
                            <label class="form-check-label pr-2" for="cbPendentesLancRede">Pendentes</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4 col-12" id="tipos">
                        <legend class="textoBorda mb-0 pb-0">Tipos de Lançamentos</legend>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="radio" class="form-check-input" disabled="true" name="radiosTipoCielo" id="cbConciliacaoRede">
                            <label class="form-check-label pr-2" for="cbConciliacaoRede">0 - Conciliação</label>
                          </div>
                        </div>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="radio" class="form-check-input" disabled="true" name="radiosTipoCielo" id="cbPagamentoRede">
                            <label class="form-check-label pr-2" for="cbPagamentoRede">1 - Pagamento</label>
                          </div>
                        </div>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="radio" class="form-check-input" disabled="true" name="radiosTipoCielo" id="cbAntecipacaoRede">
                            <label class="form-check-label pr-2" for="cbAntecipacaoRede">2 - Antecipação</label>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4 col-12" style="border-left: 1px solid white;" id="tipos">
                        <legend class="textoBorda mb-0 pb-0">Buscar Sugestão</legend>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="checkbox" class="form-check-input" name="cbSugestaoRede" id="cbValorStone">
                            <label class="form-check-label pr-2" for="cbValorStone">Valor</label>
                          </div>
                        </div>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="checkbox" class="form-check-input" name="cbSugestaoRede" id="cbDataEmissaoStone">
                            <label class="form-check-label pr-2" for="cbDataEmissaoStone">Data Emissão</label>
                          </div>
                        </div>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="checkbox" class="form-check-input" name="cbSugestaoRede" id="cbVencimentoStone">
                            <label class="form-check-label pr-2" for="cbVencimentoStone">Vencimento</label>
                          </div>
                        </div>
                        <div class="form-row d-flex">
                          <div class="form-group form-check icheck-primary">
                            <input type="checkbox" class="form-check-input" name="cbSugestaoRede" id="cbClienteStone">
                            <label class="form-check-label pr-2" for="cbClienteStone">Cliente</label>
                          </div>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="form-card col-6 mt-2 py-1" style="width: 96%!important; margin-top: 6px !important">
                    <div class="form-row col-lg-12 col-md-12 col-sm-12 d-flex justify-content-around flex-column">
                      <div class="square-container">
                        <div id="quadDuplDescontoStone" class="square" style="background-color: #B4524D"></div>
                        <label for="quadDuplDescontoStone" class="square-label">Não encontrou duplicata com o NSU</label>
                      </div>
                      <div class="square-container">
                        <div id="quadDuplCanceladasStone" class="square" style="background-color: #04336C"></div>
                        <label for="quadDuplCanceladasStone" class="square-label">Informações Divergentes</label>
                      </div>
                      <div class="square-container">
                        <div id="quadDuplRejeitadasStone" class="square" style="background-color: #3A5E44"></div>
                        <label for="quadDuplRejeitadasStone" class="square-label">Duplicata já baixada</label>
                      </div>
                    </div>
                  </div>
                  <div class="col-2">
                    <label data-error="wrong" data-success="right" for="txtPlanilhaRede">Planilha: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtPlanilhaRede" name="txtPlanilhaRede" class="form-control" placeholder="Número Arquivo">
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtNomeArquivoRede">Nome Arquivo: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNomeArquivoRede" name="txtNomeArquivoRede" class="form-control" placeholder="Nome Arquivo">
                    </div>
                  </div>
                  <div class="col-6">
                    <label data-error="wrong" data-success="right" for="txtClienteRede">Cliente: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClienteRede" name="txtClienteRede" class="form-control" placeholder="Cliente">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClienteRede" name="btnClienteRede" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClienteRede" name="btnLimpaClienteRede" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtBancoRede">Banco: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBancoRede" name="txtBancoRede" class="form-control" placeholder="Banco">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnBancoRede" name="btnBancoRede" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaBancoRede" name="btnLimpaBancoRede" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtContaRede">Conta: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaRede" name="txtContaRede" class="form-control" placeholder="Conta">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnContaRede" name="btnContaRede" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaContaRede" name="btnLimpaContaRede" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseBaixaRede">Classe/Baixa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseBaixaRede" name="txtClasseBaixaRede" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseBaixaRede" name="btnClasseBaixaRede" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseBaixaRede" name="btnLimpaClasseBaixaRede" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseTaxaRede">Classe/Taxa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseTaxaRede" name="txtClasseTaxaRede" class="form-control" placeholder="ClasseTaxa">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseTaxaRede" name="btnClasseTaxaRede" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseTaxaRede" name="btnLimpaClasseTaxaRede" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseAntecipacaoRede">Classe/Antecipação: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseAntecipacaoRede" name="txtClasseAntecipacaoRede" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseAntecipacaoRede" name="btnClasseAntecipacaoRede" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseAntecipacaoRede" name="btnLimpaClasseAntecipacaoRede" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtHistoricoRede">Histórico: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoRede" name="txtHistoricoRede" class="form-control" placeholder="Histórico">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnHistoricoRede" name="btnHistoricoRede" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaHistoricoRede" me="btnLimpaHistoricoRede" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Faixa Valor De/ Até: </label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control validate" id="txtValorDeRede" name="txtValorDeRede">  
                      <input type="text" class="input-default focus form-control validate" id="txtValorAteRede" name="txtValorAteRede">  
                    </div>
                  </div>
                </div>
                <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnVerBaixasRede"><span class="fas fa-search"></span> Ver Baixas</button>
                <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirRede"> Imprimir</button>
                <button style="margin-top: 15px;" class="btn bg-gradient-success btn-sisp" id="btnConfirmarRede"><span class="fas fa-check"></span> Confirmar</button>

                <div class="card mt-4">
                  <div class="col-sm-12 table-responsive card-body">
                    <table id="tabelaRede" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                      <div class="row">
                        <div class="col-sm-12">
                          <div class="icheck-primary">
                            <input class="form-check-input" type="checkbox" id="checkTodosRede" value="option1">
                            <label class="form-check-label" for="checkTodosRede" id="lblCheckTodos">Selecionar Todos</label>
                          </div>
                        </div>
                      </div>
                    </table>
                  </div>
                </div>
                <!-- </div>
                  </div> -->
                <!-- </div> -->
              </div>

              <div class="tab-pane fade" id="divCielo" role="tabpanel" aria-labelledby="tabCielo">
                <div class="row">
                  <div class="col-md-3 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Tipo de Lançamento</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" disabled="true" name="radiosTipoCielo" id="cbConciliacaoCielo">
                          <label class="form-check-label pr-2" for="cbConciliacaoCielo">0 - Conciliação</label>
                        </div>
                      </div>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" disabled="true" name="radiosTipoCielo" id="cbPagamentoCielo">
                          <label class="form-check-label pr-2" for="cbPagamentoCielo">1 - Pagamento</label>
                        </div>
                      </div>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" disabled="true" name="radiosTipoCielo" id="cbAntecipacaoCielo">
                          <label class="form-check-label pr-2" for="cbAntecipacaoCielo">2 - Antecipação</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-md-5 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Tipo de Lançamento</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" checked name="chkSugestao" id="cbValorCielo">
                          <label class="form-check-label pr-2" for="cbValorCielo">Valor</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbDataEmissaoCielo">
                          <label class="form-check-label pr-2" for="cbDataEmissaoCielo">Data Emissão</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbVencimentoCielo">
                          <label class="form-check-label pr-2" for="cbVencimentoCielo">Vencimento</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbClienteCielo">
                          <label class="form-check-label pr-2" for="cbClienteCielo">Cliente</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="form-card col-4 mt-2 py-1" style="width: 96%!important; margin-top: 6px !important">
                    <fieldset class="form border-Field">
                      <div class="form-row col-lg-12 col-md-12 col-sm-12 d-flex justify-content-around flex-column">
                        <div class="square-container">
                          <div id="quadDuplDescontoCielo" class="square" style="background-color: #B4524D"></div>
                          <label for="quadDuplDescontoCielo" class="square-label">Não encontrou duplicata com o NSU</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplCanceladasCielo" class="square" style="background-color: #04336C"></div>
                          <label for="quadDuplCanceladasCielo" class="square-label">Informações Divergentes</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplRejeitadasCielo" class="square" style="background-color: #3A5E44"></div>
                          <label for="quadDuplRejeitadasCielo" class="square-label">Duplicata já baixada</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtNomeArquivoCielo">Nome Arquivo: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNomeArquivoCielo" name="txtNomeArquivoCielo" class="form-control" placeholder="Nome Arquivo">
                    </div>
                  </div>
                  <div class="col-2">
                    <label data-error="wrong" data-success="right" for="txtNumeroArquivoCielo">Número Arquivo: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNumeroArquivoCielo" name="txtNumeroArquivoCielo" class="form-control" placeholder="Número Arquivo">
                    </div>
                  </div>
                  <div class="col-6">
                    <label data-error="wrong" data-success="right" for="txtClienteCielo">Cliente: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClienteCielo" name="txtClienteCielo" class="form-control" placeholder="Cliente">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClienteCielo" name="btnClienteCielo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClienteCielo" name="btnLimpaClienteCielo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Faixa Valor De/ Até: </label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control validate" id="txtValorDeCielo" name="txtValorDeCielo">  
                      <input type="text" class="input-default focus form-control validate" id="txtValorAteCielo" name="txtValorAteCielo">  
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseTaxaCielo">Classe/Taxa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseTaxaCielo" name="txtClasseTaxaCielo" class="form-control" placeholder="ClasseTaxa">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseTaxaCielo" name="btnClasseTaxaCielo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseTaxaCielo" name="btnLimpaClasseTaxaCielo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtContaPagaMe">Conta: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaCielo" name="txtContaCielo" class="form-control" placeholder="Conta">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnContaCielo" name="btnContaCielo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaContaCielo" name="btnLimpaContaCielo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClassePagaMe">Classe/Baixa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseBaixaCielo" name="txtClasseBaixaCielo" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseBaixaCielo" name="btnClasseBaixaCielo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseBaixaCielo" name="btnLimpaClasseBaixaCielo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClassePagaMe">Classe/Despesa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseDespesaCielo" name="txtClasseDespesaCielo" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseDespesaCielo" name="btnClasseDespesaCielo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseDespesaCielo" name="btnLimpaClasseDespesaCielo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtHistoricoPagaMe">Histórico: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoCielo" name="txtHistoricoCielo" class="form-control" placeholder="Histórico">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnHistoricoCielo" name="btnHistoricoCielo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaHistoricoCielo" me="btnLimpaHistoricoCielo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Pagamento:</label>
                    <div class="input-group">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtPagamentoCielo" name="dtPagamentoCielo">  
                    </div>
                  </div>
                </div>
                <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnVerBaixasCielo"><span class="fas fa-search"></span> Ver Baixas</button>
                <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirCielo"> Imprimir</button>
                <button style="margin-top: 15px;" class="btn bg-gradient-success btn-sisp" id="btnConfirmarCielo"><span class="fas fa-check"></span> Confirmar</button>

                <div class="card mt-4">
                  <div class="col-sm-12 table-responsive card-body">
                    <table id="tabelaCielo" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                      <div class="row">
                        <div class="col-sm-12">
                          <div class="icheck-primary">
                            <input class="form-check-input" type="checkbox" id="checkTodosCielo" value="option1">
                            <label class="form-check-label" for="checkTodosCielo" id="lblCheckTodosCielo">Selecionar Todos</label>
                          </div>
                        </div>
                      </div>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divGetNet" role="tabpanel" aria-labelledby="tabGetNet">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaPedido" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divSafra" role="tabpanel" aria-labelledby="tabSafra">
                <div class="row">
                  <div class="col-md-9 col-12 pl-0" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Tipo de Lançamento</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input rgSugestao" name="chkSugestao" id="rgPrevisaoSafra" value="0">
                          <label class="form-check-label pr-2" for="rgPrevisaoSafra">0 - Previsão</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input rgSugestao" checked name="chkSugestao" id="rgLiquidacaoNormalSafra" value="1">
                          <label class="form-check-label pr-2" for="rgLiquidacaoNormalSafra">1 - Liquidação Normal</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input rgSugestao" name="chkSugestao" id="rgLiquidacaoAntecipadaSafra" value="2">
                          <label class="form-check-label pr-2" for="rgLiquidacaoAntecipadaSafra">2 - Liquid. Antecipada</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input rgSugestao" name="chkSugestao" id="rgLiquidadaAmortizacaoSafra" value="3">
                          <label class="form-check-label pr-2" for="rgLiquidadaAmortizacaoSafra">5 - Liquidada - Amortização de saldo devedor</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="form-card col-3" style="width: 96%!important; margin-top: 6px !important">
                    <div class="form-row col-lg-12 col-md-12 col-sm-12 d-flex justify-content-around flex-column px-0">
                      <div class="square-container">
                        <div id="txtArquivoDiferente" class="square" style="background-color: #fdfd96"></div>
                        <label for="txtArquivoDiferente" class="square-label">Taxa Arquivo diferente Taxa Título</label>
                      </div>
                      <div class="square-container">
                        <div id="duplicataBaixada" class="square" style="background-color: seagreen"></div>
                        <label for="duplicataBaixada" class="square-label">Duplicata já baixada</label>
                      </div>
                      <div class="square-container d-none" id="squareDesdAgrup">
                        <div id="duplicataBaixada" class="square" style="background-color: #f7a156"></div>
                        <label for="duplicataBaixada" class="square-label">Duplicata Desdobrada/Agrupada</label>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="txtNomeArquivoSafra"> Nome Arquivo:</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control validate" id="txtNomeArquivoSafra" name="txtNomeArquivoSafra">  
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseBaixaSafra">Classe/Baixa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseBaixaSafra" name="txtClasseBaixaSafra" class="form-control" placeholder="Classe/Baixa">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseBaixaSafra" name="btnClasseBaixaSafra" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseBaixaSafra" name="btnLimpaClasseBaixaSafrae" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseTaxaSafra">Classe/Taxa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseTaxaSafra" name="txtClasseTaxaSafra" class="form-control" placeholder="Classe/Taxa">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseTaxaSafra" name="btnClasseTaxaSafra" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseTaxaSafra" name="btnLimpaClasseTaxaSafraMe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseAntecSafra">Classe/Antec: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseAntecSafra" name="txtClasseAntecSafra" class="form-control" placeholder="Classe/Antec">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseAntecSafra" name="btnClasseAntecSafra" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseAntesSafra" name="btnLimpaClasseAntesSafra" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtHistoricoSafra">Histórico: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoSafra" name="txtHistoricoSafra" class="form-control" placeholder="Histórico">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnHistoricoSafra" name="btnHistoricoSafra" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaHistoricoSafra" name="btnLimpaHistoricoSafra" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div>
                <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnVerBaixasSafra"><span class="fas fa-search"></span> Ver Baixas</button>
                <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirSafra"> Imprimir</button>
                <button style="margin-top: 15px;" class="btn bg-gradient-success btn-sisp" id="btnConfirmarSafra"><span class="fas fa-check"></span> Confirmar</button>

                <div class="card mt-4">
                  <div class="col-sm-12 table-responsive card-body">
                    <table id="tabelaSafra" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
                <div class="card mt-4" id="divTabelaSafraResumo">
                  <div class="col-sm-12 table-responsive card-body">
                    <table id="tabelaSafraResumo" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divStone" role="tabpanel" aria-labelledby="tabStone">
                <div class="row">
                  <div class="col-3">
                    <div class="">
                      <fieldset class="form border-Field mb-0 pb-0">
                        <legend class="textoBorda mb-0 pb-0">Tipo de Lançamentos</legend>
                        <div class="form-row">
                          <div class="form-group form-check icheck-primary">
                            <input type="radio" checked class="form-check-input" disabled="true" name="radiosTipoStone" id="cbPagamentoStone">
                            <label class="form-check-label pr-2" for="cbPagamentoStone">1 - Pagamento</label>
                          </div>
                        </div>
                      </fieldset>
                    </div>
                    <div class="mt-3">
                      <div class="form-row">
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" checked name="cbNaoGeraCCStone" id="cbNaoGeraCCStone">
                          <label class="form-check-label pr-2" for="cbNaoGeraCCStone">Não gera CC</label>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-5 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Buscar Sugestão</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" checked name="chkSugestao" id="cbValorStone">
                          <label class="form-check-label pr-2" for="cbValorStone">Valor</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbDataEmissaoStone">
                          <label class="form-check-label pr-2" for="cbDataEmissaoStone">Data Emissão</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbVencimentoStone">
                          <label class="form-check-label pr-2" for="cbVencimentoStone">Vencimento</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbClienteStone">
                          <label class="form-check-label pr-2" for="cbClienteStone">Cliente</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="form-card col-4 mt-2 py-1" style="width: 96%!important; margin-top: 6px !important">
                    <fieldset class="form border-Field">
                      <div class="form-row col-lg-12 col-md-12 col-sm-12 d-flex justify-content-around flex-column">
                        <div class="square-container">
                          <div id="quadDuplDescontoStone" class="square" style="background-color: #B4524D"></div>
                          <label for="quadDuplDescontoStone" class="square-label">Não encontrou duplicata com o NSU</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplCanceladasStone" class="square" style="background-color: #04336C"></div>
                          <label for="quadDuplCanceladasStone" class="square-label">Informações Divergentes</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplRejeitadasStone" class="square" style="background-color: #3A5E44"></div>
                          <label for="quadDuplRejeitadasStone" class="square-label">Duplicata já baixada</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtNomeArquivoStone">Nome Arquivo: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNomeArquivoStone" name="txtNomeArquivoStone" class="form-control" placeholder="Nome Arquivo">
                    </div>
                  </div>
                  <div class="col-2">
                    <label data-error="wrong" data-success="right" for="txtNumeroArquivoStone">Número Arquivo: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNumeroArquivoStone" name="txtNumeroArquivoStone" class="form-control" placeholder="Número Arquivo">
                    </div>
                  </div>
                  <div class="col-6">
                    <label data-error="wrong" data-success="right" for="txtClienteStone">Cliente: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClienteStone" name="txtClienteStone" class="form-control" placeholder="Cliente">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClienteStone" name="btnClienteStone" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClienteStone" name="btnLimpaClienteStone" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtBancoStone">Banco: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBancoStone" name="txtBancoStone" class="form-control" placeholder="Banco">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnBancoStone" name="btnBancoStone" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaBancoStone" name="btnLimpaBancoStone" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtHistoricoStone">Histórico: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoStone" name="txtHistoricoStone" class="form-control" placeholder="Histórico">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnHistoricoStone" name="btnHistoricoStone" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaHistoricoStone" me="btnLimpaHistoricoStone" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtContaStone">Conta: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaStone" name="txtContaStone" class="form-control" placeholder="Conta">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnContaStone" name="btnContaStone" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaContaStone" name="btnLimpaContaStone" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseTaxaStone">Classe/Taxa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseTaxaStone" name="txtClasseTaxaStone" class="form-control" placeholder="ClasseTaxa">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseTaxaStone" name="btnClasseTaxaStone" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseTaxaStone" name="btnLimpaClasseTaxaStone" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseBaixaStone">Classe/Baixa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseBaixaStone" name="txtClasseBaixaStone" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseBaixaStone" name="btnClasseBaixaStone" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseBaixaStone" name="btnLimpaClasseBaixaStone" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseDespesaStone">Classe/Despesa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseDespesaStone" name="txtClasseDespesaStone" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseDespesaStone" name="btnClasseDespesaStone" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseDespesaStone" name="btnLimpaClasseDespesaStone" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Pagamento:</label>
                    <div class="input-group">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtPagamentoStone" name="dtPagamentoStone">  
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Faixa Valor De/ Até: </label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control validate" id="txtValorDeStone" name="txtValorDeStone">  
                      <input type="text" class="input-default focus form-control validate" id="txtValorAteStone" name="txtValorAteStone">  
                    </div>
                  </div>
                </div>
                <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnVerBaixasStone"><span class="fas fa-search"></span> Ver Baixas</button>
                <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirStone"> Imprimir</button>
                <button style="margin-top: 15px;" class="btn bg-gradient-success btn-sisp" id="btnConfirmarStone"><span class="fas fa-check"></span> Confirmar</button>

                <div class="card mt-4">
                  <div class="col-sm-12 table-responsive card-body">
                    <table id="tabelaStone" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                      <div class="row">
                        <div class="col-sm-12">
                          <div class="icheck-primary">
                            <input class="form-check-input" type="checkbox" id="checkTodosStone" value="option1">
                            <label class="form-check-label" for="checkTodosStone" id="lblCheckTodos">Selecionar Todos</label>
                          </div>
                        </div>
                      </div>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divJunoPay" role="tabpanel" aria-labelledby="tabJunoPay">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaEstoque" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divPagSeguro" role="tabpanel" aria-labelledby="tabPagSeguro">
                <div class="row" style="margin-top: 15px;">
                  <div class="col-sm-12">
                    <table id="tabelaTransfDep" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                        <th>Campo</th>
                        <th>Descrição</th>
                        <th>Valor</th>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divGenerico" role="tabpanel" aria-labelledby="tabGenerico">
                <div class="row">
                  <div class="col-md-3 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Tipo de Lançamento</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" disabled="true" name="radiosTipo" id="cbPagamentoGenerico">
                          <label class="form-check-label pr-2" for="cbPagamentoGenerico">1 - Pagamento</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-md-5 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Buscar Sugestão</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" checked name="chkSugestao" id="cbValorGenerico">
                          <label class="form-check-label pr-2" for="cbValorGenerico">Valor</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbDataEmissaoGenerico">
                          <label class="form-check-label pr-2" for="cbDataEmissaoGenerico">Data Emissão</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbVencimentoGenerico">
                          <label class="form-check-label pr-2" for="cbVencimentoGenerico">Vencimento</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbClienteGenerico">
                          <label class="form-check-label pr-2" for="cbClienteGenerico">Cliente</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="form-card col-4 mt-2 py-1" style="width: 96%!important; margin-top: 6px !important">
                    <fieldset class="form border-Field">
                      <div class="form-row col-lg-12 col-md-12 col-sm-12 d-flex justify-content-around flex-column">
                        <div class="square-container">
                          <div id="quadDuplDescontoGenerico" class="square" style="background-color: #B4524D"></div>
                          <label for="quadDuplDescontoGenerico" class="square-label">Não encontrou duplicata com o NSU</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplCanceladasGenerico" class="square" style="background-color: #04336C"></div>
                          <label for="quadDuplCanceladasGenerico" class="square-label">Informações Divergentes</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplRejeitadasGenerico" class="square" style="background-color: #3A5E44"></div>
                          <label for="quadDuplRejeitadasGenerico" class="square-label">Duplicata já baixada</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-8">
                    <label data-error="wrong" data-success="right" for="txtClienteGenerico">Cliente: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClienteGenerico" name="txtClienteGenerico" class="form-control" placeholder="Cliente">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClienteGenerico" name="btnClienteGenerico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClienteGenerico" name="btnLimpaClienteGenerico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Faixa Valor De/ Até: </label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control validate" id="txtValorDeGenerico" name="txtValorDeGenerico">  
                      <input type="text" class="input-default focus form-control validate" id="txtValorAteGenerico" name="txtValorAteGenerico">  
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtBancoGenerico">Banco: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBancoGenerico" name="txtBancoGenerico" class="form-control" placeholder="Banco">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnBancoGenerico" name="btnBancoGenerico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaBancoGenerico" name="btnLimpaBancoGenerico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtContaPagaMe">Conta: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaGenerico" name="txtContaGenerico" class="form-control" placeholder="Conta">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnContaGenerico" name="btnContaGenerico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaContaGenerico" name="btnLimpaContaGenerico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClassePagaMe">Classe/Baixa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseBaixaGenerico" name="txtClasseBaixaGenerico" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseBaixaGenerico" name="btnClasseBaixaGenerico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseBaixaGenerico" name="btnLimpaClasseBaixaGenerico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClassePagaMe">Classe/Despesa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseDespesaGenerico" name="txtClasseDespesaGenerico" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseDespesaGenerico" name="btnClasseDespesaGenerico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseDespesaGenerico" name="btnLimpaClasseDespesaGenerico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtHistoricoPagaMe">Histórico: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoGenerico" name="txtHistoricoGenerico" class="form-control" placeholder="Histórico">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnHistoricoGenerico" name="btnHistoricoGenerico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaHistoricoGenerico" me="btnLimpaHistoricoGenerico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Pagamento:</label>
                    <div class="input-group">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtPagamentoGenerico" name="dtPagamentoGenerico">  
                    </div>
                  </div>
                </div>
                <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnVerBaixasGenerico"><span class="fas fa-search"></span> Ver Baixas</button>
                <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirGenerico"> Imprimir</button>
                <button style="margin-top: 15px;" class="btn bg-gradient-success btn-sisp" id="btnConfirmarGenerico"><span class="fas fa-check"></span> Confirmar</button>
                <div class="card mt-4">
                  <div class="col-sm-12 table-responsive card-body">
                    <table id="tabelaGenerico" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="tab-pane fade" id="divGenericoCSV" role="tabpanel" aria-labelledby="tabGenericoCSVCSV">
                <div class="row">
                  <div class="col-md-3 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Tipo de Lançamento</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="radiosTipo" id="cbPagamentoGenericoCSV">
                          <label class="form-check-label pr-2" for="cbPagamentoGenericoCSV">1 - Pagamento</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-md-5 col-12" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Buscar Sugestão</legend>
                      <div class="form-row d-flex">
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" checked name="chkSugestao" id="cbValorGenericoCSV">
                          <label class="form-check-label pr-2" for="cbValorGenericoCSV">Valor</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbDataEmissaoGenericoCSV">
                          <label class="form-check-label pr-2" for="cbDataEmissaoGenericoCSV">Data Emissão</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbVencimentoGenericoCSV">
                          <label class="form-check-label pr-2" for="cbVencimentoGenericoCSV">Vencimento</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="checkbox" class="form-check-input" name="chkSugestao" id="cbClienteGenericoCSV">
                          <label class="form-check-label pr-2" for="cbClienteGenericoCSV">Cliente</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="form-card col-4 mt-2 py-1" style="width: 96%!important; margin-top: 6px !important">
                    <fieldset class="form border-Field">
                      <div class="form-row col-lg-12 col-md-12 col-sm-12 d-flex justify-content-around flex-column">
                        <div class="square-container">
                          <div id="quadDuplDescontoGenericoCSV" class="square" style="background-color: #B4524D"></div>
                          <label for="quadDuplDescontoGenericoCSV" class="square-label">Não encontrou duplicata com o NSU</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplCanceladasGenericoCSV" class="square" style="background-color: #04336C"></div>
                          <label for="quadDuplCanceladasGenericoCSV" class="square-label">Informações Divergentes</label>
                        </div>
                        <div class="square-container">
                          <div id="quadDuplRejeitadasGenericoCSV" class="square" style="background-color: #3A5E44"></div>
                          <label for="quadDuplRejeitadasGenericoCSV" class="square-label">Duplicata já baixada</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-8">
                    <label data-error="wrong" data-success="right" for="txtClienteGenericoCSV">Cliente: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClienteGenericoCSV" name="txtClienteGenericoCSV" class="form-control" placeholder="Cliente">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClienteGenericoCSV" name="btnClienteGenericoCSV" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClienteGenericoCSV" name="btnLimpaClienteGenericoCSV" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Faixa Valor De/ Até: </label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control validate" id="txtValorDe" name="txtValorDe">  
                      <input type="text" class="input-default focus form-control validate" id="txtValorAte" name="txtValorAte">  
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtBancoGenericoCSV">Banco: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBancoGenericoCSV" name="txtBancoGenericoCSV" class="form-control" placeholder="Banco">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnBancoGenericoCSV" name="btnBancoGenericoCSV" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaBancoGenericoCSV" name="btnLimpaBancoGenericoCSV" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtContaGenericoCSV">Conta: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaGenericoCSV" name="txtContaGenericoCSV" class="form-control" placeholder="Conta">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnContaGenericoCSV" name="btnContaGenericoCSV" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaContaGenericoCSV" name="btnLimpaContaGenericoCSV" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseBaixaGenericoCSV">Classe/Baixa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseBaixaGenericoCSV" name="txtClasseBaixaGenericoCSV" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseBaixaGenericoCSV" name="btnClasseBaixaGenericoCSV" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseBaixaGenericoCSV" name="btnLimpaClasseBaixaGenericoCSV" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtClasseDespesaGenericoCSV">Classe/Despesa: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseDespesaGenericoCSV" name="txtClasseDespesaGenericoCSV" class="form-control" placeholder="Classe">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseDespesaGenericoCSV" name="btnClasseDespesaGenericoCSV" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseDespesaGenericoCSV" name="btnLimpaClasseDespesaGenericoCSV" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4">
                    <label data-error="wrong" data-success="right" for="txtHistoricoGenericoCSV">Histórico: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoGenericoCSV" name="txtHistoricoGenericoCSV" class="form-control" placeholder="Histórico">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnHistoricoGenericoCSV" name="btnHistoricoGenericoCSV" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaHistoricoGenericoCSV" me="btnLimpaHistoricoGenericoCSV" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12">
                    <label for="dtEmiIni">Pagamento:</label>
                    <div class="input-group">
                      <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtPagamentoGenericoCSV" name="dtPagamentoGenericoCSV">  
                    </div>
                  </div>
                  <div class="row" style="margin-top: 15px;">
                    <div class="col-sm-12">
                      <table id="tabelaGenericoCSV" class="table table-sm table-select table-hover" width="100%">
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <button style="margin-top: 15px;" class="btn bg-gradient-primary btn-sisp" id="btnVerBaixasGenericoCSV"><span class="fas fa-search"></span> Ver Baixas</button>
                <button style="margin-top: 15px;" class="btn btn-success btn-sisp" id="btnImprimirGenericoCSV"> Imprimir</button>
                <button style="margin-top: 15px;" class="btn bg-gradient-success btn-sisp" id="btnConfirmarGenericoCSV"><span class="fas fa-check"></span> Confirmar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php
  include_once('../../../modais.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="utils/cookies.js?versao=3.247.25.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="config.js?versao=3.247.25.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script src="pages/escretorno/extrato_cartao/js/arrayColunasDataTableExtrato.js?versao=3.247.25.1"></script>
  <script src="https://unpkg.com/read-excel-file@5.x/bundle/read-excel-file.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/jszip.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/xlsx.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.17.4/xlsx.full.min.js"></script>
  <script src="https://unpkg.com/read-excel-file@5.x/bundle/read-excel-file.min.js"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }
      const caminho = 'pages/escretorno/extrato_cartao/js';
      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('EXTRATO_CARTAO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/escretorno/extrato_cartao/extrato_cartao.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);
      await insereJavaScriptPagina(`${caminho}/Consulta.js?versao=3.247.25.1`);
      await insereJavaScriptPagina(`${caminho}/AbaSafra.js?versao=3.247.25.1`);
      await insereJavaScriptPagina(`${caminho}/AbaRede.js?versao=3.247.25.1`);
      await insereJavaScriptPagina(`${caminho}/AbaGenerico.js?versao=3.247.25.1`);
      await insereJavaScriptPagina(`${caminho}/AbaGenericoCSV.js?versao=3.247.25.1`);
      await insereJavaScriptPagina(`${caminho}/AbaCielo.js?versao=3.247.25.1`);
      await insereJavaScriptPagina(`${caminho}/AbaStone.js?versao=3.247.25.1`);
    });
  </script>
</body>

</html>