<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro Preço Terceiros</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
    <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">


    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .form-group {
            text-align: left;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 1.0em 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .table.dataTable tbody td,
        th {
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
        }

        #divSetores {
            display: inline-block;
            max-height: 570px;
            overflow-y: auto;
            border: 1px solid #ccc;
        }

        .btnFac {
            font-size: 15px;
            width: 100px;
            background: #616161;
            font-weight: bold;
            color: white;
            border: 0 none;
            border-radius: 0px;
            cursor: pointer;
            padding: 10px 5px;
            margin: 10px 5px;
            float: right;
        }

        .btnFac:hover {
            background-color: #555;
            color: #fff;
        }

        #btnGravar:hover {
            background-color: #ab080f !important;
            color: #fff;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-wrapper">
            <section class="content">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6 flex">
                            </div>
                            <div class="col-sm-6">
                                <!-- <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="../grupomaterial">Acesso Preço Facção</a></li>
                                    <li class="breadcrumb-item active">Cadastro Preço Facção</li>
                                </ol> -->
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>
                    <div class="row justify-content-center">
                        <div class="col-10 text-center">
                            <div class="card">
                                <div class="card-header text-center flex mt-3 pb-0">
                                    <h2>Cadastro Preço Terceiros
                                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                            <i class="fas fa-question-circle"></i>
                                        </button>
                                    </h2>
                                </div>
                                <div class="row" id="campostour">
                                    <div class="col-md-12 mx-0 mb-3">
                                        <form id="msform">
                                            <ul id="progressbar">
                                                <li class="active" id="account"><strong>Geral</strong></li>
                                            </ul>
                                            <p>Preencha as informações e clique em gravar para confirmar os dados.</p>
                                            <fieldset class="row justify-content-center mt-3">
                                                <div class="row col-lg-11 col-12">
                                                    <div class="col-lg-8 col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtProduto">Produto</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control validate controle-edicao" id="txtProduto" name="txtProduto" placeholder="Produto">
                                                            <div class="input-group-append">
                                                                <button class="btn bg-danger controle-edicao" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                <button class="btn bg-danger controle-edicao" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4 col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtParte">Parte</label>
                                                        <div class="input-group">
                                                            <select class="drilldown-item form-control select2 select2-danger focus controle-edicao" data-dropdown-css-class="select2-danger" id="txtParte" style="border-color: #a9a9a9">
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-8 col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTabPreco">Tabela</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control controle-edicao" aria-describedby="produtoError" id="txtTabPreco" name="txtTabPreco" placeholder="Tabela">
                                                            <div class="input-group-append">
                                                                <button class="btn bg-danger controle-edicao" id="btnTabPreco" name="btnTabPreco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                <button class="btn bg-danger controle-edicao" id="btnLimpaTabPreco" name="btnLimpaTabPreco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4 col-12 form-group">
                                                        <label data-error="wrong" data-success="right" for="txtTipo">Tipo:</label>
                                                        <div class="input-group">
                                                            <select class="drilldown-item form-control select2 select2-danger focus controle-edicao" data-dropdown-css-class="select2-danger" id="txtTipo" style="border-color: #a9a9a9">
                                                                <option class="drilldown-item" value="0">Normal</option>
                                                                <option class="drilldown-item" value="1">Lavanderia</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-auto form-group">
                                                        <fieldset class="form border-Field mb-0 pb-0">
                                                            <div class="form-row pt-3">
                                                                <div class="icheck-primary form-group form-check">
                                                                    <input type="checkbox" class="form-check-input ml-2" id="cbFluxo" checked>
                                                                    <label class="form-check-label pr-4" for="cbFluxo">Fluxo do produto</label>
                                                                </div>
                                                                <div class="icheck-primary form-group form-check">
                                                                    <input type="checkbox" class="form-check-input" id="cbAlteraPreco">
                                                                    <label class="form-check-label pr-4" for="cbAlteraPreco">Permite alterar preço máximo</label>
                                                                </div>
                                                                <div class="icheck-primary form-group form-check">
                                                                    <input type="checkbox" class="form-check-input" id="cbBloquear">
                                                                    <label class="form-check-label pr-2" for="cbBloquear">Bloquear alterações</label>
                                                                </div>
                                                            </div>
                                                        </fieldset>
                                                    </div>
                                                </div>
                                                <div class="col-lg-11 col-12 table-responsive card-body" id="divSetores">
                                                    <table id="tabelaSetores" class="table table-sm table-select table-hover" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </fieldset>
                                            <div class="col-12 d-flex justify-content-center">
                                                <div class="col-lg-11 row">
                                                    <button type="button" id="btnDuplicar" class="btnFac btn-sisp ml-auto">Duplicar</button>
                                                    <button type="button" id="btnVoltar" class="btnFac btn-sisp">Voltar</button>
                                                    <button type="button" id="btnGravar" class="btnFac btn-sisp" style="background-color: #c2121a">Gravar</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>


    <?php
    include_once('../../../modais.php');
    ?>

    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>

    <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
    <script src="../utils/cookies.js?versao=3.247.25.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            // const temAcesso = await temAcessoTela('FACPRECO');
            // if (!temAcesso.resultado) {
            //     toastrAcesso(temAcesso, BASE_URI);
            //     return;
            // }

            // const permissaoUsuarioLogado = await permissaoAcessos("FACPRECO");

            // if (permissaoUsuarioLogado.INCLUI == 'N') {
            //     await criaMensagemErro("Sem permissão para incluir!", () => {
            //         window.location.href = `${BASE_URI}/facpreco`
            //     });
            //     return;
            // }

            // const queryString = window.location.href;
            // const parametros = queryString.split("/");
            // const produto = parametros[parametros.length - 1];

            // $(window).on("beforeunload", function(e) {
            //     e.preventDefault();
            //     deletaRegistro("FACPRECO", getCookie("usuario"), produto);
            //     return undefined;
            // });

            sArquivo = `${BASE_URI}/pages/facpreco/cadastro_facpreco/facpreco.js?versao=3.247.25.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>