<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Local</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

    .radiosStyle {
      font-size: 120%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 5px;
      margin-top: -10px;
    }

    .checkTipo {
      font-size: 120%;
      margin-top: 14px;
    }

    .checkTop {
      margin-left: 2%;
      margin-top: 2%;
    }

    .checkStyle {
      margin-top: 2%;
      padding: 1%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      margin-left: 0%;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 1px !important;
    }
    .icheck-primary{
      margin-bottom: 0px !important;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <!-- <ol class="breadcrumb float-sm-right">
                  
                  <li class="breadcrumb-item"><a href="../local">Acesso Local</a></li>
                  <li class="breadcrumb-item active">Cadastro de Local</li>
                </ol> -->
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2> Cadastro de Local
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0 mb-3">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do local.</p>
                      <fieldset class="row justify-content-center mt-5">

                        <div class="col-10 text-left" id="campostuto">

                          <div class="row mb-3 justify-content-md-start justify-content-center">

                            <div class="justify-content-sm-start justify-content-center">
                              <div class="col-auto">
                                <fieldset class="form border-Field mb-0 pb-0">
                                  <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                  <div class="form-row">
                                    <div class="icheck-primary mr-2"> 
                                      <input type="checkbox" class="" id="cbAtivo">
                                      <label class="" for="cbAtivo">Ativo</label> 
                                    </div>
                                    <div class="icheck-primary"> 
                                      <input type="checkbox" class="" id="cbPadrao">
                                      <label class="" for="cbPadrao">Padrão</label>
                                    </div>
                                  </div>
                                </fieldset>
                              </div>
                            </div>

                            <div class="justify-content-md-start justify-content-center ml-0 ml-md-3 mt-3 mt-md-0">
                              <div class="col-auto">
                                <fieldset class="form border-Field mb-0 pb-0">
                                  <legend class="textoBorda mb-0 pb-0">Tipo</legend>
                                    <div class="form-row">
                                      <div class="icheck-primary mr-2">
                                         <input type="radio" checked="checked" id="radioTodos" name="tipo">
                                         <label class="" for="radioTodos">Todos</label> 
                                      </div>
                                      <div class="icheck-primary mr-2">
                                         <input type="radio" id="radioProdutos" name="tipo">
                                         <label class="" for="radioProdutos">Produtos </label> 
                                      </div>
                                      <div class="icheck-primary mr-2">
                                         <input type="radio" id="radioMateriais" name="tipo">
                                         <label class="" for="radioMateriais">Materiais </label> 
                                      </div>
                                    </div>
                                </fieldset>
                              </div>
                            </div>
                          </div>

                            <div class="row">

                              <div class="col-12 col-md-4 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código *</label>
                                <div class="input-group">
                                  <input type="text" disabled class="input-default focus form-control validate" id="txtCodigo" name="txtCodigo" placeholder="Preenchido automaticamente">
                                </div>
                              </div>

                              <div class="col-12 col-md-8 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição *</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtDescricao" name="txtDescricao" placeholder="Descrição">
                                </div>
                              </div>

                              <div class="col-12 col-md-4  form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtQtde">Quantidade</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtQtde" name="txtQtde" placeholder="Quantidade">
                                </div>
                              </div>

                              <div class="col-12 col-md-4 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCubagem">Cubagem</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtCubagem" name="txtCubagem" placeholder="Cubagem">
                                </div>
                              </div>

                              <div class="col-12 col-md-4 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtQtdeVol">Qtde. Volumes</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtQtdeVol" name="txtQtdeVol" placeholder="Qtde. Volumes">
                                </div>
                              </div>

                              <div class="col-12 col-md-12 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtObs">Observação</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtObs" name="txtObs" placeholder="Observação">
                                </div>
                              </div>

                              <div class="col-sm-12 table-responsive card-body">
                                <h5>Depósitos
                                  <input type="button" class="btn btn-sm btn-secondary ml-2" id="btnAdicionar" style="font-size: 50%;" value="Adicionar">
                                  <input type="text" class="input-default focus form-control d-none" disabled id="txtDeposito" name="txtDeposito">
                                </h5>
                                <table id="tabelaDeposito" class="table table-sm table-select table-hover" width="100%">
                                  <thead>
                                    <tr>
                                      <th class="th-sm">Depósito
                                      </th>
                                      <th class="th-sm">Descrição
                                      </th>
                                      <th class="th-sm">Ações
                                      </th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>

                            </div>
                        </div>

                      </fieldset>
                      <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                      <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.247.25.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
  <script src="../utils/cookies.js?versao=3.247.25.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('LOCAL');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos('CAD_LOCAL');

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        toastr
          .error(
            `Sem permissão para incluir!`,
            "Alerta", {
              toastClass: "alert",
              iconClasses: {
                error: "alert-error",
                info: "alert-info",
                success: "alert-success",
                warning: "alert-warning",
              },
              positionClass: "toast-top-center",
              progressBar: true,
              timeOut: 2500,
              fadeOut: 1000,
              onHidden() {
                window.location.href = `${BASE_URI}/local`;
              },
            }
          )
          .css({
            "margin-top": "20%",
            width: "500px",
            "max-width": "500px",
          });
        return;
      }

      sArquivo = `${BASE_URI}/pages/local/cadastro_local/local.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>