<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Mensagem Whatsapp</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
    <link href='../dist/css/bootstrap.min.css?versao=3.247.25.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.247.25.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.247.25.1">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
    <style>
        #divImg {
            border: 1px solid white;
        }

        #imgAnexo {
            width: 615px;
            height: 230px;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>

        <div id="modalValores" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title">Informe um valor para consultar</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body" id="bodyModalValores">
                    </div>
                    <div class="modal-footer">
                        <button id="btnConfirmarValores" type="button" class="btn bg-gradient-success">Confirmar</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="wrapper">
            <div class="content-wrapper">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6 flex">
                                <h1 class="m-0 text-dark">Mensagem WhatsApp - Cadastro</h1>
                            </div>
                            <div class="col-sm-6">
                                <!-- <ol class="breadcrumb float-sm-right">
                                    
                                    <li class="breadcrumb-item active"><a href="../msg_whatsapp">Mensagem WhatsApp</a></li>
                                    <li class="breadcrumb-item active">Cadastro de Mensagem WhatsApp</li>
                                </ol> -->
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center mt-0">
                        <div class="col-10 text-center p-0 mt-3 mb-2">
                            <div class="row">
                                <div class="col-md-12 mx-0">
                                    <form id="msform">
                                        <div class="form-card" id="formcard1" style="min-height: 400px;">
                                            <div class="row d-flex justify-content-center">
                                                <div class="card col-10" id="campostour">
                                                    <div class="card-body">
                                                        <div class="row">
                                                            <div class="col-12 col-lg-3">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtID">ID</label>
                                                                <div class="input-s">
                                                                    <input type="text" class="input-default focus form-control" disabled readonly aria-describedby="ufError" id="txtID" name="txtID" title="Gerado automaticamente" class="form-control" placeholder="Gerado Automatic.">
                                                                    <span id="ufError" class="error invalid-feedback" style="display: inline;"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-12 col-lg-9">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtTela">Tela *</label>
                                                                <div class="input-s">
                                                                    <select class="js-example-programmatic js-states form-control" id="txtTela" multiple="multiple">
                                                                        <option value="VENDA">VENDA</option>
                                                                        <option value="DEVOLUCAO">DEVOLUÇÃO</option>
                                                                        <option value="RELANIVERSARIO">RELATÓRIO ANIVERSÁRIO</option>
                                                                        <option value="ATENDIMENTO_FINALIZADO">ATENDIMENTO FINALIZADO</option>
                                                                        <!-- <option value="PEDIDOB2B">PEDIDO B2B</option> -->
                                                                    </select>
                                                                    <span id="ufError" class="error invalid-feedback" style="display: inline;"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-12">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtMensagem">Mensagem *</label>
                                                                <div class="input-s">
                                                                    <textarea type="text" style="height: 200px; resize: none;" class="autoExpand forumPost form-control" aria-describedby="ufError" id="txtMensagem" name="txtMensagem" class="form-control" placeholder="Mensagem"></textarea>
                                                                    <span id="ufError" class="error invalid-feedback" style="display: inline;"></span>
                                                                </div>
                                                            </div>
                                                            <div class="col-12">
                                                                <label data-error="wrong" data-success="right">SQL</label>
                                                                <textarea id="txtSQL" style="resize: none;" class="autoExpand forumPost form-control" rows="10" placeholder="Monte o SQL aqui"></textarea>
                                                            </div>
                                                            <div class="col-12" style="margin-top: 10px;">
                                                                Configuração:
                                                                <br>
                                                                   - Cada tela terá seus parâmetros específicos para utilizar no SQL.
                                                                <br>
                                                                   - A mensagem pode ser configurada com ou sem dados do SQL.
                                                                <br>
                                                                   - Cada campo utilizado na mensagem deve possuir um alias no SQL, para referência-lo na mensagem, é necessário que ele esteja entre ##. Exemplo: #NOME_CLIENTE#
                                                                <br>
                                                                   - Para adicionar algum emoji na mensagem, é necessário informa-lo entre <>. Exemplo: <😊>
                                                                        <br>
                                                                           - Para referenciar as tabelas, informa-las entre colchetes. Ex: SELECT * FROM [VENDA]
                                                            </div>
                                                            <div class="col-12" id="divOpcoes" style="margin-top: 10px;">
                                                            </div>
                                                        </div>
                                                        <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                                                        <input type="button" name="btnTestar" id="btnTestar" class="btn-sisp action-button" value="Testar" />
                                                        <input type="button" name="btnExemplo" id="btnExemplo" class="btn-sisp action-button" value="Exemplo" />
                                                        <input type="button" name="btnAnexo" id="btnAnexo" class="btn-sisp action-button" value="Anexo" />
                                                        <button type="button" id="btnVoltar" class="btn-sisp action-button-previous">Voltar</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </section>
            </div>
        </div>
    </div>
    <div class="modal fade" id="modalAnexoMsgPersonalizada" aria-hidden="true" data-backdrop="static" data-keyboard="true">
        <div class="modal-dialog modal-lg" id="tammodal">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Gestão Documentos - <span id="txtTituloAnexo"></span></h4>
                    <button type="button" name="btnFecharAnexo" class="close" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pb-0 pt-0">
                    <div class="container-fluid">
                        <div class="card-body pt-1 pl-0 pr-0">
                            <div class="card" id="tourRelatorioMeta">
                                <div class="col-sm-12 table-responsive card-body pt-2 pb-2 pr-0 pl-0">
                                </div>
                                <div class="row">
                                    <div class="col-12 col-sm-12">
                                        <div class="card-body pt-1 pb-1">
                                            <div class="form-row">
                                                <div class="col-sm-12 col-md-12">
                                                    <div class="row col-12">
                                                        <div class="col-12">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtArquivo">Arquivo:
                                                            </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" id="txtArquivo" disabled readonly name="txtArquivo" placeholder="Arquivo">
                                                                <input type="file" id="mdModalUpload" class="d-none">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnAddArquivo" for="txtArquivo" disabled="disabled" readonly="readonly"><i class="m-0 p-0 fas fa-folder-plus"></i> </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-12">
                                                        <label class="labelGeral" data-success="right" for="imgProd">Anexo: </label>
                                                        <div id="divImg">
                                                            <div class="d-flex justify-content-center" id="bordaImagem">
                                                                <label id="btnEscolherFoto" class="btnEnviarFoto my-1" for="fileimagem" data-button="absolute" type="button">
                                                                    <img class="pop img img-fluid imagem" id="imgAnexo">
                                                                    <div id="divVideo">
                                                                        <video width="615" height="240" id="idVideo" class="d-none" controls src="" type="">
                                                                        </video>
                                                                    </div>
                                                                </label>
                                                                <div class="input-group-append" class="upload-imagem">
                                                                    <input value="" style="display: none;" name="fileimagem" id="fileimagem" />
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 col-12 table-responsive mt-4">
                                                <table id="tabelaAnexo" width="100%" class="table table-sm table-hover table-select table-condensed">
                                                    <thead>
                                                    </thead>
                                                    <tbody>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer" class="d-flex">
                    <div class="mr-auto">
                        <button class="btn btn-primary btn-sisp alteraBotao" id="btnIncluirAnexo">Incluir</button>
                        <button class="btn btn-primary btn-sisp d-none" id="btnGravarAnexo">Gravar</button>
                        <button class="btn btn-danger btn-sisp mr-1 d-none" id="btnCancelarAnexo">Cancelar</button>
                    </div>
                    <div class="d-flex">
                        <button class="btn btn-danger btn-sisp mr-1" name="btnFecharAnexo" id="btnFecharAnexo">Fechar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="../plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.247.25.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.247.25.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="../utils/funcoes.js?versao=3.247.25.1"></script>
    <script src="../utils/cookies.js?versao=3.247.25.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
    <script src="../dist/js/jquery.inputmask.js"></script>
    <script type="text/javascript" src="../config.js?versao=3.247.25.1"></script>
    <script src="../plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('MSG_WHATSAPP');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos('MSG_WHATSAPP');
            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/msg_whatsapp`
                });
                return;
            }

            sArquivo = `${BASE_URI}/pages/msg_whatsapp/cadastro_msg_whatsapp/msg_whatsapp.js?versao=3.247.25.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>