<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Produto</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">

  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>


  <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.247.25.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">
  <style>
    #tabelaCadProduto td div button {
      padding: .0rem .5rem;
      margin-top: .1rem;
      margin-bottom: .2rem;
    }

    #tabelaCadProduto td {
      padding: 0 !important;
      padding-left: 10px !important;
    }

    .btnBarra {
      color: black;
      border: 0 none;
      border-radius: 0px;
      cursor: pointer;
      padding: 10px 5px;
      margin: 10px 5px 10px 5px;
      float: right;
    }

    #tabelaCadProduto_info {
      position: absolute;
      z-index: -1 !important;
    }

    .dropProduto::-webkit-scrollbar {
      width: 12px;
    }

    .dropProduto::-webkit-scrollbar-track {
      background: var(--btn-hover);
    }

    .dropProduto::-webkit-scrollbar-thumb {
      background: var(--color-secondary);
      border-radius: 20px;
      border: 3px solid var(--font-card-color);
    }

    .dropProduto {
      height: 180px;
      overflow-x: auto;
      min-width: 12rem !important;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      border-radius: 3px !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }

    .input-group-append>a>i {
      margin-left: 0 !important;
      padding-left: 5px;
      padding-right: 5px;
    }

    .grupo_botao>button>i {
      margin-left: 0 !important;
      padding-left: 5px !important;
      padding-right: 5px !important;
    }

    .btn-opcao {
      padding-left: 0px !important;
      padding-right: 0px !important;
      text-align: center !important;
    }

    .bg-button {
      background-color: var(--buttonOpcoes) !important;
    }

    .bg-button:hover {
      filter: brightness(0.9);
      transition: 0.7s ease;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Produto</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">

            </div><!-- /.col -->
          </div><!-- /.row -->
        </div>
        <div class="container-fluid">
          <div class="row card" id="tabelaCadProdutoForne">
            <div class="col-sm-12 mt-3">
              <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span>
                Filtros</button>
              <button class="btn btn-danger btn-sisp" id="btnNovoProduto"><span class="fas fa-plus"></span> Incluir</button>
              <button id="btnImprimirAcessoProd" class="btn-sisp btn btn-secondary"><i class="fas fa-print"></i> Imprimir</button>
            </div>

            <div class="col-sm-12 table-responsive card-body">
              <h5>Lista de Produtos</h5>
              <table id="tabelaCadProduto" class="table table-sm table-select table-hover" width="100%">
                <thead>
                  <tr>
                    <th class="th-sm">Código Produto
                    </th>
                    <th class="th-sm">Código2
                    </th>
                    <th class="th-sm">Foto
                    </th>
                    <th class="th-sm">Descrição
                    </th>
                    <th class="th-sm">Preço
                    </th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
          <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-xl" role="document">
              <div class="modal-content" id="modalBody">
                <div class="modal-header">
                  <h4 class="modal-title">Filtros</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="row justify-content-sm-start justify-content-center mb-3">
                    <div class="col-auto">
                      <fieldset class="form border-Field mb-0 pb-0 d-sm-flex d-block">
                        <legend class="textoBorda mb-0 pb-0">Opções</legend>
                        <div class="m-1 icheck-primary">
                          <input type="radio" id="cbTodos" name="cbStatusProd" value="" checked>
                          <label for="cbTodos">Todos</label>
                        </div>
                        <div class="m-1 icheck-primary">
                          <input type="radio" id="cbAtivo" name="cbStatusProd" value="S">
                          <label for="cbAtivo">Ativo</label>
                        </div>
                        <div class="m-1 icheck-primary">
                          <input type="radio" id="cbInativo" name="cbStatusProd" value="N">
                          <label for="cbInativo">Inativo</label>
                        </div>
                      </fieldset>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6 col-sm-12 col-12 mt-2">
                      <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtProduto">Produto: </label>
                      <div class="relative" style="margin-top: 5px;">
                        <div class="input-group">
                          <!-- <input type="text" class="input-default focus form-control" id="txtProduto" name="txtProduto" class="form-control" placeholder="Produto"> -->
                          <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple"></select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6 col-sm-12 col-12 mt-2">
                      <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtColecao">Coleção: </label>
                      <div class="relative" style="margin-top: 5px;">
                        <div class="input-group">
                          <!-- <input type="text" class="input-default focus form-control" id="txtColecao" name="txtColecao" class="form-control" placeholder="Colecao"> -->
                          <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple"></select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6 col-sm-12 col-12 mt-2">
                      <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtMarca">Marca: </label>
                      <div class="relative" style="margin-top: 5px;">
                        <div class="input-group">
                          <!-- <input type="text" class="input-default focus form-control" id="txtMarca" name="txtMarca" class="form-control" placeholder="Marca"> -->
                          <select class="js-example-programmatic js-states form-control" id="txtMarca" name="txtMarca" multiple="multiple"></select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnMarca" name="btnMarca" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaMarca" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6 col-sm-12 col-12 mt-2">
                      <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtGrupo">Grupo: </label>
                      <div class="relative" style="margin-top: 5px;">
                        <div class="input-group">
                          <!-- <input type="text" class="input-default focus form-control" id="txtGrupo" name="txtGrupo" class="form-control" placeholder="Grupo"> -->
                          <select class="js-example-programmatic js-states form-control" id="txtGrupo" name="txtGrupo" multiple="multiple"></select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnGrupo" name="btnGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6 col-sm-12 col-12 mt-2">
                      <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtLinha">Linha: </label>
                      <div class="relative" style="margin-top: 5px;">
                        <div class="input-group">
                          <!-- <input type="text" class="input-default focus form-control" id="txtLinha" name="txtLinha" class="form-control" placeholder="Linha"> -->
                          <select class="js-example-programmatic js-states form-control" id="txtLinha" name="txtLinha" multiple="multiple"></select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnLinha" name="btnLinha" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaLinha" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6 col-sm-12 col-12 mt-2">
                      <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtStatus">Status: </label>
                      <div class="relative" style="margin-top: 5px;">
                        <div class="input-group">
                          <!-- <input type="text" class="input-default focus form-control" id="txtStatus" name="txtStatus" class="form-control" placeholder="Status"> -->
                          <select class="js-example-programmatic js-states form-control" id="txtStatus" name="txtStatus" multiple="multiple"></select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnStatus" name="btnStatus" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaStatus" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6 col-sm-12 col-12 mt-2">
                      <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtEtiqueta">Etiqueta: </label>
                      <div class="relative" style="margin-top: 5px;">
                        <div class="input-group">
                          <!-- <input type="text" class="input-default focus form-control" id="txtEtiqueta" name="txtEtiqueta" class="form-control" placeholder="Etiqueta"> -->
                          <select class="js-example-programmatic js-states form-control" id="txtEtiqueta" name="txtEtiqueta" multiple="multiple"></select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnEtiqueta" name="btnEtiqueta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaEtiqueta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="modal-footer">
                  <div class="row">
                    <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar
                      Filtros</button>     
                    <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span>
                      Consultar</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="modalBarra" tabindex="-1" role="dialog" aria-labelledby="modalContas" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Barra - Cadastro de Itens de Estoque</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body pb-0">
          <div class="row">
            <div class="col-xl-4">
              <div class="group-default form-group">
                <label data-error="wrong" data-success="right" for="txtCodigoProduto">Codigo Produto</label>
                <div class="relative">
                  <input type="text" placeholder="Codigo Produto" class="input-default focus form-control validate" id="txtCodigoProduto" name="txtCodigoProduto" disabled>
                </div>
              </div>
            </div>
            <div class="col-xl-8">
              <div class="group-default form-group">
                <label data-error="wrong" data-success="right" for="txtDescricaoProduto">Descrição</label>
                <div class="relative">
                  <input type="text" placeholder="Descricao Produto" class="input-default focus form-control validate" id="txtDescricaoProduto" name="txtDescricaoProduto" disabled>
                </div>
              </div>
            </div>
          </div>
          <div>
            <div class="card">
              <div class="card-body px-0 pb-0 pt-0" style="min-height: 100px; max-height: 400px; overflow-y: auto;">
                <div class="col-sm-12 table-responsive card-body px-0 pb-0 pt-0">
                  <table id="tabelaBarra" style="white-space: nowrap" class="table table-sm table-select table-hover" width="100%">
                    <thead></thead>
                    <tbody></tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button class="btn btn-warning btnBarra btn-sisp" id="btnConfirmarBarra"> Confirmar</button>
            <button class="btn btn-primary btnBarra btn-sisp" id="btnGeraEan13"> Gera EAN13</button>
            <button class="btn btn-primary btnBarra btn-sisp" id="btnGeraBarra128"> Gera Barra 128</button>
            <button class="btn btn-primary btnBarra btn-sisp d-none" id="btnGeraDun14Barra"> Gera Dun14</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="modalRelacionarProduto" tabindex="-1" role="dialog" aria-labelledby="modalContas" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Relacionar Produtos</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="divProdutosPai">
            <div class="row">
              <div class="col-sm-6 col-xl-2" id="tourcodigo">
                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigoProdutoPai">Código do Produto Pai </label>
                <input type="text" class="input-default focus form-control" value="26205" id="txtCodigoProdutoPai" aria-describedby="codError" disabled name="txtCodigoProdutoPai" placeholder="Código" aria-invalid="false" disabled="" readonly="">
              </div>
              <div class="col-sm-6 col-xl-4">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtCorPaiRelacionamento">Cor Pai: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control ui-autocomplete-input" id="txtCorPaiRelacionamento" name="txtCorPaiRelacionamento" placeholder="Cor" autocomplete="off">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-CorPaiRelacionamento" name="btn-CorPaiRelacionamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-CorPaiRelacionamento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-6 col-xl-4">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtTamanhoPaiRelacionamento">Tamanho Pai: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control ui-autocomplete-input" id="txtTamanhoPaiRelacionamento" name="txtTamanhoPaiRelacionamento" placeholder="Tamanho" autocomplete="off">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-TamanhoPaiRelacionamento" name="btn-TamanhoPaiRelacionamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-TamanhoPaiRelacionamento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="d-flex align-items-end col-sm-6 col-xl-2">
                <button class="btn btn-danger btn-sisp" id="btnAdicionarProdutoPai" style="width: 100%;"> Adicionar</button>
              </div>
            </div>

            <div class="row">
              <div class="col-sm-12 table-responsive card-body px-0 pb-0 pt-0">
                <table id="tabelaProdutosPaisRelacionados" class="table table-sm table-select table-hover" width="100%">
                  <thead></thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
          <div class="divProdutosFilhos d-none">
            <div class="row">
              <div class="col-sm-4 col-xl-3">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtProdutoFilhoRelacionamento">Produto Filho: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control ui-autocomplete-input" id="txtProdutoFilhoRelacionamento" name="txtProdutoFilhoRelacionamento" placeholder="Produto" autocomplete="off">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-ProdutoFilhoRelacionamento" name="btn-ProdutoFilhoRelacionamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-ProdutoFilhoRelacionamento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-4 col-xl-3">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtCorFilhoRelacionamento">Cor Filho: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control ui-autocomplete-input" id="txtCorFilhoRelacionamento" name="txtCorFilhoRelacionamento" placeholder="Cor" autocomplete="off">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-CorFilhoRelacionamento" name="btn-CorFilhoRelacionamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-CorFilhoRelacionamento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-4 col-xl-3">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtTamanhoFilhoRelacionamento">Tamanho Filho: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control ui-autocomplete-input" id="txtTamanhoFilhoRelacionamento" name="txtTamanhoFilhoRelacionamento" placeholder="Tamanho" autocomplete="off">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-TamanhoFilhoRelacionamento" name="btn-TamanhoFilhoRelacionamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-TamanhoFilhoRelacionamento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-6 col-xl-1" id="tourQuantidade">
                <label data-error="wrong" class="labelGeral" data-success="right" for="txtQuantidadeFilho">Qtde. </label>
                <input title="Quantidade" min="0" type="number" placeholder="Quantidade" class="input-default form-control" id="txtQuantidadeFilho" name="txtQuantidadeFilho">
                <input title="Ordem" min="0" value="0" type="number" placeholder="Ordem" class="input-default form-control d-none" id="txtOrdemItensFilho" name="txtOrdemItensFilho">
              </div>
              <div class="d-flex align-items-end mt-1 col-sm-6 col-xl-2">
                <button class="btn btn-danger btn-sisp" id="btnAdicionarProdutoFilho" style="width: 100%;"> Adicionar</button>
              </div>

            </div>
          </div>

          <div class="row">
            <div class="col-sm-12 table-responsive card-body px-0 pb-0 pt-0">
              <table id="tabelaProdutosFilhosRelacionados" style="white-space: nowrap" class="table table-sm table-select table-hover" width="100%">
                <thead></thead>
                <tbody></tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger btn-sisp" id="btnConfirmarRelacionamento"> Confirmar</button>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="modalPartes" tabindex="-1" role="dialog" aria-labelledby="modalPartes" aria-hidden="true">
    <div class="modal-dialog modal-md">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Selecionar Parte</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body pb-0">
          <div class="form-row">
            <div class="col-lg-12 col-12 pb-3">
              <label data-error="wrong" data-success="right" for="txtParte">Parte:</label>
              <div class="input-group">
                <input class="d-none" type="text" id="txtTabPadrao">
                <input class="d-none" type="text" id="txtCodigoFaccao">
                <select class="drilldown-item form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="txtParte" style="border-color: #a9a9a9">
                  <option class="drilldown-item" value=""></option>
                </select>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button class="btn btn-primary btnBarra btn-sisp" id="btnConfirmarPartes"> Confirmar</button>
            <button class="btn bg-gradient-danger btnBarra btn-sisp" id="btnFecharPartes"> Fechar</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
          <img src="" class="imagepreview" style="width: 100%;">
        </div>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  include_once('../../../modals/modal_anexos.html');
  include_once('../../../modals/modal_medidas.html');
  include_once('../../../modals/modal_combinacao.html');
  include_once('../../../modals/modal_histprod.html');
  include_once('../../../modals/modal_fluxo_produto.html');
  include_once('../../../modals/modal_proditensest.html');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
  <script src="utils/funcoes.js?versao=3.247.25.1"></script>
  <script src="utils/cookies.js?versao=3.247.25.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="config.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="modals/modal_anexos.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="modals/modal_medidas.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="modals/modal_combinacao.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="modals/modal_histprod.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="modals/modal_fluxo_produto.js?versao=3.247.25.1"></script>
  <script type="text/javascript" src="modals/modal_proditensest.js?versao=3.247.25.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.247.25.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
  <script src="dist/js/dataTables.keyTable2.js?versao=3.247.25.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('PRODUTO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/produto/acesso_produto/acesso_produto.js?versao=3.247.25.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>