<?php include_once('../../../config.php') ?>
<?php
$hostname = gethostbyaddr($_SERVER['REMOTE_ADDR']);
?>


<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Relatório de Bloqueto</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.247.25.1">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.247.25.1">

    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


    <link rel="stylesheet" href="dist/css/custom.css?versao=3.247.25.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.247.25.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.247.25.1" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.247.25.1" />
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.247.25.1">

    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.247.25.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.247.25.1">

    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.247.25.1">
    <style>
        .info-box-text {
            font-size: 20px;
            font-weight: bold;
            color: grey;
        }

        .form-group {
            margin-bottom: 0;
        }

        .bordaCampos {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding-top: 2%;
            padding-bottom: 0%;
        }

        .bordaCampos:first-child {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: flex-end;
            align-items: center;
        }

        .border-Field .textoBorda {
            font-size: 1.0em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 1.0em 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            padding-bottom: 0px !important;
        }
    </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Relatório de Bloqueto</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i>
                            </button>
                        </div><!-- /.col -->
                        <div class="col-sm-6">

                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <section class="content">

                <div class="card">
                    <div class="card-body">
                        <div class="container-fluid p-4">
                            <div class="row pb-4">
                                <div class="col-sm-6">
                                    <button id="btn-filtros" class="btn btn-success btn-sisp" type="button" data-toggle="modal" data-target="#modal-filtros"><span class="fas fa-filter"></span> Filtros</button>
                                    <button class="btn btn-danger btn-sisp" id="btnImpTodas" disabled title="Importar todas as duplicatas filtradas"><span class="fas fa-arrow-up"></span> Imp. Todas</button>
                                    <button class="btn btn-primary btn-sisp" id="btnImpDup" disabled title="Selecione alguma duplicata importar"><i class="fas fa-solid fa-arrow-right"></i> Imp. Dup.</button>
                                    <button class="btn btn-secondary btn-sisp" id="btnImprimir" data-toggle="modal"><i class="fas fa-print"></i> Imprimir</button>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12 table-responsive">
                                    <table id="tabelaRegistros" class="table table-sm table-select table-hover" width="100%" style="white-space: nowrap;">
                                        <thead>
                                            <th>Sel</th>
                                            <th>Fatura</th>
                                            <th>Numero</th>
                                            <th>Bordero</th>
                                            <th>Codcli</th>
                                            <th>Nome</th>
                                            <th>Valor</th>
                                            <th>Juros</th>
                                            <th>Dt_Emissao</th>
                                            <th>Dt_vencto</th>
                                            <th>Banco</th>
                                            <th>Endosso</th>
                                            <th>Nome_Banco</th>
                                            <th>NRBanco</th>
                                            <th>ObsDup</th>
                                            <th>Taxa</th>
                                            <th>Cnpj</th>
                                            <th>Nota_Denegada</th>
                                            <th>Obriga_NFSe</th>
                                            <th>NFSe</th>
                                            <th>Emp_id</th>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- /.content -->
        </div>
        <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-xl" role="document">
                <div class="modal-content" id="modalBody">
                    <div class="modal-header">
                        <h4 class="modal-title">Filtros</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-lg-4 col-sm-12 col-12">
                                <div class="form" id="nossoNumero">
                                    <fieldset class="form border-Field">
                                        <legend class="textoBorda mb-0 pb-0">Nosso Número</legend>
                                        <div class="form-row ml-auto">
                                            <div class="icheck-primary form-group form-check mr-2 ml-2">
                                                <input type="radio" id="rdTodos" name="rdfiltroNossoNumero" value="0">
                                                <label class="labelCheck" for="rdTodos">Todos</label>
                                            </div>
                                            <div class="icheck-primary form-group form-check mr-2">
                                                <input type="radio" id="rdImpresso" name="rdfiltroNossoNumero" value="1">
                                                <label class="labelCheck" for="rdImpresso">Impresso</label>
                                            </div>
                                            <div class="icheck-primary form-group form-check">
                                                <input type="radio" id="rdNaoImpresso" checked name="rdfiltroNossoNumero" value="2">
                                                <label class="labelCheck" for="rdNaoImpresso">Não Impresso</label>
                                            </div>
                                        </div>
                                    </fieldset>
                                </div>
                            </div>
                            <div class="col-lg-5 col-sm-12 col-12">
                                <fieldset class="form border-Field">
                                    <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                    <div class="form-row ml-auto">
                                        <div class="icheck-primary form-group form-check mr-2">
                                            <input type="checkbox" class="configCheckOpcoes" id="cbSemDataEmail">
                                            <label class="labelCheck" for="cbSemDataEmail"> Sem Data Envio Email</label>
                                        </div>
                                        <div class="icheck-primary form-group form-check">
                                            <input type="checkbox" class="configCheckOpcoes" id="cbSituacaoBoleto">
                                            <label class="labelCheck" for="cbSituacaoBoleto"> Somente com Situação Boleto</label>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>
                            <div class="col-xl-3 col-12 form-group mt-2 pt-1">
                                <button id="btnCarregaEmpresas" class="btn btn-danger col-lg-12 col-md-12 col-12">Selecionar Empresas</button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-4 col-12 form-group">
                                <label data-error="wrong" data-success="right" for="txtNotaDe">Nota de/até: </label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtNotaDe" name="txtNotaDe" class="form-control">
                                        <input type="text" class="input-default focus form-control" id="txtNotaAte" name="txtNotaAte" class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label data-error="wrong" data-success="right" for="dtVencimentoDe">Vencimento de/até: </label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control" id="dtVencimentoDe" name="dtVencimentoDe" class="form-control">
                                        <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control" id="dtVencimentoAte" name="dtVencimentoAte" class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label data-error="wrong" data-success="right" for="dtEmissaoDe">Emissão de/até: </label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control" id="dtEmissaoDe" name="dtEmissaoDe" class="form-control">
                                        <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control" id="dtEmissaoAte" name="dtEmissaoAte" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtCliente">Cliente:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtCliente" name="txtCliente" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-ClienteConsulta" name="btn-ClienteConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Cliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtBanco">Banco:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtBanco" name="txtBanco" class="form-control" placeholder="Banco">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-BancoConsulta" name="btn-BancoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Banco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtBordero">Bordero:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtBordero" name="txtBordero" class="form-control" placeholder="Bordero">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtConta">Conta:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtConta" name="txtConta" class="form-control" placeholder="Conta">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-ContaConsulta" name="btn-ContaConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Conta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtClasseGer">Classe Gerencial:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtClasseGer" name="txtClasseGer" class="form-control" placeholder="Classe Gerencial">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-ClasseGerConsulta" name="btn-ClasseGerConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-ClasseGer" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtEndosso">Endosso:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtEndosso" name="txtEndosso" class="form-control" placeholder="Endosso">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-EndossoConsulta" name="btn-EndossoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Endosso" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-xl-4 col-12 form-group">
                                <div class="icheck-primary d-flex"><input type="checkbox" value="S" class="checkfiltros" id="cbConsideraSitDupl" data-placement="top" checked><label for="cbConsideraSitDupl" data-toggle="tooltip" data-placement="top" title="Se marcado, considera apenas as situações selecionadas na pesquisa, se desmarcado, desconsidera as situações selecionadas na pesquisa e filtra por todos as outras situações."></label>
                                    <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtSitDupl">Sit. Duplicata:</label>
                                </div>
                                <div class="relative">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtSitDupl" name="txtSitDupl" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-SitDuplConsulta" name="btn-SitDuplConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-SitDupl" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <div class="icheck-primary d-flex"><input type="checkbox" value="S" class="checkfiltros" id="cbConsideraRepresentante" data-placement="top" checked><label for="cbConsideraRepresentante" data-toggle="tooltip" data-placement="top" title="Se marcado, considera apenas os representantes selecionados na pesquisa, se desmarcado, desconsidera os representantes selecionados na pesquisa e filtra por todos os outros representantes."></label>
                                    <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtRepresentante">Representante:</label>
                                </div>
                                <div class="relative">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtRepresentante" name="txtRepresentante" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-RepresentanteConsulta" name="btn-RepresentanteConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Representante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtHistorico">Histórico:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtHistorico" name="txtHistorico" class="form-control" placeholder="Histórico">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-HistoricoConsulta" name="btn-HistoricoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Historico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtGrupoCli">Grupo de Cliente:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtGrupoCli" name="txtGrupoCli" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-GrupoCliConsulta" name="btn-GrupoCliConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-GrupoCli" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtVenda">Venda:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtVenda" name="txtVenda" class="form-control" placeholder="Venda">
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtCartaoPresente">Cartão Presente:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtCartaoPresente" name="txtCartaoPresente" class="form-control" placeholder="Cartão Presente">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtTransportadora">Transportadora:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtTransportadora" name="txtTransportadora" class="form-control" placeholder="Transportadora">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-TransportadoraConsulta" name="btn-TransportadoraConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Transportadora" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <div class="icheck-primary d-flex"><input type="checkbox" value="S" class="checkfiltros" id="cbConsideraDuplicata" data-placement="top" checked><label for="cbConsideraDuplicata" data-toggle="tooltip" data-placement="top" title="Se marcado, considera apenas os representantes selecionados na pesquisa, se desmarcado, desconsidera os representantes selecionados na pesquisa e filtra por todos os outros representantes."></label>
                                    <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtDuplicata">Duplicata:</label>
                                </div>
                                <div class="relative">
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtDuplicata" name="txtDuplicata" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-DuplicataConsulta" name="btn-DuplicataConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Duplicata" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <div class="row">
                            <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                            <button class="btn btn-primary btn-sisp" id="btn-consultar"><span class="fas fa-search"></span> Consultar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.content-wrapper -->
        <?php
        include_once('../../../modais.php');
        ?>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.247.25.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.247.25.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/sisplan.js?versao=3.247.25.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.247.25.1"></script>
    <script src="utils/cookies.js?versao=3.247.25.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.247.25.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/driver.min.js?versao=3.247.25.1"></script>
    <script src="plugins/moment/moment.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="config.js?versao=3.247.25.1"></script>
    <script src="dist/js/jquery.maskMoney.min.js?versao=3.247.25.1"></script>
    <script src="dist/js/jquery.mask.min.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="plugins/select2/js/select2.full.min.js?versao=3.247.25.1"></script>
    <script src="utils/funcoes.js?versao=3.247.25.1"></script>
    <script type="text/javascript" src="config.js?versao=3.247.25.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('RELBLOQUETO');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/relbloqueto/acesso_relbloqueto/acesso_relbloqueto.js?versao=3.247.25.1`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>